(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    480586,      10127]
NotebookOptionsPosition[    466139,       9788]
NotebookOutlinePosition[    466481,       9803]
CellTagsIndexPosition[    466438,       9800]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    StyleBox["Appendix",
     FontFamily->"Times New Roman",
     FontSize->20,
     FontWeight->"Bold"], 
    StyleBox[" ",
     FontFamily->"Times New Roman",
     FontSize->20,
     FontWeight->"Bold"], 
    RowBox[{
     StyleBox["III",
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     StyleBox[":",
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     StyleBox[" ",
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     StyleBox[
      RowBox[{"Computer", " ", "Algebra", " ", "System", " ", "Codes"}],
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     StyleBox[" ",
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     StyleBox[":",
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     StyleBox[" ",
      FontFamily->"Times New Roman",
      FontSize->20,
      FontWeight->"Bold"], 
     RowBox[{
      StyleBox["an",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold"], 
      StyleBox[" ",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold"], 
      StyleBox["appendix",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold"], 
      StyleBox[" ",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold"], 
      StyleBox["for",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold"], 
      StyleBox[" ",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold"], 
      StyleBox["Exploring",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold",
       FontSlant->"Italic"], 
      StyleBox[" ",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold",
       FontSlant->"Italic"], 
      StyleBox["Continued",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold",
       FontSlant->"Italic"], 
      StyleBox[" ",
       FontFamily->"Times New Roman",
       FontSize->20,
       FontWeight->"Bold",
       FontSlant->"Italic"], 
      RowBox[{
       StyleBox["Fractions",
        FontFamily->"Times New Roman",
        FontSize->20,
        FontWeight->"Bold",
        FontSlant->"Italic"], 
       StyleBox[".",
        FontFamily->"Times New Roman",
        FontSize->20,
        FontWeight->"Bold"], " ", "\[IndentingNewLine]", " ", "To"}], " ", 
      "open", " ", "or", " ", "close", " ", "any", " ", "of", " ", "the", " ",
       "enumerated", " ", 
      RowBox[{"codes", "/", "cells"}], " ", "below"}]}]}], ",", " ", 
   RowBox[{
    RowBox[{
    "double", " ", "click", " ", "on", " ", "the", " ", "corresponding", " ", 
     "right"}], "-", 
    RowBox[{"most", " ", 
     RowBox[{"(", 
      RowBox[{"right", "-", "sided"}], ")"}], " ", 
     RowBox[{"bracket", ".", " ", "\[IndentingNewLine]", "  ", "To"}], " ", 
     "execute", " ", "any", " ", "selected", " ", "command"}]}], ",", " ", 
   RowBox[{
    RowBox[{"press", " ", "the", " ", "bottom", " ", "right"}], "-", 
    RowBox[{"hand", " ", 
     StyleBox["enter",
      FontSlant->"Italic"], " ", "key", " ", "on", " ", "the", " ", 
     "keyboard", " ", "of", " ", "a", " ", "desk", " ", "top", " ", 
     "computer"}]}], ",", " ", "\[IndentingNewLine]", "     ", 
   RowBox[{
    RowBox[{"or", " ", "press", " ", 
     StyleBox["shift",
      FontSlant->"Italic"]}], 
    StyleBox["-",
     FontSlant->"Italic"], 
    RowBox[{
     StyleBox["enter",
      FontSlant->"Italic"], " ", "on", " ", "the", " ", "keyboard", " ", "of",
      " ", "a", " ", "laptop", " ", 
     RowBox[{"computer", "."}]}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.7348658269922843`*^9, 3.7348661583424163`*^9}, {
  3.7348662311686983`*^9, 3.7348662643950205`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "0"}], ":", " ", 
      RowBox[{"Mathematica", " ", 
       RowBox[{"syntax", "."}]}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[" ",
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[
     StyleBox[
      RowBox[{"*", ")"}]],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"]}],
   FontColor->RGBColor[0, 0, 1]]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7416234244690123`*^9, 3.7416234555891237`*^9}, {
  3.741623496085173*^9, 3.7416236076543293`*^9}, {3.7416236438229456`*^9, 
  3.7416236558561487`*^9}, {3.7416238046500263`*^9, 3.7416247878173337`*^9}, {
  3.7416248388674383`*^9, 3.7416252391204596`*^9}, {3.7416255297265167`*^9, 
  3.741625579867531*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   StyleBox[
    RowBox[{"(", "*"}]],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  RowBox[{
   RowBox[{
    StyleBox[" ",
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold",
     FontColor->RGBColor[0, 0, 1]], 
    RowBox[{
     RowBox[{
      RowBox[{
      "In", " ", "this", " ", "section", " ", "we", " ", "alert", " ", "the", 
       " ", "user", " ", "to", " ", "frequently"}], "-", 
      RowBox[{
      "used", " ", "Mathematica", " ", "syntax", " ", "that", " ", "may", " ",
        "be", " ", "different", " ", "in", " ", "other", " ", 
       RowBox[{"CASs", ".", "\n", "  ", 
        StyleBox["Comments",
         FontSize->16,
         FontWeight->"Bold"], 
        StyleBox[".",
         FontSize->16,
         FontWeight->"Bold"], " ", "Surround"}], " ", "comments", " ", 
       RowBox[{"with", " ", 
        RowBox[{"(*", "...", "*)"}], ".", "\n", "  ", 
        StyleBox["Lists",
         FontSize->16], 
        StyleBox[".",
         FontSize->16], " ", "Use"}], "  ", 
       RowBox[{"L", "[", 
        RowBox[{"[", "i", "]"}], "]"}], " ", "to", " ", "refer", " ", "to", 
       " ", "element", "  ", "i", " ", "in", " ", "list", " ", 
       RowBox[{"L", ".", " ", "If"}], " ", "a", " ", "list", " ", "has", " ", 
       "an", " ", "element", " ", "that", " ", "itself", " ", "is", " ", "a", 
       " ", "list"}]}], ",", " ", 
     RowBox[{"two", " ", "indices", " ", "are", " ", 
      RowBox[{"needed", ".", " ", "For"}], " ", "example"}], ",", 
     "\[IndentingNewLine]", "    ", 
     RowBox[{"if", " ", "L1", " ", "is", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", " ", "3"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"5", ",", " ", "3"}], "}"}]}], "}"}]}]}], "}"}], ",", " ", 
   RowBox[{"then", " ", 
    RowBox[{"L1", "[", 
     RowBox[{"[", "2", "]"}], "]"}], " ", "refers", " ", "to", " ", "the", 
    " ", "list", " ", 
    RowBox[{"{", 
     RowBox[{"5", ",", " ", "3"}], "}"}]}], ",", " ", 
   RowBox[{"whereas", " ", 
    RowBox[{"L1", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", " ", "1"}], "]"}], "]"}], " ", "refers", " ", "to", 
    " ", "the", " ", "element", " ", "5.", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       StyleBox["Matrices",
        FontSize->16], 
       StyleBox[".",
        FontSize->16], 
       StyleBox[" ",
        FontSize->16], "The"}], " ", "2", " ", "x", " ", "2", " ", "matrix", 
      " ", 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"a", "b"},
         {"c", "d"}
        }], "\[NoBreak]", ")"}], " ", "is", " ", "stored", " ", "as", " ", 
      "a", " ", "list", " ", "of", " ", 
      RowBox[{"lists", ":", "  ", "mat"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"a", ",", " ", "b"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"c", ",", " ", "d"}], "}"}]}], "}"}], ".", " ", "To"}], " ",
       "multiply", " ", "matrices"}]}]}], ",", " ", 
   RowBox[{"use", " ", "the", " ", "operation", " ", "Dot", " ", 
    RowBox[{"(", ".", ")"}]}], ",", "\[IndentingNewLine]", "     ", 
   RowBox[{"as", " ", "in", " ", 
    RowBox[{"mat", ".", "mat", ".", " ", "If"}], "  ", "V", " ", "is", " ", 
    "a", " ", "vector"}], ",", " ", 
   RowBox[{
    RowBox[{"V", ".", "V"}], " ", "gives", " ", "the", " ", "dot", " ", 
    RowBox[{"product", ".", " ", "If"}], " ", "V", " ", "has", " ", "length", 
    " ", "2"}], ",", " ", "\[IndentingNewLine]", "     ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Mathematica", " ", "automatically", " ", "uses", " ", "the", " ", 
      "column", " ", "vector", " ", "for", " ", "V", " ", "in", " ", "the", 
      " ", "calculation", " ", "of", " ", "the", " ", "matrix", " ", 
      "product", "  ", 
      RowBox[{"mat", ".", "V", ".", "\n", "  ", 
       StyleBox["Logical",
        FontSize->16]}], 
      StyleBox[" ",
       FontSize->16], 
      RowBox[{
       StyleBox["operators",
        FontSize->16], 
       StyleBox[".",
        FontSize->16], " ", "Use"}]}], " ", "&&", " ", 
     RowBox[{"for", " ", 
      StyleBox["and",
       FontSlant->"Italic"], " ", "and"}]}], "  ", "||", " ", 
    RowBox[{"for", " ", 
     RowBox[{
      StyleBox["or",
       FontSlant->"Italic"], ".", "\n", "  ", 
      StyleBox["Conditional",
       FontSize->16]}], 
     StyleBox[" ",
      FontSize->16], 
     RowBox[{
      StyleBox["statements",
       FontSize->16], 
      StyleBox[".",
       FontSize->16], " ", "The"}], " ", "phrase", " ", 
     RowBox[{"If", "[", 
      RowBox[{"expr", ",", "stmt"}], "]"}], " ", "executes", " ", "statement",
      " ", "stmt", " ", "if", " ", "the", " ", "expression", " ", "expr", " ",
      "is", " ", 
     RowBox[{"true", ".", " ", "Furthermore"}]}]}], ",", "  ", 
   "\[IndentingNewLine]", "     ", 
   RowBox[{"the", " ", "statement", " ", 
    RowBox[{"If", "[", 
     RowBox[{"expr", ",", "stmt1", ",", "stmt2"}], "]"}], " ", "is", " ", 
    "interpreted", " ", "as"}], ",", " ", 
   RowBox[{"If", "  ", "expr", " ", "then", " ", "stmt1", " ", "else", " ", 
    RowBox[{"stmt2", ".", " ", "In"}], " ", "statement", " ", 
    "construction"}], ",", "\[IndentingNewLine]", "     ", 
   RowBox[{
   "any", " ", "stmt", " ", "may", " ", "be", " ", "a", " ", "single", " ", 
    "statement", " ", "or", " ", "a", " ", "sequence", " ", "of", " ", 
    "statements", " ", "separated", " ", "with", " ", 
    RowBox[{"semicolons", ".", "\n", "  ", 
     StyleBox["Do",
      FontSize->16]}], 
    StyleBox[" ",
     FontSize->16], 
    RowBox[{
     StyleBox["loop",
      FontSize->16], 
     StyleBox[".",
      FontSize->16], " ", "The"}], " ", "expression", "  ", 
    RowBox[{"Do", "[", " ", 
     RowBox[{"stmt", ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "imin", ",", " ", "imax"}], "}"}]}], " ", "]"}],
     " ", "executes", "  ", "stmt", " ", "for", " ", "integer", "  ", "i", 
    " ", "values", " ", "imin", " ", "to", " ", 
    RowBox[{"imax", ".", "\n", "  ", 
     StyleBox["Block",
      FontSize->16], 
     StyleBox[".",
      FontSize->16], " ", "A"}], " ", "helpful", " ", "trick", " ", "in", " ",
     "function", " ", "construction", " ", "is", " ", "to", " ", "use", " ", 
    "local", " ", "variables", " ", "so", " ", "that", " ", "calls", " ", 
    "to", " ", "the", " ", "function", " ", "fail", " ", "to", " ", "have", 
    " ", "unintended", " ", 
    RowBox[{"consequences", ".", "\n", "     ", "One"}], " ", "way", " ", 
    "to", " ", "implement", " ", "this", " ", "trick", " ", "is", " ", "to", 
    " ", "place", " ", "the", " ", "code", " ", "for", " ", "a", " ", 
    "function", " ", "within", " ", "a", " ", "Block"}], ",", " ", 
   RowBox[{"whose", " ", "syntax", " ", "is", "      ", "\n", "     ", 
    RowBox[{
     RowBox[{"Block", "[", " ", 
      RowBox[{
       RowBox[{"{", "varlist", "}"}], ",", " ", "stmt"}], "]"}], ".", " ", 
     "The"}], " ", "variables", " ", "in", "  ", "varlist", " ", "are", " ", 
    "local", " ", "to", " ", "the", " ", "block", " ", "and", " ", "are", " ",
     "separated", " ", "with", " ", 
    RowBox[{"commas", ".", " ", "These"}], " ", "variables", " ", "maybe", 
    " ", "\[IndentingNewLine]", "    ", 
    RowBox[{"initialized", " ", "within", " ", "the", " ", "list"}]}], ",", 
   " ", 
   RowBox[{"such", " ", "as"}], ",", " ", 
   RowBox[{"for", " ", "example"}], ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Block", "[", " ", 
          RowBox[{"{", 
           RowBox[{"a", ",", " ", "b", ",", " ", 
            RowBox[{"c", "=", "5"}], ",", "..."}], "}"}], "]"}], ".", "\n", 
         "  ", 
         StyleBox["Functions",
          FontSize->16], 
         StyleBox[".",
          FontSize->16], " ", "Define"}], " ", "functions", " ", "using", " ", 
        RowBox[{"funcname", "[", "inputvariablelist", "]"}]}], ":=", "body"}],
       ";"}], ".", " ", "By"}], " ", "custom"}], ",", "  ", 
   RowBox[{"user", "-", 
    RowBox[{
    "defined", " ", "function", " ", "names", " ", "usually", " ", "start", 
     " ", "with", " ", "a", " ", "lower"}], "-", 
    RowBox[{"case", " ", "letter", "\[IndentingNewLine]", "  ", 
     RowBox[{
      RowBox[{
      "so", " ", "as", " ", "to", " ", "avoid", " ", "conflicts", " ", "with",
        " ", "standard", " ", "Mathematica", " ", "commands", " ", "and", " ", 
       RowBox[{"functions", ".", "\[IndentingNewLine]", " ", "The"}], " ", 
       "input", " ", "variable", " ", "list", " ", "determines", " ", "the", 
       " ", "variables", " ", "to", " ", "be", " ", "given", " ", "in", " ", 
       "a", " ", "call", " ", "to", " ", "the", " ", 
       RowBox[{"function", ".", " ", "\[IndentingNewLine]", " ", "Each"}], 
       " ", "variable", " ", "name", " ", "must", " ", "end", " ", "in", " ", 
       "an", " ", 
       RowBox[{"underscore", ".", " ", "For"}], " ", "example"}], ",", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"pattern", "[", " ", 
           RowBox[{"L_", ",", " ", "R_"}], "]"}], " ", ":=", " ", 
          RowBox[{"Block", "[", "body", "]"}]}], ";"}], ".", " ", 
        "\[IndentingNewLine]", "  ", "In"}], " ", "the", " ", "body", " ", 
       "of", " ", "the", " ", "function"}], ",", 
      RowBox[{
      "variables", " ", "L", " ", "and", "  ", "R", " ", "are", " ", "used", 
       " ", "without", " ", "the", " ", 
       RowBox[{"underscore", "."}]}]}]}]}]}], " ", "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7416234244690123`*^9, 3.7416234555891237`*^9}, {
  3.741623496085173*^9, 3.7416236076543293`*^9}, {3.7416236438229456`*^9, 
  3.7416236558561487`*^9}, {3.7416238046500263`*^9, 3.7416247878173337`*^9}, {
  3.7416248388674383`*^9, 3.7416252391204596`*^9}, {3.7416255297265167`*^9, 
  3.741625579867531*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "1"}], ":", " ", 
     RowBox[{"Built", "-", 
      RowBox[{"in", " ", 
       RowBox[{"functions", "."}]}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox[" ",
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox["*)",
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.73443392160701*^9, 3.7344339407605486`*^9}, {
  3.734433980718484*^9, 3.734434223745652*^9}, {3.734435598532346*^9, 
  3.734435619445346*^9}, {3.734527374566266*^9, 3.734527409567766*^9}, {
  3.741623480698635*^9, 3.7416234866592307`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   StyleBox["(*",
    FontSize->16,
    FontColor->RGBColor[0, 0, 1]], 
   RowBox[{
    RowBox[{
     StyleBox[
      RowBox[{"(", "1", ")"}],
      FontSize->16,
      FontColor->RGBColor[0, 1, 0]], "  ", "Many", "  ", "Mathematica", " ", 
     "commands", " ", "we", " ", "use", " ", "in", " ", "these", " ", "codes",
      " ", "are", " ", "standard", " ", "functions", " ", "or", " ", 
     "routines", " ", "that", " ", "have", " ", "similar", 
     "\[IndentingNewLine]", "      ", 
     RowBox[{
     "counterparts", " ", "in", " ", "the", " ", "CAS", " ", "of", " ", 
      "your", " ", 
      RowBox[{"choice", ".", " ", "For"}], " ", "example"}]}], ",", " ", 
    RowBox[{
    "to", " ", "find", " ", "the", " ", "decomposition", " ", 
     "\[IndentingNewLine]", "      ", 
     RowBox[{
     "of", " ", "any", " ", "given", " ", "integer", " ", "n", "  ", "as", 
      " ", "a", " ", "product", " ", "of", " ", "powers", " ", "of", " ", 
      "its", " ", "prime", " ", "divisors"}]}], ",", " ", 
    RowBox[{"use", " ", "the", " ", "command", " ", 
     RowBox[{
      RowBox[{"FactorInteger", "[", "n", "]"}], "."}]}]}], "*)"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"L1", "=", 
   RowBox[{"FactorInteger", "[", "1000", "]"}], "  ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "example", " ", "of", " ", "factoring", " ", "an", " ", "integer"}], ",",
      " ", 
     RowBox[{"in", " ", "this", " ", "case"}], ",", " ", "1000"}], 
    "*)"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.73443392160701*^9, 3.7344339407605486`*^9}, {
   3.734433980718484*^9, 3.734434223745652*^9}, {3.734435598532346*^9, 
   3.734435619445346*^9}, {3.734527374566266*^9, 3.734527409568766*^9}, 
   3.7347756001334405`*^9, {3.7416252982403708`*^9, 3.741625372984844*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3"}], "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.734434225305559*^9, 3.734527409569766*^9, 
  3.7347756114554405`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      StyleBox[
       RowBox[{"(", "2", ")"}],
       FontSize->16,
       FontColor->RGBColor[0, 1, 0]], " ", "When", " ", "n"}], " ", "=", " ", 
     "1000"}], ",", " ", 
    RowBox[{"as", " ", "in", " ", "the", " ", "above", " ", "command"}], ",", 
    " ", 
    RowBox[{
    "then", " ", "L1", " ", "is", " ", "defined", " ", "as", " ", "the", " ", 
     "list", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", " ", "3"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"5", ",", " ", "3"}], " ", "}"}]}], "}"}]}], ",", " ", 
    RowBox[{"which", " ", "is", "  ", "interpeted", " ", "as", " ", 
     RowBox[{"2", "^", "3"}], "*", 
     RowBox[{"5", "^", "3."}], "\n", "We", " ", "access", " ", "the", " ", 
     "parts", " ", "of", " ", "a", " ", "list"}], ",", " ", 
    RowBox[{"such", " ", "as", " ", "L1"}], ",", " ", 
    RowBox[{
     RowBox[{"by", " ", "using", " ", "double"}], "-", 
     RowBox[{"bracket", " ", 
      RowBox[{"notation", ".", " ", "For"}], " ", "example"}]}]}], "*)"}], 
  "\n", 
  RowBox[{"L1", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "1"}], "]"}], "]"}], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344342349667916`*^9, 3.7344342826433945`*^9}, {
   3.7344346843335533`*^9, 3.7344348107173457`*^9}, {3.7344351371473455`*^9, 
   3.734435138905346*^9}, 3.734527409569766*^9, 3.7347756057074404`*^9, {
   3.7347756846324406`*^9, 3.7347756876434402`*^9}, 3.741625355662112*^9, 
   3.7416254093234777`*^9}],

Cell[BoxData["5"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344347925149126`*^9, 3.7344348114563456`*^9}, 
   3.7345274095707664`*^9, 3.7347756147754407`*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     StyleBox[
      RowBox[{"(", "3", ")"}],
      FontSize->16,
      FontColor->RGBColor[0, 1, 0]], " ", "To", " ", "find", " ", "phi", 
     RowBox[{"(", "n", ")"}]}], ",", " ", 
    RowBox[{
    "the", " ", "Euler", " ", "phi", " ", "function", " ", "or", " ", "the", 
     " ", "totient", " ", "of", " ", "Chapter", " ", "I"}], ",", 
    "\[IndentingNewLine]", "  ", 
    RowBox[{"use", " ", 
     RowBox[{
      RowBox[{"EulerPhi", "[", "n", "]"}], ".", " ", "For"}], " ", 
     "example"}], ","}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"EulerPhi", "[", "1000", "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344348162773457`*^9, 3.7344349382003455`*^9}, {
   3.7344351925153456`*^9, 3.7344351939323454`*^9}, 3.7345274095717664`*^9, 
   3.7347756925964403`*^9, {3.7416254194544907`*^9, 3.7416254410506506`*^9}}],

Cell[BoxData["400"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344349270363455`*^9, 3.7344349400433455`*^9}, 
   3.7345274095727663`*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"(*", 
   RowBox[{
    StyleBox[
     RowBox[{"(", "4", ")"}],
     FontSize->16,
     FontColor->RGBColor[0, 1, 0]], 
    StyleBox[
     RowBox[{
      StyleBox[" ",
       FontSize->16], "   "}]], 
    RowBox[{"Prime", "[", "n", "]"}], " ", "returns", " ", "the", " ", "nth", 
    " ", 
    RowBox[{"prime", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Prime", "[", "4", "]"}], "   ", 
  RowBox[{"(*", "Example", "*)"}], "  "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344349499013453`*^9, 3.7344350195753455`*^9}, {
   3.7344350513213453`*^9, 3.7344350559023457`*^9}, {3.7344352115573454`*^9, 
   3.734435215037346*^9}, 3.7345274095737667`*^9, 3.7416254744999948`*^9}],

Cell[BoxData["7"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.734435052433346*^9, 3.734527409574767*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{" ", 
     RowBox[{
      RowBox[{
       StyleBox[
        RowBox[{"(", "5", ")"}],
        FontSize->16,
        FontColor->RGBColor[0, 1, 0]], " ", 
       RowBox[{"PrimeQ", "[", "n", "]"}], " ", "tests", " ", "whether", " ", 
       "n", " ", "is", " ", "prime"}], ",", " ", 
      RowBox[{
      "returning", "  ", "True", " ", "if", " ", "it", " ", "is", " ", 
       "prime"}], ",", " ", 
      RowBox[{"and", " ", "False"}]}], "}"}], " ", 
    RowBox[{"otherwise", "."}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"PrimeQ", "[", "17", "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344350664893456`*^9, 3.7344351269433455`*^9}, {
   3.7344352385613456`*^9, 3.7344352402003455`*^9}, {3.734435331346346*^9, 
   3.7344353318183455`*^9}, 3.7345274095757666`*^9, 3.7416254771782627`*^9}],

Cell[BoxData["True"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.734435115511346*^9, 3.734435328702346*^9, 
  3.734527409576767*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    StyleBox[
     RowBox[{"(", "6", ")"}],
     FontSize->16,
     FontColor->RGBColor[0, 1, 0]], " ", 
    RowBox[{"BaseForm", "[", 
     RowBox[{"m", ",", " ", "n"}], "]"}], " ", "writes", " ", "the", " ", 
    "integer", " ", "m", "  ", "in", " ", "base", " ", 
    RowBox[{"n", ".", " ", "Thus"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  " ", 
  RowBox[{"BaseForm", "[", 
   RowBox[{"45", ",", "2"}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344353386543455`*^9, 3.7344354277503457`*^9}, 
   3.734527409576767*^9, 3.7416254804065857`*^9}],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"101101\"\>", "\<\"2\"\>"],
   45,
   Editable->False],
  BaseForm[#, 2]& ]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7344354077193456`*^9, 3.7345274095777674`*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"BaseForm", "[", 
   RowBox[{"45", ",", " ", "5"}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734435460853346*^9, 3.7344355036793456`*^9}, 
   3.7345274095787673`*^9}],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"140\"\>", "\<\"5\"\>"],
   45,
   Editable->False],
  BaseForm[#, 5]& ]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344355012073455`*^9, 3.7344355053033457`*^9}, 
   3.734527409579767*^9}],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     StyleBox[
      RowBox[{"(", "7", ")"}],
      FontSize->16,
      FontColor->RGBColor[0, 1, 0]], " ", 
     RowBox[{"FromDigits", "[", 
      RowBox[{"string", ",", " ", "m"}], "]"}], " ", "returns", " ", "a", " ",
      "string", " ", "of", " ", "alpha"}], "-", 
    RowBox[{
    "numeric", " ", "symbols", " ", "in", " ", "base", " ", "m", " ", "as", 
     " ", "a", " ", "decimal", " ", 
     RowBox[{"integer", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"FromDigits", "[", 
   RowBox[{"\"\<1AB\>\"", ",", "16"}], "]"}], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7344355125973454`*^9, 3.7344355843813457`*^9}, 
   3.7345274095807676`*^9, 3.741625483441889*^9}],

Cell[BoxData["427"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7344355861843452`*^9, 3.7345274095817676`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "2"}], ":", "  ", 
     RowBox[{"Nim", " ", 
      RowBox[{"addition", "."}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox[
    StyleBox[
     RowBox[{"*", ")"}]],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340957163006024`*^9, 3.7340958037026024`*^9}, {
   3.7340958658026023`*^9, 3.734096147541602*^9}, {3.7340962511846027`*^9, 
   3.7340962947866025`*^9}, {3.7340963303706026`*^9, 
   3.7340963561936026`*^9}, {3.7340965227236023`*^9, 3.734096546744602*^9}, 
   3.7340967697646027`*^9, {3.734097003093602*^9, 3.734097092463602*^9}, {
   3.7340971242126026`*^9, 3.7340972182926025`*^9}, {3.7340981264546022`*^9, 
   3.734098191541602*^9}, {3.7340982291706023`*^9, 3.734098401364602*^9}, {
   3.7340987703776026`*^9, 3.7340987972216024`*^9}, {3.7341015140466022`*^9, 
   3.7341015154476023`*^9}, {3.7345272903998504`*^9, 3.73452730520133*^9}, 
   3.7345273593177414`*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"(*", 
   RowBox[{
   "The", " ", "following", " ", "algorithms", " ", "perform", " ", "nim", 
    " ", 
    RowBox[{"addition", ".", " ", "\[IndentingNewLine]", "nimAdd"}], " ", 
    "outputs", " ", "the", " ", "nim", " ", "sum", " ", "of", " ", "two", " ",
     "nonnegative", " ", 
    RowBox[{"integers", "."}]}], "*)"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340957163006024`*^9, 3.7340958037026024`*^9}, {
   3.7340958658026023`*^9, 3.734096147541602*^9}, {3.7340962511846027`*^9, 
   3.7340962947866025`*^9}, {3.7340963303706026`*^9, 
   3.7340963561936026`*^9}, {3.7340965227236023`*^9, 3.734096546744602*^9}, 
   3.7340967697646027`*^9, {3.734097003093602*^9, 3.734097092463602*^9}, {
   3.7340971242126026`*^9, 3.7340972182926025`*^9}, {3.7340981264546022`*^9, 
   3.734098191541602*^9}, {3.7340982291706023`*^9, 3.734098401364602*^9}, {
   3.7340987703776026`*^9, 3.7340987972216024`*^9}, {3.7341015140466022`*^9, 
   3.7341015154476023`*^9}, {3.7345272903998504`*^9, 3.73452730520133*^9}, 
   3.734527359318742*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"nimAdd", "[", 
    RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", " ", "=", " ", "1"}], ",", 
       RowBox[{"y", "=", 
        RowBox[{"Min", "[", 
         RowBox[{"{", 
          RowBox[{"m", ",", "n"}], "}"}], "]"}]}], ",", 
       RowBox[{"z", "=", 
        RowBox[{"Max", "[", 
         RowBox[{"{", 
          RowBox[{"m", ",", "n"}], "}"}], "]"}]}], ",", 
       RowBox[{"sum", "=", "0"}]}], "}"}], ",", "\[IndentingNewLine]", "  ", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"k", "<", "z"}], ",", 
        RowBox[{"k", "=", 
         RowBox[{"2", "*", "k"}]}]}], "]"}], ";", " ", 
      RowBox[{"(*", 
       RowBox[{
       "get", " ", "a", " ", "power", " ", "of", " ", "2", " ", "at", " ", 
        "least", " ", "z"}], "*)"}], "\[IndentingNewLine]", "  ", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{"k", "\[GreaterEqual]", "1"}], ",", "\[IndentingNewLine]", 
        "  ", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"y", "<", " ", "k"}], " ", "&&", " ", 
              RowBox[{"k", "\[LessEqual]", "z"}]}], " ", ")"}], "||", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"z", " ", "<", " ", "k"}], " ", "&&", " ", 
              RowBox[{"k", "\[LessEqual]", "y"}]}], ")"}]}], ",", 
           RowBox[{"sum", "=", 
            RowBox[{"sum", "+", "k"}]}]}], "]"}], ";", " ", 
         RowBox[{"(*", 
          RowBox[{"update", " ", "sum"}], "*)"}], "\[IndentingNewLine]", "  ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"k", "\[LessEqual]", "z"}], ",", 
           RowBox[{"z", "=", 
            RowBox[{"z", "-", "k"}]}]}], "]"}], ";", "     ", 
         RowBox[{"(*", 
          RowBox[{"update", " ", "z"}], "*)"}], "\[IndentingNewLine]", "  ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"k", "\[LessEqual]", "y"}], ",", 
           RowBox[{"y", "=", 
            RowBox[{"y", "-", "k"}]}]}], "]"}], ";", "      ", 
         RowBox[{"(*", 
          RowBox[{"update", " ", "y"}], "*)"}], "\[IndentingNewLine]", "   ", 
         RowBox[{"k", "=", 
          RowBox[{"k", "/", "2"}]}]}]}], "]"}], ";", 
      "                          ", 
      RowBox[{"(*", 
       RowBox[{"update", " ", "k"}], "*)"}], "\[IndentingNewLine]", "sum"}]}],
     "]"}]}], "                                              ", 
  RowBox[{"(*", 
   RowBox[{"return", " ", "sum"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"For", " ", "example"}], ",", " ", 
    RowBox[{
     RowBox[{
     "here", " ", "is", " ", "a", " ", "nim", " ", "sum", " ", "of", " ", "5",
       " ", "and", " ", "7"}], ":"}]}], "*)"}], " ", 
  RowBox[{"nimAdd", "[", 
   RowBox[{"5", ",", "7"}], "]"}]}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340957163006024`*^9, 3.7340958037026024`*^9}, {
   3.7340958658026023`*^9, 3.734096147541602*^9}, {3.7340962511846027`*^9, 
   3.7340962947866025`*^9}, {3.7340963303706026`*^9, 
   3.7340963561936026`*^9}, {3.7340965227236023`*^9, 3.734096546744602*^9}, 
   3.7340967697646027`*^9, {3.734097003093602*^9, 3.734097092463602*^9}, {
   3.7340971242126026`*^9, 3.7340972182926025`*^9}, {3.7340981264546022`*^9, 
   3.734098191541602*^9}, {3.7340982291706023`*^9, 3.734098401364602*^9}, {
   3.7340986101496024`*^9, 3.7340986128796024`*^9}, {3.7341001341556025`*^9, 
   3.7341001715116024`*^9}, 3.7345273593197417`*^9, {3.7414591997679696`*^9, 
   3.7414592335839696`*^9}}],

Cell[BoxData["2"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7340984330166025`*^9, {3.7341001393786025`*^9, 3.734100172963602*^9}, 
   3.7345273593207417`*^9, {3.7414592432639694`*^9, 3.74145924474397*^9}, 
   3.7416040790837555`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"The", " ", "command", " ", 
    RowBox[{"NimList", "[", "X", "]"}], " ", "outputs", " ", "the", " ", 
    "nim", " ", "sum", " ", "for", " ", "a", " ", "list", " ", "X", " ", 
    RowBox[{"(", 
     RowBox[{"of", " ", "at", " ", "least", " ", "2", " ", "members"}], ")"}],
     " ", "of", " ", "nonnegative", " ", 
    RowBox[{"integers", "."}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NimList", "[", "X_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"n", "=", 
         RowBox[{"Length", "[", "X", "]"}]}], ",", 
        RowBox[{"sum", "=", 
         RowBox[{"X", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"sum", "=", 
          RowBox[{"nimAdd", "[", 
           RowBox[{"sum", ",", " ", 
            RowBox[{"X", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "2", ",", "n"}], "}"}]}], "]"}], ";", "sum"}]}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"For", " ", "example"}], ","}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"NimList", "[", 
    RowBox[{"{", 
     RowBox[{"5", ",", "7", ",", "12"}], "}"}], "]"}], "     ", 
   RowBox[{"(*", " ", "gives", " ", "*)"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340957163006024`*^9, 3.7340958037026024`*^9}, {
   3.7340958658026023`*^9, 3.734096147541602*^9}, {3.7340962511846027`*^9, 
   3.7340962947866025`*^9}, {3.7340963303706026`*^9, 
   3.7340963561936026`*^9}, {3.7340965227236023`*^9, 3.734096546744602*^9}, 
   3.7340967697646027`*^9, {3.734097003093602*^9, 3.734097092463602*^9}, {
   3.7340971242126026`*^9, 3.7340972182926025`*^9}, {3.7340981264546022`*^9, 
   3.734098191541602*^9}, {3.7340982291706023`*^9, 3.734098401364602*^9}, {
   3.7340984599446025`*^9, 3.7340986249726024`*^9}, {3.7340986683746023`*^9, 
   3.7340987185056024`*^9}, 3.7340988170736027`*^9, {3.734100100586602*^9, 
   3.7341001152346025`*^9}, {3.7341001973686028`*^9, 3.7341002097316027`*^9}, 
   3.734527359321742*^9}],

Cell[BoxData["14"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.7340987556846027`*^9, 3.7341001171796026`*^9, 
  3.734527359321742*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"Code", " ", "3"}], ":", " ", 
      RowBox[{"Mancala", " ", 
       RowBox[{"nim", "."}]}]}], "*)"}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], "  "}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734101594369602*^9, 3.734101624937602*^9}, {
  3.734101674449602*^9, 3.7341021326416025`*^9}, {3.734527225370348*^9, 
  3.734527275504361*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "The", " ", "following", " ", "algorithms", " ", "determine", " ", "the", 
   " ", "nim", " ", "value", " ", "of", " ", "a", " ", "mancala", " ", "nim", 
   " ", 
   RowBox[{"board", ".", " ", "Command"}], " ", "Mex", " ", "finds", " ", 
   "the", " ", "minimal", " ", "excluded", " ", "value", " ", "for", " ", "a",
    " ", "list", " ", "X", "  ", "of", " ", "nonnegative", " ", 
   RowBox[{"integers", "."}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734101594369602*^9, 3.734101624937602*^9}, {
  3.734101674449602*^9, 3.7341021326416025`*^9}, {3.734527225370348*^9, 
  3.7345272755053616`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Mex", "[", "X_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"mex", "=", "0"}], " ", ",", " ", "i", ",", 
        RowBox[{"flag", "=", "False"}]}], "}"}], ",", "\[IndentingNewLine]", 
      "  ", 
      RowBox[{
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"Not", "[", "flag", "]"}], ",", "      ", 
         RowBox[{"(*", "loop", "*)"}], "\[IndentingNewLine]", "     ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"Not", "[", 
            RowBox[{"MemberQ", "[", 
             RowBox[{"X", ",", "mex"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", "         ", 
           RowBox[{"flag", "=", "True"}], ",", "            ", 
           RowBox[{"(*", 
            RowBox[{"the", " ", "mex", " ", "is", " ", "found"}], "*)"}], " ",
            "\[IndentingNewLine]", "         ", 
           RowBox[{"mex", "=", 
            RowBox[{"mex", "+", "1"}]}]}], "]"}]}], "]"}], ";", "    ", 
       RowBox[{"(*", 
        RowBox[{"else", " ", "update", " ", "mex"}], "*)"}], 
       "\[IndentingNewLine]", " ", "mex"}]}], "]"}]}], " ", ";"}], 
  "                                      ", 
  RowBox[{"(*", 
   RowBox[{"return", " ", "mex"}], "*)"}], "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734101594369602*^9, 3.734101624937602*^9}, {
   3.734101674449602*^9, 3.7341021326416025`*^9}, 3.734104952114602*^9, 
   3.734527275506361*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Mex", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2", ",", "4"}], "}"}], "]"}], "     ", 
  RowBox[{"(*", "example", "*)"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7341021449906025`*^9, 3.7341021872626023`*^9}, 
   3.7345272755073614`*^9}],

Cell[BoxData["3"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7341021537476025`*^9, 3.7341021670336027`*^9}, 
   3.734527275508362*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Command", "  ", "NMove", " ", "generates", " ", "generates", " ", "the", 
    " ", "next", " ", "possible", " ", "moves", " ", "from", " ", "a", " ", 
    "list", " ", "X", " ", "corresponding", " ", "to", " ", "the", " ", 
    "number", " ", "of", " ", "stones", " ", "in", " ", "the", " ", "basins", 
    " ", "of", " ", "a", " ", "mancala", " ", 
    RowBox[{"board", "."}]}], "*)"}], "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734101594369602*^9, 3.734101624937602*^9}, {
   3.734101674449602*^9, 3.7341021326416025`*^9}, {3.734102195798602*^9, 
   3.7341023126396027`*^9}, {3.7341023525316024`*^9, 3.734102368817602*^9}, {
   3.7341024002286024`*^9, 3.7341024809736023`*^9}, {3.7341025984606023`*^9, 
   3.734102723836602*^9}, {3.7341027562236023`*^9, 3.734102809020602*^9}, 
   3.7345272755093613`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NMove", "[", "X_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"move", "=", 
         RowBox[{"{", "}"}]}], ",", " ", "i", ",", " ", "j", ",", "Y", ",", 
        RowBox[{"m", "=", 
         RowBox[{"Length", "[", "X", "]"}]}]}], "}"}], ",", " ", 
      "\[IndentingNewLine]", " ", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"m", ">", "0"}], ",", " ", "\[IndentingNewLine]", "      ", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"X", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "i"}], ",", 
             "                                       ", 
             RowBox[{"(*", 
              RowBox[{"if", " ", "pit", " ", "i", " ", "is", " ", "hot"}], 
              "*)"}], "\[IndentingNewLine]", "         ", 
             RowBox[{
              RowBox[{"Y", "=", "X"}], ";", " ", 
              RowBox[{
               RowBox[{"Y", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", "0"}], ";", 
              "                         ", 
              RowBox[{"(*", 
               RowBox[{"then", " ", "make", " ", "the", " ", "move"}], "*)"}],
               "\[IndentingNewLine]", "         ", 
              RowBox[{"Do", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Y", "[", 
                  RowBox[{"[", "j", "]"}], "]"}], "=", 
                 RowBox[{
                  RowBox[{"Y", "[", 
                   RowBox[{"[", "j", "]"}], "]"}], "+", "1"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"j", ",", " ", "1", ",", " ", 
                  RowBox[{"i", "-", "1"}]}], " ", "}"}]}], "]"}], ";", " ", 
              RowBox[{"(*", 
               RowBox[{"update", " ", "Y"}], "*)"}], "\[IndentingNewLine]", 
              "         ", 
              RowBox[{"move", "=", 
               RowBox[{"Append", "[", 
                RowBox[{"move", ",", "Y"}], "]"}]}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], "]"}], ";", 
       " ", 
       RowBox[{"(*", 
        RowBox[{"update", " ", "move"}], "*)"}], "\[IndentingNewLine]", " ", 
       "move"}]}], "]"}]}], " ", ";"}], 
  "                                                                           \
    ", 
  RowBox[{"(*", 
   RowBox[{"return", " ", "move"}], "*)"}], "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734101594369602*^9, 3.734101624937602*^9}, {
   3.734101674449602*^9, 3.7341021326416025`*^9}, {3.734102195798602*^9, 
   3.7341023126396027`*^9}, {3.7341023525316024`*^9, 3.734102368817602*^9}, {
   3.7341024002286024`*^9, 3.7341024809736023`*^9}, {3.7341025984606023`*^9, 
   3.734102723836602*^9}, {3.7341027562236023`*^9, 3.734102809020602*^9}, {
   3.7341029801096025`*^9, 3.7341031757906027`*^9}, {3.734104853600602*^9, 
   3.734104869362602*^9}, 3.7345272755103617`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NMove", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "5", ",", "0", ",", "0", ",", "7"}],
     "}"}], "]"}], "     ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Example", ":", " ", 
     RowBox[{
     "Starting", " ", "with", " ", "a", " ", "board", " ", "of", " ", "7", 
      " ", "pits"}]}], ",", " ", 
    RowBox[{
    "we", " ", "can", " ", "move", " ", "to", " ", "any", " ", "of", " ", 
     "the", " ", "four", " ", "possible", " ", 
     RowBox[{"configuartions", ":"}]}]}], "*)"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734103323409602*^9, 3.7341033704416027`*^9}, 
   3.734527275511362*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "2", ",", "3", ",", "5", ",", "0", ",", "0", ",", "7"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0", ",", "3", ",", "5", ",", "0", ",", "0", ",", "7"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "0", ",", "5", ",", "0", ",", "0", ",", "7"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4", ",", "6", ",", "1", ",", "1", ",", "0"}],
     "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7341032964856024`*^9, 3.734104846817602*^9, 
  3.734527275512362*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Command", " ", "nimValue", " ", "computes", " ", "the", " ", "nim", " ", 
     "value", " ", "of", " ", "a", " ", "mancala"}], "-", 
    RowBox[{"nim", " ", "board"}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"nimValue", "[", "X_", "]"}], ":=", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"moves", "=", 
          RowBox[{"NMove", "[", "X", "]"}]}], ",", "values", ",", "m", ",", 
         "i"}], "}"}], ",", "\[IndentingNewLine]", " ", 
       RowBox[{
        RowBox[{"m", "=", 
         RowBox[{"Length", "[", "moves", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"moves", "\[Equal]", " ", 
           RowBox[{"{", " ", "}"}]}], ",", "\[IndentingNewLine]", "       ", 
          "0", ",", "                 ", 
          RowBox[{"(*", 
           RowBox[{"return", " ", "0"}], "*)"}], "\[IndentingNewLine]", 
          "        ", 
          RowBox[{
           RowBox[{"values", "=", " ", 
            RowBox[{"{", "}"}]}], ";", "  ", 
           RowBox[{"(*", 
            RowBox[{"else", " ", "continue"}], "*)"}], "\[IndentingNewLine]", 
           "                ", 
           RowBox[{"Do", "[", 
            RowBox[{
             RowBox[{"values", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"values", ",", 
                RowBox[{"nimValue", "[", 
                 RowBox[{"moves", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "]"}]}], ",", " ", 
             RowBox[{"(*", 
              RowBox[{"update", " ", "values"}], "*)"}], 
             "\[IndentingNewLine]", "                           ", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}], ";", 
           "\[IndentingNewLine]", "       ", 
           RowBox[{"Mex", "[", "values", "]"}]}]}], "]"}]}]}], 
      "                                                                       \
     ", 
      RowBox[{"(*", 
       RowBox[{"return", " ", "mex", " ", "value"}], "*)"}], 
      "\[IndentingNewLine]", " ", "]"}]}], ";"}], "\n", "\[IndentingNewLine]", 
   RowBox[{"nimValue", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], 
    "]"}], 
   RowBox[{"(*", "example", "*)"}], "\[IndentingNewLine]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734101594369602*^9, 3.734101624937602*^9}, {
   3.734101674449602*^9, 3.7341021326416025`*^9}, {3.734102195798602*^9, 
   3.7341023126396027`*^9}, {3.7341023525316024`*^9, 3.734102368817602*^9}, {
   3.7341024002286024`*^9, 3.7341024809736023`*^9}, {3.7341025984606023`*^9, 
   3.734102723836602*^9}, {3.7341027562236023`*^9, 3.7341028256276026`*^9}, {
   3.7341032092456026`*^9, 3.7341032895836024`*^9}, {3.7341033846286025`*^9, 
   3.7341034762756023`*^9}, {3.7341035079866023`*^9, 
   3.7341037011166024`*^9}, {3.7341037505716023`*^9, 
   3.7341038533566027`*^9}, {3.7341039085286026`*^9, 
   3.7341039534196024`*^9}, {3.7341039846966023`*^9, 
   3.7341040293596025`*^9}, {3.7341041162386026`*^9, 
   3.7341041230426025`*^9}, {3.734104171482602*^9, 3.7341041930106025`*^9}, 
   3.7341042264386024`*^9, {3.7341044917036023`*^9, 3.7341045359416027`*^9}, {
   3.7341045799656024`*^9, 3.7341048351836023`*^9}, 3.7341048780756025`*^9, 
   3.734106144423602*^9, 3.734527275513362*^9}],

Cell[BoxData["3"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7341047861706023`*^9, 3.734527275513362*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "4"}], ":", " ", 
      RowBox[{"The", " ", "greatest", " ", "common", " ", 
       RowBox[{"divisor", "."}]}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[" ",
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], "*)"}], " "}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7344358074773455`*^9, 3.7344358196283455`*^9}, {
   3.7344358645663457`*^9, 3.7344359669493456`*^9}, {3.7344360707578926`*^9, 
   3.734436071815998*^9}, {3.7345271538181934`*^9, 3.734527209796791*^9}, 
   3.734775277642441*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "To", " ", "find", " ", "the", " ", "greatest", " ", "common", " ", 
     "divisor", "  ", "d", " ", "of", " ", "two", " ", "positive", " ", 
     "integers", " ", "a", " ", "and", " ", "b", " ", "and", " ", "to", " ", 
     "write", " ", "d", " ", "as", " ", "a", " ", "linear", " ", 
     "combination", " ", "of", " ", "a", " ", "and", " ", "b"}], ",", " ", 
    RowBox[{"use", "   ", 
     RowBox[{
      RowBox[{"ExtendedGCD", "[", 
       RowBox[{"a", ",", " ", "b"}], "]"}], "."}]}]}], "*)"}], "\n", 
  RowBox[{"ExtendedGCD", "[", 
   RowBox[{"5", ",", " ", "17"}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7344358074773455`*^9, 3.7344358196283455`*^9}, {
  3.7344358645663457`*^9, 3.7344359669493456`*^9}, {3.7344360707578926`*^9, 
  3.734436071815998*^9}, {3.7345271538181934`*^9, 3.734527209796791*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", 
     RowBox[{"-", "2"}]}], "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.7344359683823457`*^9, 3.734527153819194*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"Thus", " ", "we", " ", "write", "  ", "1"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"7", "*", "5"}], "-", 
    RowBox[{
    "2", "*", "17.", "  ", "This", " ", "command", " ", "is", " ", "used", 
     " ", "multiple", " ", "times", " ", "in", " ", "the", " ", "codes", " ", 
     "of", " ", "this", " ", 
     RowBox[{"appendix", "."}]}]}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7344359735193453`*^9, 3.734436039746792*^9}, 
   3.7345271538201942`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "5"}], ":", " ", 
     RowBox[{"The", " ", "Mandelbrot", " ", 
      RowBox[{"set", "."}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox[
    StyleBox[
     RowBox[{"*", ")"}]],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734430868834588*^9, 3.7344308841811223`*^9}, {
  3.734430916822386*^9, 3.7344309886735706`*^9}, {3.734431062162919*^9, 
  3.73443115128983*^9}, {3.7344311970104017`*^9, 3.734431213011002*^9}, {
  3.7345270248923025`*^9, 3.7345270673045435`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "command", " ", "MandelbrotSetPlot", " ", "produces", " ", 
     "the", " ", "Mandelbrot", " ", "set", " ", "of", " ", "the", " ", 
     "figure", " ", 
     RowBox[{"below", ".", " ", "\[IndentingNewLine]", "The"}], " ", 
     "arguments", " ", "for", " ", "this", " ", "command", " ", "are", " ", 
     "the", " ", "complex", " ", "coordinates", " ", "of", " ", "the", " ", 
     "lower", " ", "left"}], "-", 
    RowBox[{"hand", " ", "and", " ", "upper", " ", "right"}], "-", 
    RowBox[{
    "hand", " ", "\[IndentingNewLine]", "corners", " ", "of", " ", "a", " ", 
     "window", " ", "onto", " ", "the", " ", "Mandelbrot", " ", 
     RowBox[{"set", ".", " ", "This"}], " ", "particular", " ", "Mathematica",
      " ", "command", " ", "may", " ", "have", " ", "some", " ", 
     "counterpart", " ", "in", " ", "the", " ", "CAS", " ", "of", " ", "your",
      " ", 
     RowBox[{"choice", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"MandelbrotSetPlot", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "1.5"}], " ", "-", "I"}], ",", " ", 
      RowBox[{"0.6", "+", "I"}]}], "}"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734430868834588*^9, 3.7344308841811223`*^9}, {
  3.734430916822386*^9, 3.7344309886735706`*^9}, {3.734431062162919*^9, 
  3.73443115128983*^9}, {3.7344311970104017`*^9, 3.734431213011002*^9}, {
  3.7345270248923025`*^9, 3.734527067305543*^9}}],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJzs3QtU1HX+/3HMSk064N9NY71hylFTK9E0tvQNScZmongpdS00DRM9oaKr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   "], {{-1.5`15.954589770191003, -1.`15.954589770191003}, {
    0.5999999999999999777955395075`15.954589770191003, 
     1.`15.954589770191003}}],
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7344311439080925`*^9, 3.734527067305543*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "6"}], ":", " ", 
      RowBox[{
      "From", " ", "tree", " ", "addresses", " ", "to", " ", "fractions", " ",
        "via", " ", 
       RowBox[{"matrices", "."}]}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[
     StyleBox[
      RowBox[{"*", ")"}]],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"]}], " "}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734108213185369*^9, 3.7341082131953697`*^9}, {
  3.7341083572247715`*^9, 3.734108364000449*^9}, {3.734108419526001*^9, 
  3.7341087054255877`*^9}, {3.734527077133526*^9, 3.73452711917673*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "following", "  ", "Mathematica", " ", "code", " ", "for", 
     " ", "Proposition", " ", "IV", ".45", " ", "will", " ", "generate", " ", 
     "the", " ", "fraction", " ", 
     RowBox[{"p", "/", "q"}], " ", "residing", " ", "at", " ", "address", " ",
      "w", " ", "in", " ", "the", " ", "Stern"}], "-", 
    RowBox[{"Brocot", " ", "tree", " ", "of", " ", "Chapter", " ", 
     RowBox[{"IV", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a_", ",", "c_"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b_", ",", "d_"}], "}"}]}], "}"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "c"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"b", "+", "d"}], ")"}]}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rl", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "}"}]}], ";", 
    RowBox[{"lr", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "1"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"l", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";", 
    RowBox[{"r", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}]}], ";"}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"With", " ", "the", " ", "address", " ", "llrrlrl"}], ",", " ", 
     "then"}], " ", "*)"}], "\[IndentingNewLine]", " ", 
   RowBox[{"f", "[", 
    RowBox[{
    "rl", ".", "l", ".", "r", ".", "r", ".", "l", ".", "r", ".", "l"}], "]"}],
    "    ", 
   RowBox[{"(*", "example", "*)"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734108213185369*^9, 3.7341082131953697`*^9}, {
   3.7341083572247715`*^9, 3.734108364000449*^9}, {3.734108419526001*^9, 
   3.7341087054255877`*^9}, {3.734527077133526*^9, 3.73452711917773*^9}, {
   3.7347765078294406`*^9, 3.734776584675441*^9}, 3.7405869571569557`*^9, {
   3.7405918932945385`*^9, 3.74059189381159*^9}}],

Cell[BoxData[
 FractionBox["13", "44"]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{
  3.734108713920438*^9, 3.73452711917873*^9, {3.734776588331441*^9, 
   3.734776591859441*^9}, 3.7405844716277447`*^9, 3.7405869680010395`*^9, 
   3.7405918953577447`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "7"}], ":", " ", 
     RowBox[{"The", " ", "simplest", " ", "number", " ", "in", " ", "an", " ", 
      RowBox[{"interval", "."}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], " ", "*)"}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7339228847055655`*^9, 3.733923029518045*^9}, {
   3.7339230790179944`*^9, 3.7339232497240634`*^9}, {3.7339233359636865`*^9, 
   3.7339235472168093`*^9}, {3.7339239945845423`*^9, 
   3.7339240037104545`*^9}, {3.7339338556635513`*^9, 
   3.7339342702040014`*^9}, {3.7339343361445947`*^9, 3.733934441837163*^9}, {
   3.733934488492828*^9, 3.7339345001719956`*^9}, {3.7339346113041077`*^9, 
   3.733934615857563*^9}, {3.734002672611781*^9, 3.734002701238781*^9}, 
   3.734092938225602*^9, {3.7345269525700707`*^9, 3.734527002214035*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "The", " ", "following", " ", "code", " ", "finds", " ", "the", " ", 
       "simplest", " ", "number", " ", "in", " ", 
       RowBox[{"interval", "\[IndentingNewLine]", "[", 
        RowBox[{"L", ",", "R"}], "]"}], " ", "where", " ", "0"}], "<", "L", 
      "<", "R", "<", 
      RowBox[{
       RowBox[{
       "1", " ", "with", " ", "R", " ", "and", " ", "L", " ", "real", " ", 
        RowBox[{"numbers", ".", " ", "The"}], " ", "command", 
        "\[IndentingNewLine]", 
        RowBox[{"simple", "[", 
         RowBox[{"L", ",", "R"}], "]"}], " ", "returns", " ", "a", " ", "4"}],
        "-", 
       RowBox[{"tuple", ":", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"m", ",", "n", ",", 
           RowBox[{"m", "/", "n"}], ",", "S"}], "}"}], " ", "where", " ", 
         RowBox[{"m", "/", "n"}], " ", "is", " ", "a", " ", "fraction", " ", 
         "in", " ", "the", " ", "interval"}]}]}]}], ";", " ", 
     "\[IndentingNewLine]", "   ", 
     RowBox[{
      RowBox[{"S", " ", "is", " ", "True", " ", "if", " ", "L"}], "<", 
      RowBox[{"R", " ", "and", " ", "False", " ", 
       RowBox[{"otherwise", ".", "   ", "With"}], " ", "integers", " ", "p", 
       " ", "and", " ", "q"}]}]}], ",", 
    RowBox[{"0", "<", "p", "<", "q"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"left", "[", 
       RowBox[{"p", ",", "q"}], "]"}], " ", "returns", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", 
        RowBox[{"a", "/", "b"}], ",", 
        RowBox[{"c", "/", "d"}]}], "}"}], " ", "where", " ", 
      RowBox[{"a", "/", "b"}], " ", "and", " ", 
      RowBox[{"c", "/", "d"}], " ", "are", " ", "the", " ", "left"}], "-", 
     RowBox[{"parent", " ", "and", " ", "right"}], "-", "parent"}], ",", 
    "respectively", ",", "\[IndentingNewLine]", "   ", 
    RowBox[{"of", " ", "fraction", " ", 
     RowBox[{"p", "/", 
      RowBox[{"q", ".", " ", "With"}]}], " ", 
     RowBox[{"p", "/", "q"}], " ", 
     RowBox[{"in", "[", 
      RowBox[{"L", ",", "R"}], "]"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"mostL", "[", 
       RowBox[{"p", ",", "q", ",", "L", ",", "R"}], "]"}], " ", "and", " ", 
      RowBox[{"mostR", "[", 
       RowBox[{"p", ",", "q", ",", "L", ",", "R"}], "]"}], " ", "return", " ",
       "3"}], "-", 
     RowBox[{"tuples", ":", " ", "\[IndentingNewLine]", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", 
         RowBox[{"a", "/", "b"}]}], "}"}], " ", "where", " ", 
       RowBox[{"a", "/", "b"}], " ", "is"}]}]}], ",", " ", "respectively", 
    ",", " ", 
    RowBox[{"the", " ", "simplest", " ", "number", " ", "in", " ", 
     RowBox[{"interval", "[", 
      RowBox[{"L", ",", "R"}], "]"}], " ", "left", " ", "or", " ", "right", 
     " ", "of", " ", 
     RowBox[{"p", "/", 
      RowBox[{"q", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"simple", "[", 
      RowBox[{"L_", ",", "R_"}], "]"}], ":=", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"n", "=", 
          RowBox[{"Ceiling", "[", 
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"R", "-", "L"}], ")"}]}], "]"}]}], ",", "m", ",", "d"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"m", "=", 
         RowBox[{"Ceiling", "[", 
          RowBox[{"n", "*", "L"}], "]"}]}], ";", 
        "                                   ", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"m", "/", "n"}], " ", 
          RowBox[{"in", " ", "[", 
           RowBox[{"L", ",", " ", "R"}], "]"}]}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"d", "=", 
         RowBox[{"GCD", "[", 
          RowBox[{"m", ",", "n"}], "]"}]}], ";", 
        RowBox[{"m", "=", 
         RowBox[{"m", "/", "d"}]}], ";", 
        RowBox[{"n", "=", 
         RowBox[{"n", "/", "d"}]}], ";", "           ", 
        RowBox[{"(*", 
         RowBox[{"Reduce", " ", 
          RowBox[{"m", "/", "n"}]}], "        ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"m", ",", "n", ",", 
          RowBox[{"m", "/", "n"}], ",", 
          RowBox[{"L", "\[LessEqual]", 
           RowBox[{"m", "/", "n"}], "\[LessEqual]", "R"}]}], "}"}]}]}], 
      "                             ", 
      RowBox[{"(*", 
       RowBox[{"Return", " ", "list"}], "       ", "*)"}], 
      "\[IndentingNewLine]", " ", "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"left", "[", 
      RowBox[{"p_", ",", "q_"}], "]"}], ":=", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "ee", ",", "LR"}], 
        "}"}], ",", 
       RowBox[{
        RowBox[{"ee", "=", 
         RowBox[{"ExtendedGCD", "[", 
          RowBox[{"p", ",", "q"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"a", "=", 
         RowBox[{"Abs", "[", 
          RowBox[{"ee", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}]}], ";", 
        RowBox[{"b", "=", 
         RowBox[{"Abs", "[", 
          RowBox[{"ee", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}]}], ";", 
        RowBox[{"c", "=", 
         RowBox[{"p", "-", "a"}]}], ";", 
        RowBox[{"d", "=", 
         RowBox[{"q", "-", "b"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"a", "/", "b"}], "<", 
           RowBox[{"p", "/", "q"}]}], ",", "\[IndentingNewLine]", "   ", 
          RowBox[{"LR", "=", 
           RowBox[{"{", 
            RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", 
             RowBox[{"a", "/", "b"}], ",", 
             RowBox[{"c", "/", "d"}]}], "}"}]}], ",", "                ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"If", " ", "True"}], ",", " ", 
            RowBox[{"return", " ", "list"}]}], "  ", "*)"}], 
          "\[IndentingNewLine]", "   ", 
          RowBox[{"LR", "=", 
           RowBox[{"{", 
            RowBox[{"c", ",", "d", ",", "a", ",", "b", ",", 
             RowBox[{"c", "/", "d"}], ",", 
             RowBox[{"a", "/", "b"}]}], "}"}]}]}], "]"}]}]}], 
      "                  ", 
      RowBox[{"(*", 
       RowBox[{"Else", ",", " ", 
        RowBox[{"return", " ", "this", " ", "list"}]}], "*)"}], 
      "\[IndentingNewLine]", " ", "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"mostL", "[", 
      RowBox[{"p_", ",", "q_", ",", "L_", ",", "R_"}], "]"}], ":=", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", "m", ",", 
         RowBox[{"pp", "=", "p"}], ",", 
         RowBox[{"qq", "=", "q"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", "m"}], "}"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"left", "[", 
             RowBox[{"p", ",", "q"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"left", "[", 
             RowBox[{"p", ",", "q"}], "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"L", "\[LessEqual]", 
           RowBox[{"n", "/", "m"}], "\[LessEqual]", "R"}], ",", 
          "\[IndentingNewLine]", "    ", 
          RowBox[{"mostL", "[", 
           RowBox[{"n", ",", "m", ",", "L", ",", "R"}], "]"}], ",", 
          "                        ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"If", " ", "True"}], ",", " ", "recur"}], "   ", "*)"}], 
          "\[IndentingNewLine]", "   ", 
          RowBox[{"{", 
           RowBox[{"pp", ",", "qq", ",", 
            RowBox[{"pp", "/", "qq"}]}], "}"}]}], "]"}]}]}], 
      "                            ", 
      RowBox[{"(*", 
       RowBox[{"Else", ",", " ", 
        RowBox[{"return", " ", "list"}]}], "*)"}], "\[IndentingNewLine]", " ",
       "]"}]}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"mostR", "[", 
      RowBox[{"p_", ",", "q_", ",", "L_", ",", "R_"}], "]"}], ":=", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"n", ",", "m", ",", 
         RowBox[{"pp", "=", "p"}], ",", 
         RowBox[{"qq", "=", "q"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", "m"}], "}"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"left", "[", 
             RowBox[{"p", ",", "q"}], "]"}], "[", 
            RowBox[{"[", "3", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"left", "[", 
             RowBox[{"p", ",", "q"}], "]"}], "[", 
            RowBox[{"[", "4", "]"}], "]"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"L", "\[LessEqual]", 
           RowBox[{"n", "/", "m"}], "\[LessEqual]", "R"}], ",", 
          "\[IndentingNewLine]", "   ", 
          RowBox[{"mostR", "[", 
           RowBox[{"n", ",", "m", ",", "L", ",", "R"}], "]"}], ",", 
          "                        ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"If", " ", "True"}], ",", " ", "recur"}], "   ", "*)"}], 
          "\[IndentingNewLine]", " ", 
          RowBox[{"{", 
           RowBox[{"pp", ",", "qq", ",", 
            RowBox[{"pp", "/", "qq"}]}], "}"}]}], "]"}]}]}], 
      "                             ", 
      RowBox[{"(*", 
       RowBox[{"Else", ",", " ", 
        RowBox[{"return", " ", "list"}]}], "*)"}], "\[IndentingNewLine]", " ",
       "]"}]}], ";"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7339228847055655`*^9, 3.733923029518045*^9}, {
   3.7339230790179944`*^9, 3.7339232497240634`*^9}, {3.7339233359636865`*^9, 
   3.7339235472168093`*^9}, {3.7339239945845423`*^9, 
   3.7339240037104545`*^9}, {3.7339338556635513`*^9, 
   3.7339342702040014`*^9}, {3.7339343361445947`*^9, 3.733934441837163*^9}, {
   3.733934488492828*^9, 3.7339345001719956`*^9}, {3.7339346113041077`*^9, 
   3.733934615857563*^9}, {3.734002672611781*^9, 3.734002701238781*^9}, 
   3.734092938225602*^9, {3.7345269525700707`*^9, 3.7345269850783215`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "To", " ", "find", " ", "the", " ", "simplest", " ", "number", " ", 
     "between", " ", 
     RowBox[{"9", "/", "17"}]}], ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"11", "/", "13"}]}], ",", " ", 
    RowBox[{"we", " ", "find", " ", "a", " ", "fraction", " ", "between", " ", 
     RowBox[{"them", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"simple", "[", 
   RowBox[{
    RowBox[{"9", "/", "17"}], ",", 
    RowBox[{"11", "/", "13"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733934639383916*^9, 3.733934717207697*^9}, 
   3.734526985079322*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "4", ",", 
   FractionBox["3", "4"], ",", "True"}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7339347121821947`*^9, 3.7339347196529417`*^9}, 
   3.734002850304781*^9, 3.734526985079322*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Then", " ", "the", " ", "simplest", " ", "number", " ", "to", " ", "the", 
    " ", "left", " ", "of", " ", 
    RowBox[{"3", "/", "4"}], " ", "in", " ", "this", " ", "interval", " ", 
    "is", "  ", 
    RowBox[{"2", "/", "3"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"mostL", "[", 
   RowBox[{"3", ",", "4", ",", 
    RowBox[{"9", "/", "17"}], ",", 
    RowBox[{"11", "/", "13"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7339347236943455`*^9, 3.7339347899559712`*^9}, 
   3.7345269850803213`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", 
   FractionBox["2", "3"]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.733934784361412*^9, 3.7345269850813217`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "And", " ", "the", " ", "simplest", " ", "number", " ", "to", " ", "the", 
    " ", "right", " ", "of", " ", 
    RowBox[{"3", "/", "4"}], " ", "in", " ", "this", " ", "interval", " ", 
    "is", " ", 
    RowBox[{"3", "/", "4"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"mostR", "[", 
   RowBox[{"3", ",", "4", ",", 
    RowBox[{"9", "/", "17"}], ",", 
    RowBox[{"11", "/", "13"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733934795523528*^9, 3.7339348241103864`*^9}, 
   3.7339396217891064`*^9, {3.734012299917597*^9, 3.7340123018187866`*^9}, 
   3.734526985082322*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "4", ",", 
   FractionBox["3", "4"]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.733934826539629*^9, 3.734526985083322*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "8"}], ":", " ", 
      RowBox[{
      "Generating", " ", "regular", " ", "Babylonian", " ", "numbers", " ", 
       "between", " ", "1", " ", "and", " ", "3."}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[
     StyleBox[
      RowBox[{"*", ")"}]],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"]}],
   FontColor->RGBColor[0, 0, 1]], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734208198430962*^9, 3.7342082199911175`*^9}, {
   3.734208266057724*^9, 3.734208345933711*^9}, {3.7342083760187187`*^9, 
   3.7342083854556627`*^9}, {3.73420842043316*^9, 3.734208583685484*^9}, {
   3.7342086374968643`*^9, 3.7342086762847424`*^9}, 3.7342088327273855`*^9, {
   3.7345268959714117`*^9, 3.7345269333131456`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "following", " ", "code", " ", "generates", " ", "a", " ", 
     "list", " ", "of", " ", "the", " ", "fractions", " ", 
     RowBox[{"p", "/", "q"}], " ", "where", " ", "2"}], "+", 
    RowBox[{
     RowBox[{"p", "/", "q"}], " ", "is", " ", "no", " ", "more", " ", "than", 
     " ", "a", " ", "third", " ", "order", " ", "fraction", " ", "and", " ", 
     "its", " ", "reciprocal", " ", "is", " ", "no", " ", "more", " ", "than",
      " ", "a", " ", "fourth", " ", "order", " ", 
     RowBox[{"fraction", ".", " ", "A"}], " ", "slight", " ", "modification", 
     " ", "of", " ", "the", " ", "program", " ", "will", " ", "do", " ", 
     "the", " ", "same", " ", "for", " ", "fractions", " ", "of", " ", "the", 
     " ", "form", " ", "2"}], "-", 
    RowBox[{"p", "/", 
     RowBox[{"q", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"regular", "=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fractions", "=", 
         RowBox[{"{", " ", "}"}]}], ",", "n"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"(", 
                RowBox[{"2", "+", 
                 RowBox[{"n", "/", 
                  RowBox[{"60", "^", "3"}]}]}], ")"}]}], "*", 
              RowBox[{"60", "^", "4"}]}], "\[Equal]", 
             RowBox[{"Floor", "[", 
              RowBox[{
               RowBox[{"1", "/", 
                RowBox[{"(", 
                 RowBox[{"2", "+", 
                  RowBox[{"n", "/", 
                   RowBox[{"60", "^", "3"}]}]}], ")"}]}], "*", 
               RowBox[{"60", "^", "4"}]}], "]"}]}], " ", "&&", " ", 
            RowBox[{
             RowBox[{"2", "+", 
              RowBox[{"n", "/", 
               RowBox[{"60", "^", "3"}]}]}], "<", 
             RowBox[{"1", "+", 
              RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], ",", 
           "\[IndentingNewLine]", " ", 
           RowBox[{"fractions", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"fractions", ",", "n"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", 
           RowBox[{
            RowBox[{"60", "^", "3"}], "-", "1"}]}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fractions", "/", 
        RowBox[{"60", "^", "3"}]}]}]}], "]"}]}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "The", " ", "output", " ", "of", " ", "this", " ", "procedure", " ", 
     "is"}], "*)"}], "\n"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734208198430962*^9, 3.7342082199911175`*^9}, {
   3.734208266057724*^9, 3.734208345933711*^9}, {3.7342083760187187`*^9, 
   3.7342083854556627`*^9}, {3.73420842043316*^9, 3.734208583685484*^9}, {
   3.7342086374968643`*^9, 3.7342086762847424`*^9}, 3.7342088327273855`*^9, {
   3.7345268959714117`*^9, 3.7345269333141456`*^9}, {3.741461616548961*^9, 
   3.7414616346709614`*^9}, {3.7414617299139614`*^9, 3.741461788525961*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   FractionBox["1", "40"], ",", 
   FractionBox["6", "125"], ",", 
   FractionBox["1", "12"], ",", 
   FractionBox["7", "64"], ",", 
   FractionBox["2", "15"], ",", 
   FractionBox["4", "25"], ",", 
   FractionBox["49", "288"], ",", 
   FractionBox["2", "9"], ",", 
   FractionBox["1", "4"], ",", 
   FractionBox["38", "125"], ",", 
   FractionBox["17", "54"], ",", 
   FractionBox["11", "32"], ",", 
   FractionBox["10", "27"], ",", 
   FractionBox["2", "5"]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{3.7342086677908936`*^9, 3.7342087741845317`*^9, 
  3.7345269333151455`*^9, 3.7414614703029613`*^9, 3.741461795030961*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"Code", " ", "9"}], ":", " ", 
      RowBox[{
      "Generating", " ", "patterns", " ", "with", " ", "respect", " ", "to", 
       " ", "Puzzle", " ", "VII", ".3", " ", "and", " ", "Exercise", " ", 
       "VII", 
       RowBox[{".1", "."}]}]}], 
     StyleBox[
      RowBox[{"*", ")"}]]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], " "}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733939666191546*^9, 3.7339397726981955`*^9}, {
  3.734526624881305*^9, 3.7345266637741942`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "This", " ", "code", " ", "calls", " ", "two", " ", "of", " ", "the", " ", 
   "commands", "\[IndentingNewLine]", "in", " ", "Code", " ", "7.", " ", 
   "Activate", " ", "those", " ", "commands", " ", "before", " ", 
   "activating", " ", "procedure", " ", 
   RowBox[{"pattern", "."}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733939666191546*^9, 3.7339397726981955`*^9}, {
  3.734526624881305*^9, 3.734526663775194*^9}, {3.734526830390854*^9, 
  3.734526861122927*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pattern", "[", 
    RowBox[{"L_", ",", "R_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"s", "=", 
        RowBox[{"simple", "[", 
         RowBox[{"L", ",", "R"}], "]"}]}], ",", "ll", ",", "rr"}], "}"}], ",", 
     RowBox[{
      RowBox[{"ll", "=", 
       RowBox[{"mostL", "[", 
        RowBox[{
         RowBox[{"s", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"s", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "L", ",", "R"}], "]"}]}], ";", 
      RowBox[{"rr", "=", 
       RowBox[{"mostR", "[", 
        RowBox[{
         RowBox[{"s", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"s", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "L", ",", "R"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ll", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "<", 
         RowBox[{"rr", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ",", "    ", 
        RowBox[{"(*", 
         RowBox[{
         "If", " ", "the", " ", "simplest", " ", "number", " ", "on", " ", 
          "the", " ", "left", " ", "is", " ", "simpler", " ", "than", " ", 
          "the", " ", "simplest", " ", "on", " ", "the", " ", "right"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ll", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"ll", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", "     ", 
        RowBox[{"(*", 
         RowBox[{"Then", " ", "return", " ", "the", " ", "Left"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"rr", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"rr", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}]}], "      ", 
    RowBox[{"(*", 
     RowBox[{"Else", " ", "return", " ", "the", " ", "Right"}], "*)"}], 
    "\[IndentingNewLine]", " ", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"seePattern", "[", "p_", "]"}], ":=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"pattern", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "-", "1"}], ")"}], "/", "p"}], ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"j", "+", "1"}], ")"}], "/", "p"}]}], "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], "/", "p"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "2", ",", 
         RowBox[{"p", "-", "2"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"PointSize", "[", ".01", "]"}]}]}], "]"}]}], "\n"}], "\n", 
 RowBox[{"seePattern", "[", "71", "]"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733934841477123*^9, 3.7339348415771327`*^9}, {
   3.733939551278056*^9, 3.733939602172145*^9}, 3.7345266637761946`*^9, {
   3.7345267277425904`*^9, 3.73452676414123*^9}, {3.7347770944794407`*^9, 
   3.734777157871441*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.01], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd1M8rBGEYB/A3Disu2igHh6UNSWIxrN21z/5gx45dsw4ObpSzg5uDnqu/
wIHT1h4UJa0kDtvKyYWi3BX/BvJNPd+pafo0M8+v950Z2tnb2O1wzhV/zt8r
DvGb7U+pv2X/2CVeJHpxmXyGe2Vrez/20v0E9+H5R3hAjg8Sh3evD/Ag3m/B
Mek56TzafL+Hh8lxORv9uAkyt/AI4l/DY+RxyjchX1Lv9yJX8CR5iuqZRv5z
OEGeofizVN8c2UO+NjyPehvwAjlJ8RdpHilymvrJkJeonixZbP8qlD9n11dz
yH+K+3lrzdN+KNh4WqB5F209SnbLth8luxU7DyW7EuUv0bx9a/VpvVapPrIr
U/wy7ZfAWgPqf436I7sKxa/Qfq9aa5XqW6f5kF1o65GQ8oX2e26FtL41+z+Q
2v//4htlwCXx
      "]]}, {}}, {}, {}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 69.}, {0, 0.3380281690140845}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.733939604389366*^9, {3.7345266637771945`*^9, 3.7345266708098974`*^9}, 
   3.734526720615878*^9, 3.7345267539842143`*^9, 3.734526818059621*^9, 
   3.7347771941124406`*^9, 3.7347772782834406`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "10"}], ":", " ", 
     RowBox[{"Generating", " ", "good", " ", 
      RowBox[{"approximations", "."}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox["*)",
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}], 
  StyleBox[" ",
   FontColor->RGBColor[0.6, 0.4, 0.2]]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734187327358514*^9, 3.734187692712514*^9}, {
   3.734187729023514*^9, 3.7341878999825134`*^9}, {3.7341879504025135`*^9, 
   3.7341879690415134`*^9}, {3.7341883120195136`*^9, 
   3.7341883123075137`*^9}, {3.7345265550693245`*^9, 3.734526594475265*^9}, 
   3.741532834392694*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "following", " ", "code", " ", "generates", " ", "a", " ", 
     "list", " ", "of", " ", "the", " ", "fractions", " ", 
     RowBox[{"p", "/", "q"}], " ", "up", " ", "to", " ", "q"}], "=", "m"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"that", " ", "are", " ", "good"}], ",", " ", 
    RowBox[{"reduced", " ", "approximations", " ", "to", " ", 
     RowBox[{"omega", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"good", "[", 
     RowBox[{"m_", ",", "omega_"}], "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"approx", "=", 
         RowBox[{"{", "}"}]}], ",", "j", ",", " ", "p"}], "}"}], ",", 
      "\[IndentingNewLine]", " ", 
      RowBox[{
       RowBox[{"Do", "[", "  ", 
        RowBox[{
         RowBox[{
          RowBox[{"p", " ", "=", " ", 
           RowBox[{"Round", "[", " ", 
            RowBox[{"j", " ", "*", " ", "omega"}], "]"}]}], ";", " ", 
          RowBox[{"If", "[", " ", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"GCD", "[", 
               RowBox[{"p", ",", " ", "j"}], "]"}], "\[Equal]", "1"}], " ", "&&",
              " ", 
             RowBox[{
              RowBox[{"Abs", "[", " ", 
               RowBox[{"omega", " ", "-", " ", 
                RowBox[{"p", "/", "j"}]}], "]"}], "<", " ", 
              RowBox[{"1", "/", 
               RowBox[{"j", "^", "2"}]}]}]}], ",", " ", "\[IndentingNewLine]",
             " ", 
            RowBox[{"approx", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"approx", ",", 
               RowBox[{
                RowBox[{"Round", "[", 
                 RowBox[{"j", " ", "*", "omega"}], "]"}], "/", "j"}]}], 
              "]"}]}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "m"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "approx"}]}], "]"}]}], ";"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734187327358514*^9, 3.734187692712514*^9}, {
   3.734187729023514*^9, 3.7341878999825134`*^9}, {3.7341879504025135`*^9, 
   3.7341879690415134`*^9}, {3.7341883120195136`*^9, 
   3.7341883123075137`*^9}, {3.7345265550693245`*^9, 3.734526594476265*^9}, {
   3.7347775397404404`*^9, 3.7347776321124406`*^9}, {3.7415230818877163`*^9, 
   3.741523209766716*^9}, 3.741523270173721*^9, {3.741523337097412*^9, 
   3.741523348067509*^9}, {3.7415237960863066`*^9, 3.741523797739472*^9}, {
   3.741523911908888*^9, 3.7415239544191384`*^9}, {3.741524009573653*^9, 
   3.7415240545831537`*^9}, {3.7415240875104465`*^9, 
   3.7415240896326585`*^9}, {3.741524122590954*^9, 3.7415241645687113`*^9}, {
   3.741524286315711*^9, 3.741524342274711*^9}, {3.741524392848711*^9, 
   3.7415244358847113`*^9}, {3.741532795715694*^9, 3.741532834393694*^9}, 
   3.741532877562694*^9, {3.7416027095317955`*^9, 3.7416027353098555`*^9}, {
   3.741602901562479*^9, 3.7416029110674295`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"good", "[", 
  RowBox[{"1000", ",", " ", "Pi"}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.741524443386711*^9, 3.7415244498577113`*^9}, 
   3.741532834393694*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", 
   FractionBox["19", "6"], ",", 
   FractionBox["22", "7"], ",", 
   FractionBox["333", "106"], ",", 
   FractionBox["355", "113"]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{
  3.7415244710357113`*^9, {3.741532807101694*^9, 3.7415328343946943`*^9}, 
   3.741602747096034*^9, 3.741602917393062*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{"Code", " ", "11"}], ":", " ", 
    RowBox[{
    "Generating", " ", "signatures", " ", "of", " ", "irrational", " ", 
     RowBox[{"numbers", "."}]}]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox[
   StyleBox[
    RowBox[{"*", ")"}]],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733847679639566*^9, 3.7338477043850403`*^9}, {
  3.733847908123412*^9, 3.7338480561602144`*^9}, {3.734526462654084*^9, 
  3.7345265002478433`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "The", " ", "following", " ", "code", " ", "generates", " ", "a", " ", 
    "graph", " ", "of", " ", "points", " ", "of", " ", "the", " ", "form", 
    "\n", 
    RowBox[{"(", 
     RowBox[{"n", ",", " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"2", "*", "Pi", "*", "omega", "*", "n"}], "]"}]}], ")"}], " ", 
    "as", "  ", "n", " ", "ranges", " ", "from", " ", "0", " ", "to", " ", 
    "m"}], ",", "  ", 
   RowBox[{
   "where", " ", "omega", " ", "is", " ", "a", " ", "given", " ", 
    "irrational", " ", 
    RowBox[{"number", "."}]}]}], " ", "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733847679639566*^9, 3.7338477043850403`*^9}, {
   3.733847908123412*^9, 3.7338480561602144`*^9}, {3.734526462654084*^9, 
   3.7345265002478433`*^9}, {3.7347780802444406`*^9, 3.734778099253441*^9}, 
   3.741600173256771*^9, {3.741602954235746*^9, 3.741602961225445*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sig", "[", " ", 
      RowBox[{"omega_", ",", " ", "m_"}], " ", "]"}], ":=", " ", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", "n", "}"}], ",", 
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"Sin", "[", 
              RowBox[{"2", "*", "Pi", " ", "*", "omega", "*", " ", "n"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "m"}], "}"}]}], "]"}], ",", " ", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"PointSize", "[", ".01", "]"}]}]}], "]"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"sig", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"E", "/", "Pi"}], ")"}], "^", "2"}], ",", " ", "800"}], 
    "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7338477581844196`*^9, 3.733847770230624*^9}, {
   3.7338478602956295`*^9, 3.733847877970397*^9}, {3.733848063800978*^9, 
   3.733848345187114*^9}, {3.7340992063736024`*^9, 3.7340992090366025`*^9}, 
   3.734526500248843*^9, {3.7347781008514404`*^9, 3.7347781102244406`*^9}, {
   3.741600099312771*^9, 3.7416001684937706`*^9}, {3.741600292407771*^9, 
   3.741600294457771*^9}, 3.7416003681207705`*^9, {3.741600568799771*^9, 
   3.741600611187771*^9}, {3.7416029640727296`*^9, 3.7416029743927617`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.01], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxtmnlczN37/ydZskSWZDctkn3kti+9lBLSIu2Lad+Uad9rZpqZxhJlSfaE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      "]]}, {}}, {}, {}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{274., Automatic},
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 800.}, {-0.9999963003029454, 0.9999968475274824}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7338482358711834`*^9, 3.733848277185314*^9}, 
   3.733848308055401*^9, {3.7345265002788467`*^9, 3.7345265271195297`*^9}, 
   3.7347781185264406`*^9, 3.7416001842227707`*^9, 3.7416003047457705`*^9, 
   3.7416003694937706`*^9, 3.741600458183771*^9, 3.7416005749887705`*^9, 
   3.741600613027771*^9, 3.7416029759949217`*^9},
 FontColor->RGBColor[0, 0, 1]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Code", " ", "12"}], ":", " ", 
      RowBox[{"The", " ", "harmonic", " ", "algorithm"}]}], ",", " ", 
     RowBox[{"H", "."}]}], 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734356567975005*^9, 3.7343566017193785`*^9}, {
  3.734356645393746*^9, 3.734356968387042*^9}, {3.734357030294232*^9, 
  3.734357086491851*^9}, {3.7343571506302643`*^9, 3.734357255486749*^9}, {
  3.7343573283200316`*^9, 3.73435735860706*^9}, {3.734357558217019*^9, 
  3.734357558713069*^9}, {3.73435806877407*^9, 3.734358082785471*^9}, {
  3.734358246312822*^9, 3.7343583597091603`*^9}, {3.734359013762559*^9, 
  3.7343590140045834`*^9}, {3.7345263865104704`*^9, 3.7345264369825172`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "following", " ", "code", " ", "generates", " ", "the", " ", 
      "harmonic"}], "-", "continued", "-", "fraction", "-", 
     RowBox[{
     "like", " ", "convergents", " ", "from", " ", "Chapter", " ", "VII", " ",
       "for", " ", "the", " ", "positive", " ", "real", " ", "number", " ", 
      "x"}]}], ",", " ", 
    RowBox[{
    "with", " ", "m", " ", "being", " ", "the", " ", "initial", " ", "number",
      " ", "\[IndentingNewLine]", "of", " ", "branches", " ", 
     RowBox[{"(", 
      RowBox[{
      "which", " ", "we", " ", "often", " ", "take", " ", "to", " ", "be", 
       " ", "1"}], ")"}]}], ",", " ", 
    RowBox[{
    "and", " ", "k", " ", "is", " ", "the", " ", "desired", " ", "number", 
     " ", "of", " ", 
     RowBox[{"convergents", "."}]}]}], " ", "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"hcf", "[", 
     RowBox[{"x_", ",", "m_", ",", "k_"}], "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"q", "=", "m"}], ",", " ", "p", ",", "rr", ",", 
        RowBox[{"strands", "=", 
         RowBox[{"{", "m", "}"}]}], ",", 
        RowBox[{"e", "=", "1"}], ",", 
        RowBox[{"convergents", "=", 
         RowBox[{"{", "}"}]}], ",", "d", ",", 
        RowBox[{"j", "=", "1"}], ",", 
        RowBox[{"flag", "=", "True"}]}], "}"}], ",", "\[IndentingNewLine]", 
      " ", 
      RowBox[{
       RowBox[{"While", "[", 
        RowBox[{"flag", ",", 
         RowBox[{
          RowBox[{"p", "=", 
           RowBox[{"Round", "[", 
            RowBox[{"x", " ", "*", "q"}], "]"}]}], ";", " ", 
          "\[IndentingNewLine]", "    ", 
          RowBox[{"d", "=", 
           RowBox[{"GCD", "[", 
            RowBox[{"p", ",", "q"}], "]"}]}], ";", "  ", 
          "\[IndentingNewLine]", "    ", 
          RowBox[{"p", "=", 
           RowBox[{"p", "/", "d"}]}], ";", " ", 
          RowBox[{"q", "=", 
           RowBox[{"q", "/", "d"}]}], ";", "\[IndentingNewLine]", "   ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"q", " ", "*", "x"}], "-", "p"}], ">", "0"}], ",", 
            RowBox[{"e", "=", "1"}], ",", 
            RowBox[{"e", "=", 
             RowBox[{"-", "1"}]}]}], "]"}], ";", " ", "\[IndentingNewLine]", 
          "   ", 
          RowBox[{"convergents", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"convergents", ",", 
             RowBox[{"p", "/", "q"}]}], "]"}]}], ";", " ", 
          "\[IndentingNewLine]", "   ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"q", "*", "x"}], "\[Equal]", "p"}], "||", 
             RowBox[{"j", "\[Equal]", "k"}]}], ",", 
            RowBox[{"flag", "=", "False"}]}], "]"}], ";", 
          "\[IndentingNewLine]", "   ", 
          RowBox[{"j", "=", 
           RowBox[{"j", "+", "1"}]}], ";", " ", "\[IndentingNewLine]", "   ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"q", ">", "1"}], ",", 
            RowBox[{"rr", "=", 
             RowBox[{"Mod", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "e"}], "*", " ", 
                RowBox[{
                 RowBox[{"ExtendedGCD", "[", 
                  RowBox[{"p", ",", "q"}], "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ",", "q"}], 
              "]"}]}], ",", 
            RowBox[{"rr", "=", "0"}]}], "]"}], ";", "\[IndentingNewLine]", 
          "   ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Abs", "[", 
              RowBox[{
               RowBox[{"q", " ", "*", "x"}], "-", "p"}], "]"}], ">", "0"}], 
            ",", 
            RowBox[{
             RowBox[{"n", "=", 
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"rr", "*", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x", " ", "*", "q"}], "-", "p"}], ")"}]}], "-", 
                  "e"}], ")"}], "/", 
                RowBox[{"(", 
                 RowBox[{"q", "*", 
                  RowBox[{"(", 
                   RowBox[{"p", "-", 
                    RowBox[{"x", "*", "q"}]}], ")"}]}], ")"}]}], "]"}]}], ";", 
             RowBox[{"strands", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"strands", ",", "n"}], "]"}]}], ";", 
             RowBox[{"q", "=", 
              RowBox[{"Abs", "[", 
               RowBox[{
                RowBox[{"q", "*", "n"}], "+", "rr"}], "]"}]}]}]}], "]"}]}]}], 
        "]"}], ";", 
       RowBox[{"{", 
        RowBox[{"strands", ",", "convergents"}], "}"}]}]}], "]"}]}], 
   ";"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734356567975005*^9, 3.7343566017193785`*^9}, {
  3.734356645393746*^9, 3.734356968387042*^9}, {3.734357030294232*^9, 
  3.734357086491851*^9}, {3.7343571506302643`*^9, 3.734357255486749*^9}, {
  3.7343573283200316`*^9, 3.73435735860706*^9}, {3.734357558217019*^9, 
  3.734357558713069*^9}, {3.73435806877407*^9, 3.734358082785471*^9}, {
  3.734358246312822*^9, 3.7343583597091603`*^9}, {3.734359013762559*^9, 
  3.7343590140045834`*^9}, {3.7345263865104704`*^9, 3.7345264369835176`*^9}, {
  3.734778784116441*^9, 3.7347788134164405`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"hcf", "[", 
   RowBox[{"Pi", ",", "1", ",", "5"}], "]"}], "  ", 
  RowBox[{"(*", 
   RowBox[{"Example", ":", " ", 
    RowBox[{
    "the", " ", "first", " ", "five", " ", "strands", " ", "and", " ", 
     "convergents", " ", "of", " ", "Pi", " ", "are", " ", "these", " ", 
     RowBox[{"lists", "."}]}]}], "*)"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7343570906672688`*^9, 3.734357101617364*^9}, 
   3.734357575207718*^9, {3.7343581174709387`*^9, 3.734358227213912*^9}, {
   3.734359503485526*^9, 3.734359508432021*^9}, 3.7345264369845176`*^9, {
   3.7347788369334407`*^9, 3.7347788410544405`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "7", ",", "16", ",", "293", ",", "2", ",", "3"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     FractionBox["22", "7"], ",", 
     FractionBox["355", "113"], ",", 
     FractionBox["104348", "33215"], ",", 
     FractionBox["312689", "99532"]}], "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7343572889030905`*^9, 3.734357372757475*^9, {3.734357583210518*^9, 
   3.734357592220419*^9}, 3.7343580735115433`*^9, {3.7343581185300446`*^9, 
   3.734358147328924*^9}, 3.734358367126902*^9, {3.7343595038455625`*^9, 
   3.73435950892207*^9}, {3.7345264369855175`*^9, 3.734526441231942*^9}, {
   3.7347788279814405`*^9, 3.7347788415404406`*^9}},
 FontColor->RGBColor[0, 0, 1]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"Code", " ", "13.", " ", "Chapter", " ", "VIII"}], ",", " ", 
     RowBox[{
      RowBox[{"Proposition", " ", "13"}], ":", " ", 
      RowBox[{
       RowBox[{"Newton", "'"}], "s", " ", 
       RowBox[{"ratios", "."}]}]}]}], "*)"}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340101192355504`*^9, 3.7340101412317495`*^9}, {
   3.734020447074231*^9, 3.7340205297484975`*^9}, {3.734020567188241*^9, 
   3.734020611270649*^9}, {3.734022921872686*^9, 3.7340229283003287`*^9}, 
   3.734022982966795*^9, {3.7345263193617563`*^9, 3.7345263685776777`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "The", " ", "following", " ", "code", " ", "can", " ", "be", " ", "used", 
    " ", "to", " ", "check", " ", "a", " ", "variety", " ", "of", " ", 
    "computations", " ", "from", " ", "Chapter", " ", 
    RowBox[{"VIII", ".", "\[IndentingNewLine]", "To"}], " ", "condense", " ", 
    "the", " ", "syntax"}], ",", " ", 
   RowBox[{"we", " ", "use", "   ", "p"}], ",", " ", 
   RowBox[{
   "w", " ", "in", " ", "place", " ", "of", "   ", "rho", " ", "and", " ", 
    "theta"}], ",", " ", 
   RowBox[{
    RowBox[{"respectively", ".", "  ", "The"}], " ", "constant", " ", "k1", 
    " ", "is", " ", "a", " ", "conversion", " ", "from", " ", "miles", " ", 
    "to", " ", 
    RowBox[{"meters", ".", " ", "The"}], " ", "functions", " ", "A1"}], ",", 
   " ", "a1", ",", " ", 
   RowBox[{"B", "!"}], ",", " ", "C1", ",", " ", 
   RowBox[{"and", " ", "h1"}], ",", " ", 
   RowBox[{"correspond", " ", "to", " ", "the", " ", "function", " ", "A"}], 
   ",", " ", 
   StyleBox["a",
    FontFamily->"Symbol",
    FontSize->13,
    FontWeight->"Bold",
    FontSlant->"Plain",
    FontVariations->{"StrikeThrough"->False,
    "Underline"->False}], 
   StyleBox[",",
    FontFamily->"Symbol",
    FontSize->13,
    FontWeight->"Bold",
    FontSlant->"Plain",
    FontVariations->{"StrikeThrough"->False,
    "Underline"->False}], 
   StyleBox["  ",
    FontFamily->"Symbol",
    FontSize->13,
    FontWeight->"Bold",
    FontSlant->"Plain",
    FontVariations->{"StrikeThrough"->False,
    "Underline"->False}], "B", ",", " ", "C", ",", " ", 
   RowBox[{"and", " ", "h"}], ",", " ", 
   RowBox[{"of", " ", "Chapter", " ", 
    RowBox[{"VIII", "."}]}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340101192355504`*^9, 3.7340101412317495`*^9}, {
   3.734020447074231*^9, 3.7340205297484975`*^9}, {3.734020567188241*^9, 
   3.734020611270649*^9}, {3.734022921872686*^9, 3.7340229283003287`*^9}, 
   3.734022982966795*^9, {3.7345263193617563`*^9, 3.7345263685786777`*^9}, {
   3.7347806477004404`*^9, 3.7347806610064406`*^9}, {3.7415351211887975`*^9, 
   3.741535180541732*^9}, {3.741535224435121*^9, 3.741535266462323*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"G1", "=", 
    RowBox[{"6.67", "*", 
     RowBox[{"10", "^", 
      RowBox[{"-", "11"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"universal", " ", "gravity", " ", "constant"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"M1", "=", 
    RowBox[{"5.98", "*", 
     RowBox[{"10", "^", "24"}]}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"mass", " ", "of", " ", "Eath"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a1", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"G1", "*", 
     RowBox[{"M1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", "/", "3"}], "*", " ", "Pi", "*", 
        RowBox[{"p", "^", "2"}], "*", "R"}], ")"}]}]}]}], ";", 
   RowBox[{"T1", "=", "86164"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"period", " ", "of", " ", "Earth", " ", "in", " ", "seconds"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gp", "=", "9.828"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"gravity", " ", "at", " ", "the", " ", "north", " ", "pole"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ge", "=", "9.785"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{"gravity", " ", "at", " ", "the", " ", "equator"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k1", "=", "1609"}], ";", 
  RowBox[{
   RowBox[{"A1", "[", 
    RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"p", ">", "R"}], ",", 
     RowBox[{"2", "*", "Pi", "*", "R", "*", 
      RowBox[{"a1", "[", 
       RowBox[{"p", ",", "R"}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", 
         RowBox[{
          RowBox[{"p", "^", "2"}], "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"p", "^", "2"}], "-", 
            RowBox[{"R", "^", "2"}]}], ")"}]}]}], "-", 
        RowBox[{
         RowBox[{"p", "^", "2"}], "*", 
         RowBox[{"R", "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"p", "^", "2"}], "-", 
             RowBox[{"R", "^", "2"}]}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"3", "/", "2"}], ")"}]}]}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], "-", 
           RowBox[{"ArcSin", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", 
                RowBox[{"R", "^", "2"}]}], "-", 
               RowBox[{"p", "^", "2"}]}], ")"}], "/", 
             RowBox[{"p", "^", "2"}]}], "]"}]}], ")"}]}]}], ")"}]}], ",", 
     "0"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"Q1", "[", 
    RowBox[{"p_", ",", "R_", ",", "w_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"p", "^", "2"}], "/", 
      RowBox[{"R", "^", "2"}]}], " ", "*", 
     RowBox[{
      RowBox[{"Cos", "[", "w", "]"}], "^", "2"}]}], "+", 
    RowBox[{
     RowBox[{"Sin", "[", "w", "]"}], "^", "2"}]}]}], ";", 
  RowBox[{
   RowBox[{"B1", "[", 
    RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"p", ">", "R"}], ",", 
     RowBox[{"8", "*", "p", "*", 
      RowBox[{"a1", "[", 
       RowBox[{"p", ",", "R"}], "]"}], "*", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Q1", "[", 
             RowBox[{"p", ",", "R", ",", "w"}], "]"}], "-", "1"}], ")"}]}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{
            RowBox[{"Sqrt", "[", 
             RowBox[{
              RowBox[{"Q1", "[", 
               RowBox[{"p", ",", "R", ",", "w"}], "]"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{"p", ",", "R", ",", "w"}], "]"}], "-", "1"}], 
               ")"}]}], "]"}], 
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"Sqrt", "[", 
               RowBox[{"Q1", "[", 
                RowBox[{"p", ",", "R", ",", "w"}], "]"}], "]"}], "+", 
              RowBox[{"Sqrt", "[", 
               RowBox[{
                RowBox[{"Q", "[", 
                 RowBox[{
                  RowBox[{"1", "p"}], ",", "R", ",", "w"}], "]"}], "-", "1"}],
                "]"}]}], "]"}]}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"w", ",", "0", ",", 
          RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]}], ",", "0"}], "]"}]}], 
  ";", 
  RowBox[{
   RowBox[{"C1", "[", 
    RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"p", ">", "R"}], ",", 
     RowBox[{
      RowBox[{"B1", "[", 
       RowBox[{"p", ",", "R"}], "]"}], "-", 
      RowBox[{"p", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "*", 
          RowBox[{"Pi", "/", "T1"}]}], ")"}], "^", "2"}]}]}], ",", "0"}], 
    "]"}]}], ";", 
  RowBox[{
   RowBox[{"h1", "[", 
    RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"A1", "[", 
         RowBox[{
          RowBox[{"k1", "*", "p"}], ",", 
          RowBox[{"k1", "*", "R"}]}], "]"}], "-", "gp"}], ")"}], "^", "2"}], 
     "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"C1", "[", 
         RowBox[{
          RowBox[{"k1", "*", "p"}], ",", 
          RowBox[{"k", "*", "R"}]}], "]"}], "-", "ge"}], ")"}], "^", "2"}]}], 
    "]"}]}], ";"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340101192355504`*^9, 3.734010731754796*^9}, {
   3.7340114391265264`*^9, 3.734011489200533*^9}, {3.734011637871399*^9, 
   3.734011659724584*^9}, {3.7340118348640957`*^9, 3.734011838248434*^9}, {
   3.7340119889154997`*^9, 3.734011993438952*^9}, {3.734012047813389*^9, 
   3.734012084339041*^9}, {3.7340218826137705`*^9, 3.734021888927402*^9}, {
   3.734021956323141*^9, 3.73402196651816*^9}, {3.734526164541276*^9, 
   3.73452619098392*^9}, 3.734526368581678*^9, {3.7347806661824408`*^9, 
   3.734780750213441*^9}, {3.7415358251121826`*^9, 3.7415358914558163`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"To", " ", "check", " ", "Proposition", " ", "VIII", ".19"}], ",",
     " ", "enter"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"A1", "[", 
    RowBox[{"101", ",", " ", "100"}], "]"}], "/", 
   RowBox[{"B1", "[", 
    RowBox[{"101", ",", " ", "100"}], "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340101192355504`*^9, 3.7340101412317495`*^9}, {
   3.7340110642710447`*^9, 3.734011125970214*^9}, {3.734011811627773*^9, 
   3.7340118192255325`*^9}, {3.734012028889497*^9, 3.7340120331479225`*^9}, {
   3.7340121913387403`*^9, 3.734012207785384*^9}, 3.7340123504096456`*^9, 
   3.734526368582678*^9, {3.7347807596924405`*^9, 3.7347807611104403`*^9}, 
   3.7347808669594407`*^9, 3.7347810220644407`*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData["1.0019852540002634`"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7340117422588367`*^9, {3.7340118203376436`*^9, 3.734011843182928*^9}, 
   3.7340119985334616`*^9, 3.7340120341980276`*^9, 3.7340120900346107`*^9, {
   3.7340121874493513`*^9, 3.7340122082724333`*^9}, {3.734012344840089*^9, 
   3.734012352210826*^9}, 3.7345261494297647`*^9, 3.734526196118433*^9, 
   3.7345263685836782`*^9, 3.7347808472584405`*^9, 3.7347808992454405`*^9, 
   3.7347810817544403`*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "This", " ", "next", " ", "command", " ", "takes", " ", "about", " ", "a",
      " ", "minute", " ", "to", " ", 
     RowBox[{"execute", ".", " ", "To"}], "  ", "generate", " ", "Figure", 
     " ", "VIII", ".22"}], ",", " ", "enter"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"A1", "[", 
        RowBox[{
         RowBox[{"3971", "*", "k1"}], ",", 
         RowBox[{"R", "*", "k1"}]}], "]"}], "/", 
       RowBox[{"C1", "[", 
        RowBox[{
         RowBox[{"3971", "*", "k1"}], ",", " ", 
         RowBox[{"R", "*", "k1"}]}], "]"}]}], ",", " ", 
      RowBox[{"230", "/", "229."}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"R", ",", " ", "3950", ",", " ", "3975"}], " ", "}"}]}], 
   "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340101192355504`*^9, 3.7340101412317495`*^9}, {
   3.7340110642710447`*^9, 3.7340112482544413`*^9}, 3.734526368584678*^9, {
   3.7347807633604403`*^9, 3.7347807803814406`*^9}, {3.7347811248914404`*^9, 
   3.734781144208441*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJwd1XtYTfkaB/AKU7PVpqYTI9U5LhtxdJEaDe2fSC6VmRpdhEShiyJdCN2E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      "]], 
     LineBox[{{3970.8634120361544`, 1.0034957225560994`}, {3970.871347924289, 
      1.003495463318196}, {3970.879283812423, 1.0034955536953118`}, {
      3970.885862246007, 1.0034959950775983`}}]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQPV9OkIHhzjqHHfbW7x8JfrDPP75wfi0S377AyP43
Ev+wWuMC7nsI/maOH1847yP4vXXOPswPEHyfyD1HBR8i+OXxsUZ8jxD89lPa
B+UfI/gNJ88F6TxB8J99nnld7SmCb9A8qc7sGYL/3HazhMlzJPN6VmzVeYHg
8zicLrF6ieD/lRNTN3uF4F9O6vvt9hrBn2x1+1LQGwR/v23AXJ+3CP6FpZ86
o98h+L6WezMj3iP46wy3Zmd9QPB/7m0sKP+I4G8sLcso+oSkf9KMpqbPCH7o
rUf9DV8QfPdtjAsqvyL4ct99L7V/Q/ATkw99b/6O4HeapNhP/YHgz5p5q3Ph
TwRfQqvy+OxfCH6VvKv66t8IvqeDZdWKPwg+41fGCwv+Ivjz+H64r/uH4C8P
Ftu88j+CP/VvosMuhvVw/vtLVw/sYETwjW3kXDYxIfgxXFNeHmBG8D8yGzXt
ZUHws5P+2pxnRfDPhcz9dZsNwZ9XlLr6GjuCH/Q1qu4ZB4JfvLjC5Qkngl/7
NIv3LheCn9PT9eMVN4J/PO7StWc8CL7IgoTsYl4EP/Hhu///kfgA3oW2hA==

      "]]}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{3950., 1.003495463318196},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{3950, 3975}, {1.003495463318196, 1.0045411719532629`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.7340121178673935`*^9, 3.7340123620198064`*^9, 
  3.734012553504953*^9, 3.734526368585678*^9, 3.734781113173441*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"To", " ", "generate", " ", "Figure", " ", "VIII", ".23"}], ",", 
    " ", 
    RowBox[{
    "the", " ", "following", " ", "code", " ", "may", " ", "take", "  ", "a", 
     " ", "minute", " ", "or", " ", "more", " ", "to", " ", 
     RowBox[{"execute", ".", " ", "To"}], " ", "shorten", " ", "the", " ", 
     "execution", " ", "time"}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{
    "use", " ", "a", " ", "smaller", " ", "value", " ", "for", "  ", 
     "PlotPoints"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"such", " ", "as", " ", "PlotPoints"}], "\[Rule]", "3"}]}], 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"h1", "[", 
     RowBox[{"p", ",", " ", "R"}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"p", ",", " ", "3960", ",", " ", "3985"}], " ", "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"R", ",", " ", "3918", ",", " ", "3960"}], "}"}], ",", " ", 
    RowBox[{"Contours", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{".01", ",", " ", ".005"}], " ", "}"}]}], ",", " ", 
    RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
    RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
    RowBox[{"ContourStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".005", "]"}]}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7340101192355504`*^9, 3.7340101412317495`*^9}, {
   3.7340110642710447`*^9, 3.7340114205426683`*^9}, 3.7340125878443866`*^9, {
   3.734012648652467*^9, 3.7340126974733486`*^9}, 3.7340219960871167`*^9, {
   3.7340220263791456`*^9, 3.734022064334941*^9}, 3.7345263685866785`*^9, 
   3.7347807939484406`*^9, {3.734781170213441*^9, 3.7347811713284407`*^9}, 
   3.741535287391416*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxtnHlcT9kbx7NGdmNfJ0zIzlgm4WvfjTHIMnZRthDGzgwZWwxjzb6XpZAl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   "], {{{}, {}, {}}, {{}, 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Thickness[0.005], Opacity[0.5], CapForm["Butt"], 
        LineBox[CompressedData["
1:eJwl1FdsllUcx/GHFC0WBIRCwjSEsIfKBgGhUGSpUCNtkURsIcreXGsiQ9Ay
qmDLbjHRG2LoBRsDF4QQlkJZZRWVvUIEZAh8/uHi+35///Oc5znvc97/eZvl
TcuaWiVJkn4+il9JkiKswv2UJCngJfgebaomyQpeiR8xQF0X4+VxyMdA9U/c
lt/HP/IgTsdDzzulHiy3xwZ5OK/nYVw/xvAhLhv7gHfhkftOq0fKJfgYV9VZ
/DueuF6hzpE3YjSuqXN5LzqikTqPG/Dn/DM35Ek8ETflfDSW3+FWPIlbxHX+
hZvwVJ6Ce/JktJa78ls8O9biWfwrv8nTeVrspTwHb8s9uBN3jrVQhs1oZrwK
5sr/cVfugl5yX34PfbAbu9DceNX4DeR01MIb+NrYTf6KD6EaLqjncxkW4pZ6
AR9FGi7Gb8xb451RHZXGCmJtHJEL+TAv55Z4Hcvje/Fi/g7r5bu8LtZEbfwV
PcM7Y1/jPnUNVEavxNqoqT7BGViFv+NdYn9RhDvqYu6HQrk//8B1uBzH5OP4
M56DcuyIfsWl2Bs+HvfgdvQvb4/3l//AN5iHmvEsfCovjV7iZTyGt3FunAd+
jdNQPdZUZ/NiHhX7wDm8hT/hRfwqp6IajqiHxno8JM5A9H/0QJyZOB/4X36G
VBzEgDhbyIjzhEz8FvsRe4En8tNYBwfQM/omeg298S42Ge/G3fFIfowU7EcF
zmIfuuNMzMVMnDf/uTPWNPoZN9QzuAsm4Jz6meuN5S9wXf1l9DrGxnPVT11v
EOcIn+FqnNGYiz0oNWcUl3A2b+TS2L/4LvJj9++WP8IV9QhexN+ig7w0zow5
9WJPsVY9lNdxO87ESfmBOQuj9+M8YA1W49+Ul/99LwD+aqTI
         "]]},
       "0.01`"],
      Annotation[#, 0.01, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Thickness[0.005], Opacity[0.5], CapForm["Butt"], 
        LineBox[CompressedData["
1:eJwl0slLlVEYwOHjcBdCiwhKKUytCJoIdBXan6CVtbOspLQgFYdyKG3ctGxf
7UrSRjAbQUutzApaVYtclMMimihyFfW8uHj4ved83733G25JXXN1U1ZKaZjL
uSnVZlK6pHv1g37nG185QKH9a1qk9bpcD+pKHdXf/OILjayz368btFnXapOu
1zGd5w8/OcYAxbQ53koLHdb9ukWHtEsHtVPv6irtinWcS7f1PS3Xp3FdDPOE
EdbYz9BjPsF4XAsV9hbrVl2qdezno3UeyfxPz1NpHozfJ8uczZR5EW/ZYV3N
dnaxkyH7VbqNHHLJ8Mb+Kz2rk3pOX+sdfaln9HQ0zmHS+oX26nM9qRN6S59p
j/bGPqeYsH6kx/Vh3LM+1ht6Xx/EM4vjcR/xndyM74tz4jq4zfV4P1HaOUqy
N85G8yaWUGZ9QUt1dTxvfpiP6N+clFaYr5r7KI73Rwmb7Rdorc5xyHyYAnMf
e/jMDLOM8J53fCKfhvhfMm2+GJ+J5x/HdLcu05r4fa6wL7Pwv/8PEk1l5A==

         "]]},
       "0.005`"],
      Annotation[#, 0.005, "Tooltip"]& ], {}, {}}}],
  AspectRatio->1,
  DisplayFunction->Identity,
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"DefaultBoundaryStyle" -> Automatic},
  PlotRange->{{3960, 3985}, {3918, 3960}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.734012593467949*^9, {3.734012653354937*^9, 3.734012677365338*^9}, 
   3.7340220785763645`*^9, 3.7345263685876784`*^9, 3.7347811922964406`*^9},
 FontColor->RGBColor[0, 0, 1]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"Code", " ", "14"}], ":", " ", 
     RowBox[{"Chapter", " ", "VIII"}]}], ",", "  ", 
    RowBox[{
     RowBox[{"Proposition", " ", "30"}], ":", " ", 
     RowBox[{"Vindicating", " ", 
      RowBox[{"Newton", "."}]}]}]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox["*)",
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7338482276303596`*^9, 3.7338482277703733`*^9}, {
   3.7338483521968145`*^9, 3.733848373229918*^9}, {3.733848548697463*^9, 
   3.7338486351741095`*^9}, {3.733849206682255*^9, 3.7338492939539814`*^9}, {
   3.733849386020187*^9, 3.7338493977173567`*^9}, {3.7338494816537495`*^9, 
   3.733849498022386*^9}, {3.733849567851368*^9, 3.7338495681583986`*^9}, 
   3.7338497318777695`*^9, {3.733849860680648*^9, 3.7338498640039806`*^9}, {
   3.733919903984523*^9, 3.733919934533578*^9}, {3.733919968169941*^9, 
   3.733920251500271*^9}, {3.734007491745781*^9, 3.734007534026781*^9}, {
   3.7340075705437813`*^9, 3.7340078358297815`*^9}, 3.7340079380118127`*^9, {
   3.7340080173248405`*^9, 3.734008114345705*^9}, {3.7340081931734624`*^9, 
   3.734008224670548*^9}, {3.7340094799916325`*^9, 3.734009481226756*^9}, {
   3.7340993059596024`*^9, 3.7340993336036024`*^9}, {3.7345259419740214`*^9, 
   3.7345260006798916`*^9}, {3.7415372430209*^9, 3.7415372436179*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "following", " ", "code", " ", "can", " ", "be", " ", "used", 
     " ", "to", " ", "generate", "\[IndentingNewLine]", " ", "Figure", " ", 
     "VIII", ".28", " ", "The", " ", "run"}], "-", 
    RowBox[{
    "time", " ", "to", " ", "generate", " ", "the", " ", "graphics", " ", 
     "may", " ", "take", " ", "a", " ", "few", " ", 
     RowBox[{"minutes", ".", " ", "To"}], " ", "shorten", 
     "\[IndentingNewLine]", " ", "the", " ", "execution", " ", "time"}]}], 
   ",", " ", 
   RowBox[{
   "use", " ", "a", " ", "smaller", " ", "number", " ", "for", " ", 
    "PlotPoints"}], ",", " ", 
   RowBox[{
    RowBox[{"such", " ", "as", "  ", "PlotPoints"}], "\[Rule]", "3"}], ",", 
   "\[IndentingNewLine]", "    ", 
   RowBox[{
   "until", " ", "finding", " ", "an", " ", "appropriate", " ", "window", " ",
     "to", " ", "view", " ", "the", " ", 
    RowBox[{"contours", ".", "\[IndentingNewLine]", "  ", "To"}], " ", 
    "condense", " ", "the", " ", "syntax"}], ",", " ", 
   RowBox[{
   "we", " ", "use", "  ", "p", " ", "in", " ", "place", " ", "of", " ", 
    RowBox[{"rho", ".", "  ", "To"}], " ", "adapt", " ", "this", " ", "code", 
    " ", "to", " ", "solve", " ", "the", " ", "same", " ", "problem", " ", 
    "\[IndentingNewLine]", "   ", "using", " ", "latitudes", " ", "other", 
    " ", "than", " ", "66"}], ",", " ", "67", ",", 
   RowBox[{"and", " ", "0.5"}], ",", " ", 
   RowBox[{"change", " ", "those", " ", "numbers", " ", "in", " ", "the", " ", 
    RowBox[{"code", ".", " ", "You"}], " ", "may", " ", "need", " ", "to", 
    " ", "define", "\[IndentingNewLine]", "   ", "a", " ", "fourth", " ", 
    "parameter", " ", "function"}], ",", " ", "phi4", ",", " ", 
   RowBox[{"and", " ", "modify", " ", "Qe", " ", 
    RowBox[{"appropriately", "."}]}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7338482276303596`*^9, 3.7338482277703733`*^9}, {
   3.7338483521968145`*^9, 3.733848373229918*^9}, {3.733848548697463*^9, 
   3.7338486351741095`*^9}, {3.733849206682255*^9, 3.7338492939539814`*^9}, {
   3.733849386020187*^9, 3.7338493977173567`*^9}, {3.7338494816537495`*^9, 
   3.733849498022386*^9}, {3.733849567851368*^9, 3.7338495681583986`*^9}, 
   3.7338497318777695`*^9, {3.733849860680648*^9, 3.7338498640039806`*^9}, {
   3.733919903984523*^9, 3.733919934533578*^9}, {3.733919968169941*^9, 
   3.733920251500271*^9}, {3.734007491745781*^9, 3.734007534026781*^9}, {
   3.7340075705437813`*^9, 3.7340078358297815`*^9}, 3.7340079380118127`*^9, {
   3.7340080173248405`*^9, 3.734008114345705*^9}, {3.7340081931734624`*^9, 
   3.734008224670548*^9}, {3.7340094799916325`*^9, 3.734009481226756*^9}, {
   3.7340993059596024`*^9, 3.7340993336036024`*^9}, {3.7345259419740214`*^9, 
   3.7345259636721907`*^9}, 3.7345260006798916`*^9, 3.741536063660035*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"phi", "[", 
     RowBox[{"p_", ",", "R_", ",", "theta_"}], "]"}], ":=", 
    RowBox[{"ArcTan", "[", 
     RowBox[{"R", "*", 
      RowBox[{
       RowBox[{"Tan", "[", 
        RowBox[{"Pi", "*", 
         RowBox[{"theta", "/", "180"}]}], "]"}], "/", "p"}]}], "]"}]}], ";", 
   "  ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "input", " ", "variable", " ", "theta", " ", "is", " ", "in", " ", 
      "degrees"}], ",", " ", 
     RowBox[{"output", " ", "is", " ", "parameter", " ", 
      StyleBox["f",
       FontFamily->"Symbol",
       FontSize->13,
       FontWeight->"Bold",
       FontSlant->"Plain",
       FontVariations->{"StrikeThrough"->False,
       "Underline"->False}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"phi1", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"phi", "[", 
     RowBox[{"p", ",", "R", ",", "66."}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"phi2", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"phi", "[", 
     RowBox[{"p", ",", "R", ",", "67."}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"phi3", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"phi", "[", 
     RowBox[{"p", ",", "R", ",", "0.5"}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"Qa", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"p", "^", "2"}], "*", 
         RowBox[{
          RowBox[{"Sin", "[", "u", "]"}], "^", "2"}]}], "+", 
        RowBox[{
         RowBox[{"R", "^", "2"}], "*", 
         RowBox[{
          RowBox[{"Cos", "[", "u", "]"}], "^", "2"}]}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"u", ",", 
        RowBox[{"phi1", "[", 
         RowBox[{"p", ",", "R"}], "]"}], ",", 
        RowBox[{"phi2", "[", 
         RowBox[{"p", ",", "R"}], "]"}]}], "}"}]}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"Qe", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"2", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"p", "^", "2"}], "*", 
          RowBox[{
           RowBox[{"Sin", "[", "u", "]"}], "^", "2"}]}], "+", 
         RowBox[{
          RowBox[{"R", "^", "2"}], "*", 
          RowBox[{
           RowBox[{"Cos", "[", "u", "]"}], "^", "2"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "0", ",", 
         RowBox[{"phi3", "[", 
          RowBox[{"p", ",", "R"}], "]"}]}], "}"}]}], "]"}]}]}], ";", 
   RowBox[{
    RowBox[{"M", "[", 
     RowBox[{"p_", ",", "R_"}], "]"}], ":=", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Qa", "[", 
          RowBox[{"p", ",", "R"}], "]"}], "-", "69.52"}], ")"}], "^", "2"}], 
      "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Qe", "[", 
          RowBox[{"p", ",", "R"}], "]"}], "-", "68.76"}], ")"}], "^", "2"}]}],
      "]"}]}], ";", 
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{"M", "[", 
      RowBox[{"p", ",", "R"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"p", ",", "3973.5", ",", "3975"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"R", ",", "3956", ",", "3957.5"}], "}"}], ",", 
     RowBox[{"Contours", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{".01", ",", "0.005"}], "}"}]}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
     RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
     RowBox[{"ContourStyle", "\[Rule]", 
      RowBox[{"Thickness", "[", ".005", "]"}]}]}], "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734003485924781*^9, 3.7340034859387813`*^9}, {
   3.7340036412017813`*^9, 3.7340037768297815`*^9}, {3.7340038240957813`*^9, 
   3.7340041010867815`*^9}, {3.7340044075377812`*^9, 3.7340044272987814`*^9}, 
   3.7340047104717813`*^9, {3.734005289941781*^9, 3.7340052985297813`*^9}, {
   3.7340053710277815`*^9, 3.7340053729447813`*^9}, {3.734005477144781*^9, 
   3.7340054897937813`*^9}, {3.734005530952781*^9, 3.7340055818337812`*^9}, {
   3.734005614700781*^9, 3.734005767789781*^9}, {3.734005869801781*^9, 
   3.7340058784707813`*^9}, {3.7340059470237813`*^9, 3.734005953075781*^9}, {
   3.7340063227807813`*^9, 3.734006349212781*^9}, 3.734006403682781*^9, {
   3.7340079674404807`*^9, 3.7340079910117474`*^9}, 3.7345260006808915`*^9, {
   3.741536407018368*^9, 3.7415364643861036`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxtnGdYVcfaQO0FDpagYkRBYmzYa0yQa8FujIpiYou99wJEVCIWgho7dlGx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   "], {{{}, {}, {}}, {{}, 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Thickness[0.005], Opacity[0.5], CapForm["Butt"], 
        LineBox[CompressedData["
1:eJwl09dvTmEcwPHT1Lyy3VLrpriovSL2aIIICQlJVWtra6S2P4ALm3Bj02HU
qlJatS9QCaVFh1TQSkUqQo3yeeLik+/vvM/znvO+5z1vXHL6zLSYKIpqqW8R
Ra9jo2ikFuoBXc8GVnGMG14/ruP5Yz6hzTpRJ5Bt3qR3dKPe1dOaxUn+Oj6l
k5hMRBU5Xp+iZ7RGa/QBq8M5uWnO0anEkMvZsJ+31vL0AudoyXmm0YqLtOYS
7+3N1/Zcph1XmEUHrtKRAursLdbu4fp0o4g5xHGLHpTQYG+pPuURT3jMPA5y
iO2U2rct7NME/RCub07SBQzhGYN5TiqH2ckudvDC/t36Q8douf6iwfxTSyig
zvFvHadjuW7erxW6R/exl2uOl+oyRoRngOEs4VX4ntYrdB0vzU18DPdKF+t3
LddhYZ2hLAqfk2JrZZpJmfmIHiWNdDJIYSUrWM4gFpLMAJoYyBfv769f6cd8
4sN9oC+frffRRnozl57h89GLeutdw3nowmw68Y3OzGB6eI7se6dtw+9jbqO1
5JkTw3OnRaw1r+GheavmarVW6302m+/pFq3UT1qlo/SN3qYyzGSZR4f7Hfv/
f/gPW9uJJw==
         "]]},
       "0.01`"],
      Annotation[#, 0.01, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Thickness[0.005], Opacity[0.5], CapForm["Butt"], 
        LineBox[CompressedData["
1:eJwl0UkrRVEAwPHLeyvT1qysDBt8AfkALDxFUZQPQBbW5qmwVoaP4BVShpXZ
M5ThCxielBeZ3trvZPHrf86559S591b3DyYGcqIoGiITj6LnWBQ166M+6LqO
6rmOaEpj+k4uraStxcMZksZtuqmTOsUEV+YF+kM+HRTyQRGvnldolnK6qOST
KjKep/SC03AfzuhhiRlmmeba3jn90ha91yy/rJmvMsyd+aJ+63K4m67orc7r
jS7otvbplr5oU7iXca82hH00hnPhfayfaD3H1NHNITUcUMsRb/buaxl7lNLJ
LsXsUEKCdjbsT2sel8Zj4XvouD7F/v/fH2pcRKw=
         "]]},
       "0.005`"],
      Annotation[#, 0.005, "Tooltip"]& ], {}, {}}}],
  AspectRatio->1,
  DisplayFunction->Identity,
  Frame->True,
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{"DefaultBoundaryStyle" -> Automatic},
  PlotRange->{{3973.5, 3975}, {3956, 3957.5}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7340041838887815`*^9, 3.734004406219781*^9, {3.734004683592781*^9, 
   3.7340047207797813`*^9}, 3.734005313315781*^9, 3.7340053915767813`*^9, 
   3.7340055069907813`*^9, 3.734005774764781*^9, 3.734005885881781*^9, 
   3.7340059609717813`*^9, {3.7340063399497814`*^9, 3.734006355649781*^9}, 
   3.734006572667781*^9, 3.7345260006818914`*^9, 3.7347812565614405`*^9, 
   3.7347813189624405`*^9, 3.734781523135441*^9},
 FontColor->RGBColor[0, 0, 1]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"Code", " ", "15"}], ":", " ", 
     RowBox[{"Chapter", " ", "VIII"}]}], ",", " ", 
    RowBox[{
     RowBox[{"Puzzle", " ", "32"}], ":", " ", 
     RowBox[{"Mercury", " ", "and", " ", 
      RowBox[{"Earth", "."}]}]}]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox[" ",
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox[
   StyleBox[
    RowBox[{"*", ")"}]],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343488878370676`*^9, 3.7343492547817583`*^9}, {
   3.7343493027045507`*^9, 3.7343493807923584`*^9}, {3.7343494208213606`*^9, 
   3.7343501728035517`*^9}, {3.734350248845155*^9, 3.734350587607028*^9}, 
   3.734350639954262*^9, 3.7343506968689528`*^9, 3.734350755324798*^9, {
   3.734350801489414*^9, 3.7343508143466997`*^9}, {3.7343517813833933`*^9, 
   3.734351837194974*^9}, {3.734351941286382*^9, 3.734351942617515*^9}, {
   3.734352194450696*^9, 3.7343522023334846`*^9}, {3.7343523537426233`*^9, 
   3.7343523543776875`*^9}, {3.734352432885537*^9, 3.7343524370949583`*^9}, {
   3.734352537862034*^9, 3.7343525418884363`*^9}, {3.7343529897352166`*^9, 
   3.734352992730516*^9}, {3.7343538449677315`*^9, 3.7343538508233166`*^9}, 
   3.734353898987133*^9, {3.734355145236745*^9, 3.7343551517253942`*^9}, 
   3.734355225764797*^9, {3.734355574776695*^9, 3.734355577345952*^9}, 
   3.734355717361952*^9, {3.734355772034419*^9, 3.7343557734485598`*^9}, {
   3.73452581034586*^9, 3.7345258801088357`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"In", " ", "the", " ", "following", " ", "code"}], ",", " ", 
    RowBox[{"we", " ", "use", " ", "Q", "  ", "instead", " ", "of", " ", 
     RowBox[{"theta", ".", " ", "\[IndentingNewLine]", "  ", "The"}], " ", 
     "command", "  ", 
     RowBox[{"time", "[", 
      RowBox[{"Q", ",", " ", "e", ",", " ", "T"}], "]"}], " ", "is", " ", 
     "tau_", 
     RowBox[{"{", 
      RowBox[{"e", ",", "T"}], "}"}], 
     RowBox[{"(", "Q", ")"}]}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"Equation", " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"VIII", ".25"}], ")"}], ".", " ", "The"}], " ", "command", 
       " ", 
       RowBox[{"Qm", "[", "t", "]"}], " ", "uses", " ", 
       RowBox[{"Newton", "'"}], "s", " ", "method", " ", "to", " ", "solve", 
       " ", "the", " ", "equation", " ", "\[IndentingNewLine]", " ", 
       RowBox[{"time", "[", 
        RowBox[{"Q", ",", " ", "0.21", ",", " ", "0.241"}], "]"}]}], " ", 
      "\[Equal]", " ", 
      RowBox[{"t", " ", 
       RowBox[{"(", 
        RowBox[{
        "where", " ", "we", " ", "use", " ", "a", " ", "double", " ", "equal",
          " ", "sign", " ", "for", " ", "equation", " ", "equality"}], ")"}], 
       " ", "for", "  ", "Q", " ", "given", " ", "the", " ", "initial", " ", 
       "guess", " ", "\[IndentingNewLine]", " ", "Q"}]}], "=", 
     RowBox[{
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{"t", "/", "0.241"}], " ", "since", " ", "the", " ", "solution",
        "  ", "Q", " ", "should", " ", "be", " ", "near", " ", "the", "  ", 
       "Q", " ", "solution", " ", "of", " ", "the", " ", "equation", " ", 
       "\[IndentingNewLine]", " ", "t"}], " ", "\[Equal]", " ", 
      RowBox[{
       RowBox[{"0.241", "*", 
        RowBox[{"Q", "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "*", "Pi"}], ")"}], ".", " ", "The"}]}], " ", "value",
         " ", "of", " ", "Qmercury", " ", "is", " ", "a", " ", "list", " ", 
        "of", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"13", "*", "365"}], "+", "1"}], ")"}], " ", 
        RowBox[{"numbers", ".", "\[IndentingNewLine]", "The"}], " ", "semi"}],
        "-", 
       RowBox[{
       "colon", " ", "at", " ", "the", " ", "end", " ", "of", " ", "the", " ",
         "Table", " ", "command", " ", "suppresses", " ", "output", " ", 
        "display", " ", "on", " ", "the", " ", "computer", " ", 
        RowBox[{"screen", ".", "\[IndentingNewLine]", "The"}], " ", 
        "function", " ", 
        RowBox[{"rm", "[", "Q", "]"}], " ", "is", " ", "Equation", " ", 
        RowBox[{"(", 
         RowBox[{"VIII", ".23"}], ")"}], " ", "with", " ", "respect", " ", 
        "to", " ", 
        RowBox[{"Mercury", "."}]}]}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  StyleBox["\[IndentingNewLine]",
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold",
   FontColor->RGBColor[1, 0.5, 0]], 
  RowBox[{
   RowBox[{
    RowBox[{"time", "[", 
     RowBox[{"Q_", ",", " ", "e_", ",", "T_"}], "]"}], ":=", " ", 
    RowBox[{
     RowBox[{"T", "/", 
      RowBox[{"(", " ", 
       RowBox[{"2", "*", "Pi"}], ")"}]}], "*", 
     RowBox[{"(", 
      RowBox[{"Q", "-", 
       RowBox[{"2", "*", 
        RowBox[{"ArcTan", "[", " ", 
         RowBox[{"e", "*", 
          RowBox[{
           RowBox[{"Sin", "[", "Q", "]"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"Sqrt", "[", " ", 
              RowBox[{"1", "-", 
               RowBox[{"e", "^", "2"}]}], "]"}], "+", 
             RowBox[{"e", "*", 
              RowBox[{"Cos", "[", "Q", "]"}]}]}], ")"}]}]}], "]"}]}], "-", 
       " ", 
       RowBox[{"e", "*", 
        RowBox[{"Sqrt", "[", " ", 
         RowBox[{"1", "-", 
          RowBox[{"e", "^", "2"}]}], "]"}], "*", 
        RowBox[{
         RowBox[{"Sin", "[", "Q", "]"}], "/", 
         RowBox[{"(", " ", 
          RowBox[{"1", "+", 
           RowBox[{"e", "*", 
            RowBox[{"Cos", "[", "Q", "]"}]}]}], ")"}]}]}]}], ")"}]}]}], ";", 
   RowBox[{
    RowBox[{"Qm", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"time", "[", 
         RowBox[{"Q", ",", "0.21", ",", " ", "0.241"}], "]"}], " ", 
        "\[Equal]", " ", "t"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"Q", ",", 
         RowBox[{"2", "*", "Pi", "*", 
          RowBox[{"t", "/", "0.241"}]}]}], " ", "}"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"Qe", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"time", "[", 
         RowBox[{"Q", ",", "0.017", ",", "1"}], "]"}], "\[Equal]", "t"}], ",",
        " ", 
       RowBox[{"{", 
        RowBox[{"Q", ",", 
         RowBox[{"2", "*", "Pi", "*", "t"}]}], "}"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ";", 
   RowBox[{"Qmercury", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Qm", "[", 
       RowBox[{"j", "/", "365"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"j", ",", " ", "0", ",", " ", 
        RowBox[{"365", "*", "13"}]}], "}"}]}], "]"}]}], ";", 
   RowBox[{"Qearth", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Qe", "[", 
       RowBox[{"j", "/", "365"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"j", ",", " ", "0", ",", " ", 
        RowBox[{"365", "*", "13"}]}], "}"}]}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"rm", "[", "Q_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"0.21", "^", "2"}]}], ")"}], "*", 
     RowBox[{"0.387", "/", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"0.21", "*", 
         RowBox[{"Cos", "[", "Q", "]"}]}]}], ")"}]}]}]}], ";", 
   RowBox[{
    RowBox[{"re", "[", "Q_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"0.017", "^", "2"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"0.017", "*", 
        RowBox[{"Cos", "[", "Q", "]"}]}]}], ")"}]}]}], ";", 
   RowBox[{
    RowBox[{"Z", "[", 
     RowBox[{"Q_", ",", "omega_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"re", "[", "Q", "]"}], "*", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "Q", "]"}], ",", 
        RowBox[{"Sin", "[", "Q", "]"}]}], "}"}]}], "-", 
     RowBox[{
      RowBox[{"rm", "[", "omega", "]"}], "*", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", "omega", "]"}], ",", 
        RowBox[{"Sin", "[", "omega", "]"}]}], "}"}]}]}]}], ";", 
   RowBox[{
    RowBox[{"d1", "[", 
     RowBox[{"Q_", ",", "omega_"}], "]"}], ":=", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"Z", "[", 
       RowBox[{"Q", ",", "omega"}], "]"}], ".", 
      RowBox[{"Z", "[", 
       RowBox[{"Q", ",", "omega"}], "]"}]}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"13", "*", " ", "365"}], ")"}]}], 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"d1", "[", " ", 
       RowBox[{
        RowBox[{"Qearth", "[", 
         RowBox[{"[", "j", "]"}], "]"}], ",", "  ", 
        RowBox[{"Qmercury", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], " ", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", " ", 
        RowBox[{"13", "*", "365"}]}], "}"}]}], "]"}]}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343488878370676`*^9, 3.7343492547817583`*^9}, {
   3.7343493027045507`*^9, 3.7343493807923584`*^9}, {3.7343494208213606`*^9, 
   3.7343501728035517`*^9}, {3.734350248845155*^9, 3.734350587607028*^9}, 
   3.734350639954262*^9, 3.7343506968689528`*^9, 3.734350755324798*^9, {
   3.734350801489414*^9, 3.7343508143466997`*^9}, {3.7343517813833933`*^9, 
   3.734351837194974*^9}, {3.734351941286382*^9, 3.734351942617515*^9}, {
   3.734352194450696*^9, 3.7343522023334846`*^9}, {3.7343523537426233`*^9, 
   3.7343523543776875`*^9}, {3.734352432885537*^9, 3.7343524370949583`*^9}, {
   3.734352537862034*^9, 3.7343525418884363`*^9}, {3.7343529897352166`*^9, 
   3.734352992730516*^9}, {3.7343538449677315`*^9, 3.7343538508233166`*^9}, 
   3.734353898987133*^9, {3.734355145236745*^9, 3.7343551517253942`*^9}, 
   3.734355225764797*^9, {3.734355574776695*^9, 3.734355577345952*^9}, 
   3.734355717361952*^9, {3.734355772034419*^9, 3.7343557734485598`*^9}, {
   3.73452581034586*^9, 3.7345258801088357`*^9}, {3.7347816934834404`*^9, 
   3.734781702180441*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData["1.0390326177135627`"], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.734352566010848*^9, 3.734353875369771*^9, 3.7343551732055416`*^9, {
   3.7345258801098356`*^9, 3.7345259050633307`*^9}, 3.7347817654544406`*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"That", " ", "is"}], ",", " ", 
   RowBox[{
   "the", " ", "mean", " ", "distance", " ", "between", " ", "Earth", " ", 
    "and", " ", "Mercury", " ", "is", " ", "about", " ", "1.039", " ", 
    "astronomical", " ", "units"}], ",", " ", 
   RowBox[{"almost", " ", "matching", " ", "Equation", " ", 
    RowBox[{"(", 
     RowBox[{"VIII", ".22"}], ")"}]}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343555962928467`*^9, 3.7343555998872056`*^9}, {
   3.734355641027319*^9, 3.734355665064723*^9}, {3.7343557791171265`*^9, 
   3.734355791841399*^9}, 3.7345258801108356`*^9},
 FontColor->RGBColor[0, 0, 1]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{"Code", " ", "16"}], ":", "  ", 
    RowBox[{"Fractal", " ", 
     RowBox[{"trees", "."}]}]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox["*)",
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7341659877274055`*^9, 3.7341660308547173`*^9}, {
   3.7341660877554073`*^9, 3.7341662070423346`*^9}, {3.73416624059569*^9, 
   3.7341665493685637`*^9}, {3.734166600853712*^9, 3.734166741422767*^9}, {
   3.7341669818968124`*^9, 3.7341673790765266`*^9}, {3.7341674296645846`*^9, 
   3.7341674851801357`*^9}, {3.734167522055823*^9, 3.7341675885634727`*^9}, {
   3.734167626220238*^9, 3.7341676349761133`*^9}, {3.734167694357051*^9, 
   3.734167708322448*^9}, {3.7341677444130564`*^9, 3.7341677723918543`*^9}, {
   3.7341678129329076`*^9, 3.7341678923408475`*^9}, {3.734168006652278*^9, 
   3.73416802107572*^9}, {3.7341703665562444`*^9, 3.734170379889578*^9}, {
   3.7345257292737536`*^9, 3.7345257867434998`*^9}, 3.7415452058464365`*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "following", " ", "code", " ", "will", " ", "generate", " ", 
     RowBox[{"trees", ".", " ", "With"}], " ", "respect", " ", "to", "  ", 
     "command", " ", 
     RowBox[{"tree", "[", 
      RowBox[{"n", ",", " ", "w", ",", " ", "s"}], "]"}]}], ",", 
    "\[IndentingNewLine]", "  ", 
    RowBox[{
    "n", " ", "is", " ", "the", " ", "number", " ", "of", " ", "levels"}], 
    ",", " ", 
    RowBox[{
    "w", " ", "is", " ", "the", " ", "angle", " ", "in", " ", "radians", " ", 
     "at", " ", "which", " ", "the", " ", "branches", " ", "bend"}], ",", 
    "\[IndentingNewLine]", "  ", 
    RowBox[{
    "and", " ", "s", " ", "is", " ", "a", " ", "scaling", " ", "factor", " ", 
     "between", " ", "the", " ", "branch", " ", 
     RowBox[{"levels", ".", " ", "In"}], " ", "many", " ", "CAS", " ", 
     "systems"}], ",", " ", 
    RowBox[{
     RowBox[{
     "a", " ", "2", " ", "x", " ", "2", " ", "array", " ", "is", " ", "a", 
      " ", "list", " ", "\[IndentingNewLine]", "of", " ", "the", " ", "rows", 
      " ", "of", " ", "the", " ", 
      RowBox[{"matrix", ".", " ", "Thus"}], " ", "the", " ", "matrix", " ", 
      "A"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"a", "b"},
          {"c", "d"}
         }], "\[NoBreak]", ")"}], " ", "is", " ", "an", " ", "encoded", " ", 
       "as", " ", "A"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "b"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"c", ",", "d"}], "}"}]}], "}"}], ".", " ", 
        "\[IndentingNewLine]", "For"}], " ", "ease", " ", "of", " ", 
       "reading"}]}]}], ",", " ", 
    RowBox[{
    "in", " ", "this", " ", "code", " ", "we", " ", "use", " ", "the", " ", 
     "array", " ", "format", " ", "rather", " ", "than", " ", "the", " ", 
     "list", " ", "format", " ", "for", " ", 
     RowBox[{"matrices", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7341659877274055`*^9, 3.7341660308547173`*^9}, {
   3.7341660877554073`*^9, 3.7341662070423346`*^9}, {3.73416624059569*^9, 
   3.7341665493685637`*^9}, {3.734166600853712*^9, 3.734166741422767*^9}, {
   3.7341669818968124`*^9, 3.7341673790765266`*^9}, {3.7341674296645846`*^9, 
   3.7341674851801357`*^9}, {3.734167522055823*^9, 3.7341675885634727`*^9}, {
   3.734167626220238*^9, 3.7341676349761133`*^9}, {3.734167694357051*^9, 
   3.734167708322448*^9}, {3.7341677444130564`*^9, 3.7341677723918543`*^9}, {
   3.7341678129329076`*^9, 3.7341678923408475`*^9}, {3.734168006652278*^9, 
   3.73416802107572*^9}, {3.7341703665562444`*^9, 3.734170379889578*^9}, {
   3.7345257292737536`*^9, 3.7345257867465*^9}, {3.7347822130474405`*^9, 
   3.734782241510441*^9}, {3.7415378780999002`*^9, 3.7415378796109*^9}, 
   3.7415381914109*^9, {3.7415401092229*^9, 3.7415401145839*^9}, {
   3.7415432905738897`*^9, 3.74154333376189*^9}, {3.74154379087189*^9, 
   3.74154380530289*^9}, 3.7415451745293055`*^9, 3.741545205848437*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"bL", "[", 
    RowBox[{"X_", ",", "w_", ",", "s_"}], "]"}], ":=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "+", 
      RowBox[{"s", "  ", 
       RowBox[{
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {
            RowBox[{"Cos", "[", "w", "]"}], 
            RowBox[{"-", 
             RowBox[{"Sin", "[", "w", "]"}]}]},
           {
            RowBox[{"Sin", "[", "w", "]"}], 
            RowBox[{"Cos", "[", "w", "]"}]}
          }], "\[NoBreak]", ")"}], ".", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"X", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"X", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}]}], "}"}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"branch", " ", "left"}], "*)"}], 
  RowBox[{
   RowBox[{"bR", "[", 
    RowBox[{"X_", ",", "w_", ",", "s_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X", "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "+", 
      RowBox[{"s", " ", 
       RowBox[{
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {
            RowBox[{"Cos", "[", "w", "]"}], 
            RowBox[{"Sin", "[", "w", "]"}]},
           {
            RowBox[{"-", 
             RowBox[{"Sin", "[", "w", "]"}]}], 
            RowBox[{"Cos", "[", "w", "]"}]}
          }], "\[NoBreak]", ")"}], ".", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"X", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "-", 
          RowBox[{"X", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}]}]}], "}"}]}], ";", " ", 
  RowBox[{"(*", 
   RowBox[{"branch", " ", "right"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"tree", "[", 
    RowBox[{"n_", ",", "w_", ",", "s_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"leaves", ",", "twig", ",", "i", ",", "j", ",", "buds", ",", 
       RowBox[{"m", "=", "1"}]}], "}"}], ",", "\[IndentingNewLine]", " ", 
     RowBox[{
      RowBox[{"leaves", "=", 
       RowBox[{"{", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", " ", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "}"}], "}"}]}], ";", "   ", 
      RowBox[{"(*", 
       RowBox[{"initial", " ", "endpts", " ", "of", " ", "twigs"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"twig", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", ".05", "]"}], ",", 
         RowBox[{"Line", "[", " ", 
          RowBox[{"leaves", "[", 
           RowBox[{"[", "1", "]"}], "]"}], " ", "]"}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", "  ", 
      RowBox[{"Do", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"buds", "=", 
          RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", "        ", 
         RowBox[{"twig", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"twig", ",", 
            RowBox[{"Thickness", "[", 
             RowBox[{".05", "*", 
              RowBox[{"0.7", "^", "j"}]}], "]"}]}], "]"}]}], ";", "  ", 
         RowBox[{"(*", 
          RowBox[{"variable", " ", "twig", " ", "thickness"}], "*)"}], 
         "\[IndentingNewLine]", "        ", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"buds", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"buds", ",", 
               RowBox[{"bL", "[", 
                RowBox[{
                 RowBox[{"leaves", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], ",", "w", ",", "s"}], 
                "]"}]}], "]"}]}], ";", 
            RowBox[{"(*", 
             RowBox[{"grow", " ", "left", " ", "leaf"}], "*)"}], 
            "\[IndentingNewLine]", "             ", 
            RowBox[{"buds", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"buds", ",", 
               RowBox[{"bR", "[", 
                RowBox[{
                 RowBox[{"leaves", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], ",", "w", ",", "s"}], 
                "]"}]}], "]"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}], ";", 
         RowBox[{"(*", 
          RowBox[{"grow", " ", "right", " ", "leaf"}], "*)"}], 
         "\[IndentingNewLine]", "        ", 
         RowBox[{"leaves", "=", "buds"}], ";", 
         RowBox[{"m", "=", 
          RowBox[{"Length", "[", "leaves", "]"}]}], ";", 
         "\[IndentingNewLine]", "        ", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{"twig", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"twig", ",", 
              RowBox[{"Line", "[", 
               RowBox[{"leaves", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "m"}], "}"}]}], "]"}]}], ",", " ", 
        RowBox[{"(*", 
         RowBox[{"grow", " ", "a", " ", "twig"}], "*)"}], 
        "\[IndentingNewLine]", "           ", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}], ";", 
      "           ", 
      RowBox[{"(*", 
       RowBox[{"update", " ", "leaves"}], "*)"}], "\[IndentingNewLine]", " ", 
      RowBox[{"Graphics", "[", "twig", "]"}]}]}], "]"}]}], ";", 
  "                     ", 
  RowBox[{"(*", 
   RowBox[{"graph", " ", "the", " ", "tree"}], "*)"}], "\n"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.74154387153389*^9, 3.74154402213689*^9}, {
   3.7415441399038897`*^9, 3.74154414122589*^9}, {3.74154429137589*^9, 
   3.74154430497889*^9}, {3.74154433949389*^9, 3.7415443963378897`*^9}, {
   3.7415450663560915`*^9, 3.7415451307829313`*^9}, 3.7415452058494368`*^9}],

Cell[BoxData[""], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7415401700899*^9, 3.7415401813009*^9}, {
   3.7415402632509003`*^9, 3.7415403635759*^9}, {3.7415404135659*^9, 
   3.7415404387319*^9}, {3.7415404799059*^9, 3.7415404852139*^9}, {
   3.7415405193659*^9, 3.7415405419999*^9}, 3.7415405835699*^9, {
   3.741540685338298*^9, 3.741540749720172*^9}, 3.7415407997431746`*^9, {
   3.741541361989253*^9, 3.741541490094062*^9}, {3.741541545183571*^9, 
   3.741541562652317*^9}, {3.7415420789799447`*^9, 3.7415420812331705`*^9}, {
   3.74154259997689*^9, 3.74154260272789*^9}, {3.7415426486468897`*^9, 
   3.74154266399289*^9}, {3.74154273987189*^9, 3.7415427428638897`*^9}, {
   3.74154282314489*^9, 3.74154282813689*^9}, {3.74154305309789*^9, 
   3.74154307643789*^9}, {3.7415431396578903`*^9, 3.74154315811889*^9}, {
   3.74154349354489*^9, 3.74154352825589*^9}, {3.74154359566989*^9, 
   3.74154370039589*^9}, 3.74154373644589*^9, 3.741545205850437*^9}],

Cell[BoxData[
 RowBox[{"tree", "[", 
  RowBox[{"7", ",", ".3", ",", ".85"}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.7415408062084675`*^9, 3.7415408744381104`*^9}, {
   3.7415410328213396`*^9, 3.7415410652445817`*^9}, {3.741541203328388*^9, 
   3.7415412420502605`*^9}, 3.7415412827253275`*^9, 3.7415413295040045`*^9, 
   3.741541463896443*^9, {3.7415415061706696`*^9, 3.741541539997052*^9}, 
   3.741541861896239*^9, 3.7415426746728897`*^9, {3.7415427918118896`*^9, 
   3.74154281849089*^9}, {3.74154285881989*^9, 3.74154288807589*^9}, 
   3.74154304432689*^9, {3.74154366567689*^9, 3.7415436710738897`*^9}, 
   3.7415438365138903`*^9, {3.74154416696789*^9, 3.7415441875398903`*^9}, 
   3.74154421970789*^9, 3.7415452700638576`*^9}],

Cell[BoxData[
 GraphicsBox[{
   {Thickness[0.05], LineBox[{{0, 0}, {0, 1}}]}, 
   {Thickness[0.034999999999999996`], 
    LineBox[{{0, 1}, {-0.2511921756621386, 1.8120360157567652`}}], 
    LineBox[{{0, 1}, {0.2511921756621386, 1.8120360157567652`}}]}, 
   {Thickness[0.024499999999999997`], 
    LineBox[{{-0.2511921756621386, 1.8120360157567652`}, {-0.6591463626900516,
      2.4083409975290078`}}], 
    LineBox[{{-0.2511921756621386, 
     1.8120360157567652`}, {-0.25119217566213853`, 2.534536015756765}}], 
    LineBox[{{0.2511921756621386, 1.8120360157567652`}, {0.25119217566213853`,
      2.534536015756765}}], 
    LineBox[{{0.2511921756621386, 1.8120360157567652`}, {0.6591463626900516, 
     2.4083409975290078`}}]}, 
   {Thickness[0.017149999999999995`], 
    LineBox[{{-0.6591463626900516, 
     2.4083409975290078`}, {-1.1402070010650296`, 2.7900872192932296`}}], 
    LineBox[{{-0.6591463626900516, 2.4083409975290078`}, {-0.8406327096059467,
      2.9950370189132705`}}], 
    LineBox[{{-0.25119217566213853`, 2.534536015756765}, {-0.4326785225780335,
      3.121232037141027}}], 
    LineBox[{{-0.25119217566213853`, 2.534536015756765}, {-0.0697058287462434,
      3.121232037141027}}], 
    LineBox[{{0.25119217566213853`, 2.534536015756765}, {0.0697058287462434, 
     3.121232037141027}}], 
    LineBox[{{0.25119217566213853`, 2.534536015756765}, {0.4326785225780335, 
     3.121232037141027}}], 
    LineBox[{{0.6591463626900516, 2.4083409975290078`}, {0.8406327096059467, 
     2.9950370189132705`}}], 
    LineBox[{{0.6591463626900516, 2.4083409975290078`}, {1.1402070010650296`, 
     2.7900872192932296`}}]}, 
   {Thickness[0.012004999999999997`], 
    LineBox[{{-1.1402070010650296`, 
     2.7900872192932296`}, {-1.6267372291842088`, 2.9792402318660187`}}], 
    LineBox[{{-1.1402070010650296`, 
     2.7900872192932296`}, {-1.4349539011926966`, 3.220917568623675}}], 
    LineBox[{{-0.8406327096059467, 
     2.9950370189132705`}, {-1.1353796097336137`, 3.4258673682437157`}}], 
    LineBox[{{-0.8406327096059467, 2.9950370189132705`}, {-0.8406327096059467,
      3.5170432689132705`}}], 
    LineBox[{{-0.4326785225780335, 3.121232037141027}, {-0.7274254227057004, 
     3.552062386471472}}], 
    LineBox[{{-0.4326785225780335, 3.121232037141027}, {-0.4326785225780335, 
     3.6432382871410267`}}], 
    LineBox[{{-0.0697058287462434, 3.121232037141027}, {-0.06970582874624329, 
     3.6432382871410267`}}], 
    LineBox[{{-0.0697058287462434, 3.121232037141027}, {0.22504107138142362`, 
     3.552062386471472}}], 
    LineBox[{{0.0697058287462434, 3.121232037141027}, {-0.22504107138142362`, 
     3.552062386471472}}], 
    LineBox[{{0.0697058287462434, 3.121232037141027}, {0.06970582874624329, 
     3.6432382871410267`}}], 
    LineBox[{{0.4326785225780335, 3.121232037141027}, {0.4326785225780335, 
     3.6432382871410267`}}], 
    LineBox[{{0.4326785225780335, 3.121232037141027}, {0.7274254227057004, 
     3.552062386471472}}], 
    LineBox[{{0.8406327096059467, 2.9950370189132705`}, {0.8406327096059467, 
     3.5170432689132705`}}], 
    LineBox[{{0.8406327096059467, 2.9950370189132705`}, {1.1353796097336137`, 
     3.4258673682437157`}}], 
    LineBox[{{1.1402070010650296`, 2.7900872192932296`}, {1.4349539011926966`,
      3.220917568623675}}], 
    LineBox[{{1.1402070010650296`, 2.7900872192932296`}, {1.6267372291842088`,
      2.9792402318660187`}}]}, 
   {Thickness[0.008403499999999998], 
    LineBox[{{-1.6267372291842088`, 2.9792402318660187`}, {-2.069331053932544,
      3.0106267040373624`}}], 
    LineBox[{{-1.6267372291842088`, 
     2.9792402318660187`}, {-1.9743035404101303`, 3.255051877090669}}], 
    LineBox[{{-1.4349539011926966`, 3.220917568623675}, {-1.7825202124186181`,
      3.496729213848325}}], 
    LineBox[{{-1.4349539011926966`, 3.220917568623675}, {-1.5660777868394307`,
      3.6448054440738047`}}], 
    LineBox[{{-1.1353796097336137`, 
     3.4258673682437157`}, {-1.4829459209595353`, 3.701679013468366}}], 
    LineBox[{{-1.1353796097336137`, 
     3.4258673682437157`}, {-1.2665034953803478`, 3.8497552436938456`}}], 
    LineBox[{{-0.8406327096059467, 3.5170432689132705`}, {-0.971756595252681, 
     3.9409311443634003`}}], 
    LineBox[{{-0.8406327096059467, 3.5170432689132705`}, {-0.7095088239592124,
      3.9409311443634003`}}], 
    LineBox[{{-0.7274254227057004, 3.552062386471472}, {-1.074991733931622, 
     3.8278740316961217`}}], 
    LineBox[{{-0.7274254227057004, 3.552062386471472}, {-0.8585493083524346, 
     3.9759502619216014`}}], 
    LineBox[{{-0.4326785225780335, 3.6432382871410267`}, {-0.5638024082247677,
      4.067126162591157}}], 
    LineBox[{{-0.4326785225780335, 
     3.6432382871410267`}, {-0.30155463693129936`, 4.067126162591157}}], 
    LineBox[{{-0.06970582874624329, 
     3.6432382871410267`}, {-0.2008297143929773, 4.067126162591157}}], 
    LineBox[{{-0.06970582874624329, 3.6432382871410267`}, {
     0.06141805690049093, 4.067126162591157}}], 
    LineBox[{{0.22504107138142362`, 3.552062386471472}, {0.35616495702815787`,
      3.9759502619216014`}}], 
    LineBox[{{0.22504107138142362`, 3.552062386471472}, {0.5726073826073451, 
     3.8278740316961217`}}], 
    LineBox[{{-0.22504107138142362`, 3.552062386471472}, {-0.5726073826073451,
      3.8278740316961217`}}], 
    LineBox[{{-0.22504107138142362`, 
     3.552062386471472}, {-0.35616495702815787`, 3.9759502619216014`}}], 
    LineBox[{{0.06970582874624329, 
     3.6432382871410267`}, {-0.06141805690049093, 4.067126162591157}}], 
    LineBox[{{0.06970582874624329, 3.6432382871410267`}, {0.2008297143929773, 
     4.067126162591157}}], 
    LineBox[{{0.4326785225780335, 3.6432382871410267`}, {0.30155463693129936`,
      4.067126162591157}}], 
    LineBox[{{0.4326785225780335, 3.6432382871410267`}, {0.5638024082247677, 
     4.067126162591157}}], 
    LineBox[{{0.7274254227057004, 3.552062386471472}, {0.8585493083524346, 
     3.9759502619216014`}}], 
    LineBox[{{0.7274254227057004, 3.552062386471472}, {1.074991733931622, 
     3.8278740316961217`}}], 
    LineBox[{{0.8406327096059467, 3.5170432689132705`}, {0.7095088239592124, 
     3.9409311443634003`}}], 
    LineBox[{{0.8406327096059467, 3.5170432689132705`}, {0.971756595252681, 
     3.9409311443634003`}}], 
    LineBox[{{1.1353796097336137`, 3.4258673682437157`}, {1.2665034953803478`,
      3.8497552436938456`}}], 
    LineBox[{{1.1353796097336137`, 3.4258673682437157`}, {1.4829459209595353`,
      3.701679013468366}}], 
    LineBox[{{1.4349539011926966`, 3.220917568623675}, {1.5660777868394307`, 
     3.6448054440738047`}}], 
    LineBox[{{1.4349539011926966`, 3.220917568623675}, {1.7825202124186181`, 
     3.496729213848325}}], 
    LineBox[{{1.6267372291842088`, 2.9792402318660187`}, {1.9743035404101303`,
      3.255051877090669}}], 
    LineBox[{{1.6267372291842088`, 2.9792402318660187`}, {2.069331053932544, 
     3.0106267040373624`}}]}, 
   {Thickness[0.005882449999999997], 
    LineBox[{{-2.069331053932544, 3.0106267040373624`}, {-2.436617216210809, 
     2.9249375440748793`}}], 
    LineBox[{{-2.069331053932544, 3.0106267040373624`}, {-2.420849143748651, 
     3.1472897556212027`}}], 
    LineBox[{{-1.9743035404101303`, 3.255051877090669}, {-2.3258216302262373`,
      3.391714928674509}}], 
    LineBox[{{-1.9743035404101303`, 3.255051877090669}, {-2.1872581757523695`,
      3.5663268044819154`}}], 
    LineBox[{{-1.7825202124186181`, 3.496729213848325}, {-2.134038302234725, 
     3.6333922654321653`}}], 
    LineBox[{{-1.7825202124186181`, 3.496729213848325}, {-1.9954748477608575`,
      3.8080041412395715`}}], 
    LineBox[{{-1.5660777868394307`, 3.6448054440738047`}, {-1.77903242218167, 
     3.9560803714650516`}}], 
    LineBox[{{-1.5660777868394307`, 
     3.6448054440738047`}, {-1.5660777868394304`, 4.021954959698805}}], 
    LineBox[{{-1.4829459209595353`, 3.701679013468366}, {-1.8344640107756423`,
      3.838342065052206}}], 
    LineBox[{{-1.4829459209595353`, 3.701679013468366}, {-1.6959005563017746`,
      4.012953940859612}}], 
    LineBox[{{-1.2665034953803478`, 
     3.8497552436938456`}, {-1.4794581307225871`, 4.161030171085092}}], 
    LineBox[{{-1.2665034953803478`, 
     3.8497552436938456`}, {-1.2665034953803476`, 4.226904759318845}}], 
    LineBox[{{-0.971756595252681, 3.9409311443634003`}, {-1.1847112305949206`,
      4.252206071754647}}], 
    LineBox[{{-0.971756595252681, 3.9409311443634003`}, {-0.971756595252681, 
     4.3180806599884}}], 
    LineBox[{{-0.7095088239592124, 3.9409311443634003`}, {-0.7095088239592124,
      4.3180806599884}}], 
    LineBox[{{-0.7095088239592124, 3.9409311443634003`}, {-0.4965541886169729,
      4.252206071754647}}], 
    LineBox[{{-1.074991733931622, 3.8278740316961217`}, {-1.4265098237477287`,
      3.9645370832799616`}}], 
    LineBox[{{-1.074991733931622, 3.8278740316961217`}, {-1.2879463692738615`,
      4.139148959087368}}], 
    LineBox[{{-0.8585493083524346, 
     3.9759502619216014`}, {-1.0715039436946738`, 4.2872251893128475`}}], 
    LineBox[{{-0.8585493083524346, 3.9759502619216014`}, {-0.8585493083524346,
      4.353099777546601}}], 
    LineBox[{{-0.5638024082247677, 4.067126162591157}, {-0.776757043567007, 
     4.378401089982403}}], 
    LineBox[{{-0.5638024082247677, 4.067126162591157}, {-0.5638024082247676, 
     4.444275678216156}}], 
    LineBox[{{-0.30155463693129936`, 4.067126162591157}, {-0.3015546369312994,
      4.444275678216156}}], 
    LineBox[{{-0.30155463693129936`, 
     4.067126162591157}, {-0.08860000158905995, 4.378401089982403}}], 
    LineBox[{{-0.2008297143929773, 4.067126162591157}, {-0.4137843497352166, 
     4.378401089982403}}], 
    LineBox[{{-0.2008297143929773, 4.067126162591157}, {-0.20082971439297712`,
      4.444275678216156}}], 
    LineBox[{{0.06141805690049093, 4.067126162591157}, {0.06141805690049091, 
     4.444275678216156}}], 
    LineBox[{{0.06141805690049093, 4.067126162591157}, {0.2743726922427304, 
     4.378401089982403}}], 
    LineBox[{{0.35616495702815787`, 3.9759502619216014`}, {0.356164957028158, 
     4.353099777546601}}], 
    LineBox[{{0.35616495702815787`, 3.9759502619216014`}, {0.5691195923703973,
      4.2872251893128475`}}], 
    LineBox[{{0.5726073826073451, 3.8278740316961217`}, {0.7855620179495846, 
     4.139148959087368}}], 
    LineBox[{{0.5726073826073451, 3.8278740316961217`}, {0.9241254724234519, 
     3.9645370832799616`}}], 
    LineBox[{{-0.5726073826073451, 3.8278740316961217`}, {-0.9241254724234519,
      3.9645370832799616`}}], 
    LineBox[{{-0.5726073826073451, 3.8278740316961217`}, {-0.7855620179495846,
      4.139148959087368}}], 
    LineBox[{{-0.35616495702815787`, 
     3.9759502619216014`}, {-0.5691195923703973, 4.2872251893128475`}}], 
    LineBox[{{-0.35616495702815787`, 
     3.9759502619216014`}, {-0.356164957028158, 4.353099777546601}}], 
    LineBox[{{-0.06141805690049093, 4.067126162591157}, {-0.2743726922427304, 
     4.378401089982403}}], 
    LineBox[{{-0.06141805690049093, 4.067126162591157}, {-0.06141805690049091,
      4.444275678216156}}], 
    LineBox[{{0.2008297143929773, 4.067126162591157}, {0.20082971439297712`, 
     4.444275678216156}}], 
    LineBox[{{0.2008297143929773, 4.067126162591157}, {0.4137843497352166, 
     4.378401089982403}}], 
    LineBox[{{0.30155463693129936`, 4.067126162591157}, {0.08860000158905995, 
     4.378401089982403}}], 
    LineBox[{{0.30155463693129936`, 4.067126162591157}, {0.3015546369312994, 
     4.444275678216156}}], 
    LineBox[{{0.5638024082247677, 4.067126162591157}, {0.5638024082247676, 
     4.444275678216156}}], 
    LineBox[{{0.5638024082247677, 4.067126162591157}, {0.776757043567007, 
     4.378401089982403}}], 
    LineBox[{{0.8585493083524346, 3.9759502619216014`}, {0.8585493083524346, 
     4.353099777546601}}], 
    LineBox[{{0.8585493083524346, 3.9759502619216014`}, {1.0715039436946738`, 
     4.2872251893128475`}}], 
    LineBox[{{1.074991733931622, 3.8278740316961217`}, {1.2879463692738615`, 
     4.139148959087368}}], 
    LineBox[{{1.074991733931622, 3.8278740316961217`}, {1.4265098237477287`, 
     3.9645370832799616`}}], 
    LineBox[{{0.7095088239592124, 3.9409311443634003`}, {0.4965541886169729, 
     4.252206071754647}}], 
    LineBox[{{0.7095088239592124, 3.9409311443634003`}, {0.7095088239592124, 
     4.3180806599884}}], 
    LineBox[{{0.971756595252681, 3.9409311443634003`}, {0.971756595252681, 
     4.3180806599884}}], 
    LineBox[{{0.971756595252681, 3.9409311443634003`}, {1.1847112305949206`, 
     4.252206071754647}}], 
    LineBox[{{1.2665034953803478`, 3.8497552436938456`}, {1.2665034953803476`,
      4.226904759318845}}], 
    LineBox[{{1.2665034953803478`, 3.8497552436938456`}, {1.4794581307225871`,
      4.161030171085092}}], 
    LineBox[{{1.4829459209595353`, 3.701679013468366}, {1.6959005563017746`, 
     4.012953940859612}}], 
    LineBox[{{1.4829459209595353`, 3.701679013468366}, {1.8344640107756423`, 
     3.838342065052206}}], 
    LineBox[{{1.5660777868394307`, 3.6448054440738047`}, {1.5660777868394304`,
      4.021954959698805}}], 
    LineBox[{{1.5660777868394307`, 3.6448054440738047`}, {1.77903242218167, 
     3.9560803714650516`}}], 
    LineBox[{{1.7825202124186181`, 3.496729213848325}, {1.9954748477608575`, 
     3.8080041412395715`}}], 
    LineBox[{{1.7825202124186181`, 3.496729213848325}, {2.134038302234725, 
     3.6333922654321653`}}], 
    LineBox[{{1.9743035404101303`, 3.255051877090669}, {2.1872581757523695`, 
     3.5663268044819154`}}], 
    LineBox[{{1.9743035404101303`, 3.255051877090669}, {2.3258216302262373`, 
     3.391714928674509}}], 
    LineBox[{{2.069331053932544, 3.0106267040373624`}, {2.420849143748651, 
     3.1472897556212027`}}], 
    LineBox[{{2.069331053932544, 3.0106267040373624`}, {2.436617216210809, 
     2.9249375440748793`}}]}, 
   {Thickness[0.004117714999999998], 
    LineBox[{{-2.436617216210809, 2.9249375440748793`}, {-2.713342361548207, 
     2.7630954498321256`}}], 
    LineBox[{{-2.436617216210809, 2.9249375440748793`}, {-2.756391254591481, 
     2.947614270218675}}], 
    LineBox[{{-2.420849143748651, 3.1472897556212027`}, {-2.740623182129323, 
     3.1699664817649986`}}], 
    LineBox[{{-2.420849143748651, 3.1472897556212027`}, {-2.671965803609379, 
     3.3465636692960126`}}], 
    LineBox[{{-2.3258216302262373`, 3.391714928674509}, {-2.6455956686069095`,
      3.414391654818305}}], 
    LineBox[{{-2.3258216302262373`, 3.391714928674509}, {-2.5769382900869657`,
      3.590988842349319}}], 
    LineBox[{{-2.1872581757523695`, 
     3.5663268044819154`}, {-2.4383748356130974`, 3.7656007181567253`}}], 
    LineBox[{{-2.1872581757523695`, 
     3.5663268044819154`}, {-2.2819951831321346`, 3.872585794494634}}], 
    LineBox[{{-2.134038302234725, 3.6333922654321653`}, {-2.4538123406153973`,
      3.656068991575961}}], 
    LineBox[{{-2.134038302234725, 3.6333922654321653`}, {-2.3851549620954535`,
      3.832666179106975}}], 
    LineBox[{{-1.9954748477608575`, 
     3.8080041412395715`}, {-2.2465915076215857`, 4.007278054914381}}], 
    LineBox[{{-1.9954748477608575`, 3.8080041412395715`}, {-2.090211855140623,
      4.11426313125229}}], 
    LineBox[{{-1.77903242218167, 3.9560803714650516`}, {-2.0301490820423984`, 
     4.155354285139862}}], 
    LineBox[{{-1.77903242218167, 3.9560803714650516`}, {-1.8737694295614353`, 
     4.26233936147777}}], 
    LineBox[{{-1.5660777868394304`, 4.021954959698805}, {-1.6608147942191958`,
      4.3282139497115235`}}], 
    LineBox[{{-1.5660777868394304`, 4.021954959698805}, {-1.4713407794596647`,
      4.3282139497115235`}}], 
    LineBox[{{-1.8344640107756423`, 3.838342065052206}, {-2.1542380491563144`,
      3.861018791196002}}], 
    LineBox[{{-1.8344640107756423`, 3.838342065052206}, {-2.0855806706363706`,
      4.0376159787270165`}}], 
    LineBox[{{-1.6959005563017746`, 4.012953940859612}, {-1.9470172161625028`,
      4.212227854534421}}], 
    LineBox[{{-1.6959005563017746`, 4.012953940859612}, {-1.7906375636815401`,
      4.319212930872331}}], 
    LineBox[{{-1.4794581307225871`, 4.161030171085092}, {-1.7305747905833155`,
      4.3603040847599015`}}], 
    LineBox[{{-1.4794581307225871`, 4.161030171085092}, {-1.5741951381023525`,
      4.467289161097811}}], 
    LineBox[{{-1.2665034953803476`, 4.226904759318845}, {-1.3612405027601129`,
      4.533163749331564}}], 
    LineBox[{{-1.2665034953803476`, 4.226904759318845}, {-1.171766488000582, 
     4.533163749331564}}], 
    LineBox[{{-1.1847112305949206`, 4.252206071754647}, {-1.435827890455649, 
     4.451479985429456}}], 
    LineBox[{{-1.1847112305949206`, 4.252206071754647}, {-1.279448237974686, 
     4.558465061767365}}], 
    LineBox[{{-0.971756595252681, 4.3180806599884}, {-1.0664936026324465`, 
     4.624339650001119}}], 
    LineBox[{{-0.971756595252681, 4.3180806599884}, {-0.8770195878729156, 
     4.624339650001119}}], 
    LineBox[{{-0.7095088239592124, 4.3180806599884}, {-0.8042458313389779, 
     4.624339650001119}}], 
    LineBox[{{-0.7095088239592124, 4.3180806599884}, {-0.614771816579447, 
     4.624339650001119}}], 
    LineBox[{{-0.4965541886169729, 4.252206071754647}, {-0.4018171812372074, 
     4.558465061767365}}], 
    LineBox[{{-0.4965541886169729, 4.252206071754647}, {-0.24543752875624453`,
      4.451479985429456}}], 
    LineBox[{{-1.4265098237477287`, 
     3.9645370832799616`}, {-1.7462838621284007`, 3.987213809423757}}], 
    LineBox[{{-1.4265098237477287`, 3.9645370832799616`}, {-1.677626483608457,
      4.163810996954771}}], 
    LineBox[{{-1.2879463692738615`, 4.139148959087368}, {-1.53906302913459, 
     4.338422872762178}}], 
    LineBox[{{-1.2879463692738615`, 4.139148959087368}, {-1.382683376653627, 
     4.445407949100087}}], 
    LineBox[{{-1.0715039436946738`, 
     4.2872251893128475`}, {-1.3226206035554018`, 4.486499102987657}}], 
    LineBox[{{-1.0715039436946738`, 
     4.2872251893128475`}, {-1.1662409510744394`, 4.593484179325566}}], 
    LineBox[{{-0.8585493083524346, 4.353099777546601}, {-0.9532863157321999, 
     4.659358767559319}}], 
    LineBox[{{-0.8585493083524346, 4.353099777546601}, {-0.7638123009726693, 
     4.659358767559319}}], 
    LineBox[{{-0.776757043567007, 4.378401089982403}, {-1.0278737034277352`, 
     4.5776750036572125`}}], 
    LineBox[{{-0.776757043567007, 4.378401089982403}, {-0.8714940509467725, 
     4.684660079995122}}], 
    LineBox[{{-0.5638024082247676, 4.444275678216156}, {-0.6585394156045329, 
     4.750534668228875}}], 
    LineBox[{{-0.5638024082247676, 4.444275678216156}, {-0.46906540084500203`,
      4.750534668228875}}], 
    LineBox[{{-0.3015546369312994, 4.444275678216156}, {-0.3962916443110649, 
     4.750534668228875}}], 
    LineBox[{{-0.3015546369312994, 4.444275678216156}, {-0.20681762955153404`,
      4.750534668228875}}], 
    LineBox[{{-0.08860000158905995, 4.378401089982403}, {0.006137005790705488,
      4.684660079995122}}], 
    LineBox[{{-0.08860000158905995, 4.378401089982403}, {0.1625166582716684, 
     4.5776750036572125`}}], 
    LineBox[{{-0.4137843497352166, 4.378401089982403}, {-0.6649010095959449, 
     4.5776750036572125`}}], 
    LineBox[{{-0.4137843497352166, 4.378401089982403}, {-0.5085213571149819, 
     4.684660079995122}}], 
    LineBox[{{-0.20082971439297712`, 4.444275678216156}, {-0.2955667217727424,
      4.750534668228875}}], 
    LineBox[{{-0.20082971439297712`, 
     4.444275678216156}, {-0.10609270701321152`, 4.750534668228875}}], 
    LineBox[{{0.06141805690049091, 4.444275678216156}, {-0.03331895047927453, 
     4.750534668228875}}], 
    LineBox[{{0.06141805690049091, 4.444275678216156}, {0.15615506428025633`, 
     4.750534668228875}}], 
    LineBox[{{0.2743726922427304, 4.378401089982403}, {0.36910969962249596`, 
     4.684660079995122}}], 
    LineBox[{{0.2743726922427304, 4.378401089982403}, {0.5254893521034588, 
     4.5776750036572125`}}], 
    LineBox[{{0.356164957028158, 4.353099777546601}, {0.2614279496483928, 
     4.659358767559319}}], 
    LineBox[{{0.356164957028158, 4.353099777546601}, {0.4509019644079234, 
     4.659358767559319}}], 
    LineBox[{{0.5691195923703973, 4.2872251893128475`}, {0.663856599750163, 
     4.593484179325566}}], 
    LineBox[{{0.5691195923703973, 4.2872251893128475`}, {0.8202362522311255, 
     4.486499102987657}}], 
    LineBox[{{0.7855620179495846, 4.139148959087368}, {0.8802990253293501, 
     4.445407949100087}}], 
    LineBox[{{0.7855620179495846, 4.139148959087368}, {1.036678677810313, 
     4.338422872762178}}], 
    LineBox[{{0.9241254724234519, 3.9645370832799616`}, {1.1752421322841802`, 
     4.163810996954771}}], 
    LineBox[{{0.9241254724234519, 3.9645370832799616`}, {1.2438995108041238`, 
     3.987213809423757}}], 
    LineBox[{{-0.9241254724234519, 
     3.9645370832799616`}, {-1.2438995108041238`, 3.987213809423757}}], 
    LineBox[{{-0.9241254724234519, 
     3.9645370832799616`}, {-1.1752421322841802`, 4.163810996954771}}], 
    LineBox[{{-0.7855620179495846, 4.139148959087368}, {-1.036678677810313, 
     4.338422872762178}}], 
    LineBox[{{-0.7855620179495846, 4.139148959087368}, {-0.8802990253293501, 
     4.445407949100087}}], 
    LineBox[{{-0.5691195923703973, 4.2872251893128475`}, {-0.8202362522311255,
      4.486499102987657}}], 
    LineBox[{{-0.5691195923703973, 4.2872251893128475`}, {-0.663856599750163, 
     4.593484179325566}}], 
    LineBox[{{-0.356164957028158, 4.353099777546601}, {-0.4509019644079234, 
     4.659358767559319}}], 
    LineBox[{{-0.356164957028158, 4.353099777546601}, {-0.2614279496483928, 
     4.659358767559319}}], 
    LineBox[{{-0.2743726922427304, 4.378401089982403}, {-0.5254893521034588, 
     4.5776750036572125`}}], 
    LineBox[{{-0.2743726922427304, 4.378401089982403}, {-0.36910969962249596`,
      4.684660079995122}}], 
    LineBox[{{-0.06141805690049091, 
     4.444275678216156}, {-0.15615506428025633`, 4.750534668228875}}], 
    LineBox[{{-0.06141805690049091, 4.444275678216156}, {0.03331895047927453, 
     4.750534668228875}}], 
    LineBox[{{0.20082971439297712`, 4.444275678216156}, {0.10609270701321152`,
      4.750534668228875}}], 
    LineBox[{{0.20082971439297712`, 4.444275678216156}, {0.2955667217727424, 
     4.750534668228875}}], 
    LineBox[{{0.4137843497352166, 4.378401089982403}, {0.5085213571149819, 
     4.684660079995122}}], 
    LineBox[{{0.4137843497352166, 4.378401089982403}, {0.6649010095959449, 
     4.5776750036572125`}}], 
    LineBox[{{0.08860000158905995, 4.378401089982403}, {-0.1625166582716684, 
     4.5776750036572125`}}], 
    LineBox[{{0.08860000158905995, 4.378401089982403}, {-0.006137005790705488,
      4.684660079995122}}], 
    LineBox[{{0.3015546369312994, 4.444275678216156}, {0.20681762955153404`, 
     4.750534668228875}}], 
    LineBox[{{0.3015546369312994, 4.444275678216156}, {0.3962916443110649, 
     4.750534668228875}}], 
    LineBox[{{0.5638024082247676, 4.444275678216156}, {0.46906540084500203`, 
     4.750534668228875}}], 
    LineBox[{{0.5638024082247676, 4.444275678216156}, {0.6585394156045329, 
     4.750534668228875}}], 
    LineBox[{{0.776757043567007, 4.378401089982403}, {0.8714940509467725, 
     4.684660079995122}}], 
    LineBox[{{0.776757043567007, 4.378401089982403}, {1.0278737034277352`, 
     4.5776750036572125`}}], 
    LineBox[{{0.8585493083524346, 4.353099777546601}, {0.7638123009726693, 
     4.659358767559319}}], 
    LineBox[{{0.8585493083524346, 4.353099777546601}, {0.9532863157321999, 
     4.659358767559319}}], 
    LineBox[{{1.0715039436946738`, 4.2872251893128475`}, {1.1662409510744394`,
      4.593484179325566}}], 
    LineBox[{{1.0715039436946738`, 4.2872251893128475`}, {1.3226206035554018`,
      4.486499102987657}}], 
    LineBox[{{1.2879463692738615`, 4.139148959087368}, {1.382683376653627, 
     4.445407949100087}}], 
    LineBox[{{1.2879463692738615`, 4.139148959087368}, {1.53906302913459, 
     4.338422872762178}}], 
    LineBox[{{1.4265098237477287`, 3.9645370832799616`}, {1.677626483608457, 
     4.163810996954771}}], 
    LineBox[{{1.4265098237477287`, 3.9645370832799616`}, {1.7462838621284007`,
      3.987213809423757}}], 
    LineBox[{{0.4965541886169729, 4.252206071754647}, {0.24543752875624453`, 
     4.451479985429456}}], 
    LineBox[{{0.4965541886169729, 4.252206071754647}, {0.4018171812372074, 
     4.558465061767365}}], 
    LineBox[{{0.7095088239592124, 4.3180806599884}, {0.614771816579447, 
     4.624339650001119}}], 
    LineBox[{{0.7095088239592124, 4.3180806599884}, {0.8042458313389779, 
     4.624339650001119}}], 
    LineBox[{{0.971756595252681, 4.3180806599884}, {0.8770195878729156, 
     4.624339650001119}}], 
    LineBox[{{0.971756595252681, 4.3180806599884}, {1.0664936026324465`, 
     4.624339650001119}}], 
    LineBox[{{1.1847112305949206`, 4.252206071754647}, {1.279448237974686, 
     4.558465061767365}}], 
    LineBox[{{1.1847112305949206`, 4.252206071754647}, {1.435827890455649, 
     4.451479985429456}}], 
    LineBox[{{1.2665034953803476`, 4.226904759318845}, {1.171766488000582, 
     4.533163749331564}}], 
    LineBox[{{1.2665034953803476`, 4.226904759318845}, {1.3612405027601129`, 
     4.533163749331564}}], 
    LineBox[{{1.4794581307225871`, 4.161030171085092}, {1.5741951381023525`, 
     4.467289161097811}}], 
    LineBox[{{1.4794581307225871`, 4.161030171085092}, {1.7305747905833155`, 
     4.3603040847599015`}}], 
    LineBox[{{1.6959005563017746`, 4.012953940859612}, {1.7906375636815401`, 
     4.319212930872331}}], 
    LineBox[{{1.6959005563017746`, 4.012953940859612}, {1.9470172161625028`, 
     4.212227854534421}}], 
    LineBox[{{1.8344640107756423`, 3.838342065052206}, {2.0855806706363706`, 
     4.0376159787270165`}}], 
    LineBox[{{1.8344640107756423`, 3.838342065052206}, {2.1542380491563144`, 
     3.861018791196002}}], 
    LineBox[{{1.5660777868394304`, 4.021954959698805}, {1.4713407794596647`, 
     4.3282139497115235`}}], 
    LineBox[{{1.5660777868394304`, 4.021954959698805}, {1.6608147942191958`, 
     4.3282139497115235`}}], 
    LineBox[{{1.77903242218167, 3.9560803714650516`}, {1.8737694295614353`, 
     4.26233936147777}}], 
    LineBox[{{1.77903242218167, 3.9560803714650516`}, {2.0301490820423984`, 
     4.155354285139862}}], 
    LineBox[{{1.9954748477608575`, 3.8080041412395715`}, {2.090211855140623, 
     4.11426313125229}}], 
    LineBox[{{1.9954748477608575`, 3.8080041412395715`}, {2.2465915076215857`,
      4.007278054914381}}], 
    LineBox[{{2.134038302234725, 3.6333922654321653`}, {2.3851549620954535`, 
     3.832666179106975}}], 
    LineBox[{{2.134038302234725, 3.6333922654321653`}, {2.4538123406153973`, 
     3.656068991575961}}], 
    LineBox[{{2.1872581757523695`, 3.5663268044819154`}, {2.2819951831321346`,
      3.872585794494634}}], 
    LineBox[{{2.1872581757523695`, 3.5663268044819154`}, {2.4383748356130974`,
      3.7656007181567253`}}], 
    LineBox[{{2.3258216302262373`, 3.391714928674509}, {2.5769382900869657`, 
     3.590988842349319}}], 
    LineBox[{{2.3258216302262373`, 3.391714928674509}, {2.6455956686069095`, 
     3.414391654818305}}], 
    LineBox[{{2.420849143748651, 3.1472897556212027`}, {2.671965803609379, 
     3.3465636692960126`}}], 
    LineBox[{{2.420849143748651, 3.1472897556212027`}, {2.740623182129323, 
     3.1699664817649986`}}], 
    LineBox[{{2.436617216210809, 2.9249375440748793`}, {2.756391254591481, 
     2.947614270218675}}], 
    LineBox[{{2.436617216210809, 2.9249375440748793`}, {2.713342361548207, 
     2.7630954498321256`}}]}},
  ImageSize->{177., Automatic}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.741540816704566*^9, 3.741540874901203*^9}, {
   3.7415410346525226`*^9, 3.74154106623068*^9}, {3.7415412058086367`*^9, 
   3.741541243677423*^9}, 3.741541283573412*^9, 3.7415413307091255`*^9, 
   3.741541380488103*^9, {3.7415414342904825`*^9, 3.7415415660086527`*^9}, 
   3.7415418624332924`*^9, 3.7415419044634953`*^9, 3.741542088064853*^9, 
   3.7415426096318903`*^9, {3.7415426517058897`*^9, 3.74154267507789*^9}, 
   3.74154275313589*^9, 3.74154280173389*^9, {3.74154283193989*^9, 
   3.7415428886798897`*^9}, {3.74154304514189*^9, 3.74154308251889*^9}, {
   3.74154314485289*^9, 3.74154316155089*^9}, {3.7415436588628902`*^9, 
   3.74154368149489*^9}, {3.74154374470689*^9, 3.74154377191389*^9}, 
   3.74154383785389*^9, {3.7415440056978903`*^9, 3.74154402685389*^9}, {
   3.74154414628089*^9, 3.74154418863489*^9}, 3.7415442206128902`*^9, 
   3.74154440055189*^9, {3.7415452700638576`*^9, 3.7415452874015913`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{"Code", " ", "17"}], ":", " ", 
    RowBox[{"The", " ", "Regular", " ", "continued", " ", 
     RowBox[{"fraction", "."}]}]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox["*)",
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7338482276303596`*^9, 3.7338482277703733`*^9}, {
   3.7338483521968145`*^9, 3.733848373229918*^9}, {3.733848548697463*^9, 
   3.7338486351741095`*^9}, {3.733849206682255*^9, 3.7338492939539814`*^9}, {
   3.733849386020187*^9, 3.7338493977173567`*^9}, {3.7338494816537495`*^9, 
   3.733849498022386*^9}, {3.733849567851368*^9, 3.7338495681583986`*^9}, 
   3.7338497318777695`*^9, {3.733849860680648*^9, 3.7338498640039806`*^9}, {
   3.733919903984523*^9, 3.733919934533578*^9}, {3.733919968169941*^9, 
   3.733920251500271*^9}, {3.734007491745781*^9, 3.734007534026781*^9}, {
   3.7340075705437813`*^9, 3.7340078358297815`*^9}, 3.7340079380118127`*^9, 
   3.7340991088156023`*^9, {3.7345256087927065`*^9, 3.7345257008399105`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "function", " ", "accepts", " ", "a", " ", "real", " ", 
    "number", " ", "omega", " ", "and", " ", "a", " ", "positive"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "integer", " ", "max", " ", "and", " ", "uses", " ", "the", " ", "Regular",
     " ", "continued", " ", "fraction", " ", "algorithm", " ", 
    RowBox[{"(", "R", ")"}], " ", "to", " ", "produce", " ", "a", " ", "list",
     " ", "of", " ", "partial"}], "   ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "denominators", " ", "nk", " ", "and", " ", "convergents", " ", "Ck", " ",
      "for", " ", "0"}], "\[LessEqual]", "k", "\[LessEqual]", 
    RowBox[{"max", "."}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rcf", "[", 
     RowBox[{"omega_", ",", "max_"}], "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"a", "=", "1"}], ",", 
        RowBox[{"b", "=", "0"}], ",", 
        RowBox[{"c", "=", 
         RowBox[{"Floor", "[", "omega", "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"d", "=", "1"}], ",", "denominators", ",", "convergents", ",", 
        RowBox[{"k", "=", "0"}], ",", "pk", ",", "qk", ",", "nk", ",", "sk", 
        ",", 
        RowBox[{"flag", "=", "True"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"denominators", "=", 
        RowBox[{"{", "c", "}"}]}], ";", 
       RowBox[{"convergents", "=", 
        RowBox[{"{", "c", "}"}]}], ";", "\[IndentingNewLine]", "  ", 
       RowBox[{"While", "[", 
        RowBox[{"flag", ",", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"k", "+", "1"}]}], ";", " ", 
          RowBox[{"sk", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a", "-", 
              RowBox[{"omega", "*", "b"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"omega", "*", "d"}], "-", "c"}], ")"}]}]}], ";", 
          "\[IndentingNewLine]", "    ", 
          RowBox[{"nk", "=", 
           RowBox[{"Floor", "[", "sk", "]"}]}], ";", 
          RowBox[{"pk", "=", 
           RowBox[{"a", "+", 
            RowBox[{"nk", "*", "c"}]}]}], ";", 
          RowBox[{"a", "=", "c"}], ";", 
          RowBox[{"c", "=", "pk"}], ";", "  ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"advance", " ", "p"}], ",", "q"}], "*)"}], 
          "\[IndentingNewLine]", "    ", 
          RowBox[{"qk", "=", 
           RowBox[{"b", "+", 
            RowBox[{"nk", "*", "d"}]}]}], ";", 
          RowBox[{"b", "=", "d"}], ";", 
          RowBox[{"d", "=", "qk"}], ";", "\[IndentingNewLine]", "    ", 
          RowBox[{"denominators", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"denominators", ",", "nk"}], "]"}]}], ";", "      ", 
          RowBox[{"(*", 
           RowBox[{"update", " ", "lists"}], "*)"}], "\[IndentingNewLine]", 
          "    ", 
          RowBox[{"convergents", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"convergents", ",", 
             RowBox[{"pk", "/", "qk"}]}], "]"}]}], ";", "\[IndentingNewLine]",
           "    ", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"nk", "\[Equal]", "sk"}], "||", 
             RowBox[{"k", "\[Equal]", "max"}]}], ",", 
            RowBox[{"flag", "=", "False"}]}], "]"}]}]}], 
        "                    ", 
        RowBox[{"(*", 
         RowBox[{"check", " ", "if", " ", "done"}], "*)"}], 
        "\[IndentingNewLine]", " ", "]"}], ";", 
       RowBox[{"(*", 
        RowBox[{"end", " ", "of", " ", "loop"}], "*)"}], 
       "\[IndentingNewLine]", "  ", 
       RowBox[{"{", 
        RowBox[{"denominators", ",", "convergents", ",", 
         RowBox[{"(*", 
          RowBox[{"print", " ", "output"}], "*)"}], "\[IndentingNewLine]", 
         "     ", 
         RowBox[{"1.0", "*", "convergents"}]}], "}"}]}]}], "]"}]}], 
   "                                                        ", 
   RowBox[{"(*", 
    RowBox[{"decimal", " ", "approx"}], "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7338482276303596`*^9, 3.7338482277703733`*^9}, {
   3.7338483521968145`*^9, 3.733848373229918*^9}, {3.733848548697463*^9, 
   3.7338486351741095`*^9}, {3.733849206682255*^9, 3.7338492939539814`*^9}, {
   3.733849386020187*^9, 3.7338493977173567`*^9}, {3.7338494816537495`*^9, 
   3.733849498022386*^9}, {3.733849567851368*^9, 3.7338495681583986`*^9}, 
   3.7338497318777695`*^9, {3.733849860680648*^9, 3.7338498640039806`*^9}, {
   3.733919903984523*^9, 3.733919934533578*^9}, {3.733919968169941*^9, 
   3.733920251500271*^9}, {3.734007491745781*^9, 3.734007534026781*^9}, {
   3.7340075705437813`*^9, 3.7340078358297815`*^9}, 3.7340079380118127`*^9, 
   3.7340991088156023`*^9, {3.7345256087927065`*^9, 3.7345256324270697`*^9}, 
   3.7345256697017965`*^9, {3.7430737955715265`*^9, 3.7430738357555447`*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"rcf", "[", 
   RowBox[{"E", ",", "3"}], "]"}], "      ", 
  RowBox[{"(*", 
   RowBox[{
   "Activation", " ", "of", " ", "this", " ", "command", " ", "gives", " ", 
    "the", " ", "following", " ", "output"}], "*)"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.733920276410762*^9, 3.7339202843305535`*^9}, {
   3.7339203880899286`*^9, 3.733920428095929*^9}, {3.733921229667078*^9, 
   3.7339212468717985`*^9}, 3.734525669702797*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "1", ",", "2", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", 
     FractionBox["8", "3"], ",", 
     FractionBox["11", "4"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.`", ",", "3.`", ",", "2.6666666666666665`", ",", "2.75`"}], 
    "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.733920285581679*^9, 3.733920431992318*^9, {3.733921236576769*^9, 
   3.7339212478158927`*^9}, {3.7345256697037973`*^9, 3.7345256847993064`*^9}, 
   3.7347823078074408`*^9, 3.7430738433793073`*^9},
 FontColor->RGBColor[0, 0, 1]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"(*", 
  StyleBox[
   RowBox[{
    RowBox[{"Code", " ", "18"}], ":", " ", 
    RowBox[{"The", " ", "nearest", " ", "integer", " ", "continued", " ", 
     RowBox[{"fraction", "."}]}]}],
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"], 
  StyleBox["*)",
   FontFamily->"Times New Roman",
   FontSize->16,
   FontWeight->"Bold"]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734186747469514*^9, 3.7341867768535137`*^9}, {
   3.734186832679514*^9, 3.7341868689725137`*^9}, {3.7341869183235135`*^9, 
   3.7341870339355135`*^9}, {3.734524984452279*^9, 3.734524988610695*^9}, {
   3.734525160003832*^9, 3.734525225495381*^9}, 3.73452528759359*^9, {
   3.7345255170055285`*^9, 3.734525568085636*^9}, {3.7345257070055265`*^9, 
   3.7345257122930555`*^9}, 3.734951957100542*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "function", " ", "accepts", " ", "a", " ", "real", " ", 
    "number", " ", "omega", " ", "and", " ", "a", " ", "positive"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "integer", " ", "max", " ", "and", " ", "uses", " ", "the", " ", "Nearest",
     " ", "Integer", " ", "continued", " ", "fraction", " ", "algorithm", " ", 
    RowBox[{"(", "Z", ")"}], " ", "to", " ", "produce", " ", "a", " ", "list",
     " ", "of", " ", "partial"}], " ", "*)"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "denominators", " ", "nk", " ", "and", " ", "convergents", " ", "Ck", " ",
      "for", " ", "0"}], "\[LessEqual]", "k", "\[LessEqual]", 
    RowBox[{"max", "."}]}], "*)"}], "\n", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"zcf", "[", 
    RowBox[{"omega_", ",", "max_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", "1"}], ",", 
       RowBox[{"b", "=", "0"}], ",", 
       RowBox[{"c", "=", 
        RowBox[{"Round", "[", "omega", "]"}]}], ",", 
       RowBox[{"d", "=", "1"}], ",", "denominators", ",", "convergents", ",", 
       RowBox[{"k", "=", "0"}], ",", "pk", ",", "qk", ",", "nk", ",", "sk", 
       ",", "ek", ",", 
       RowBox[{"flag", "=", "True"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"denominators", "=", 
       RowBox[{"{", "c", "}"}]}], ";", 
      RowBox[{"convergents", "=", 
       RowBox[{"{", "c", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{"flag", ",", 
        RowBox[{
         RowBox[{"k", "=", 
          RowBox[{"k", "+", "1"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"sk", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", "-", 
             RowBox[{"omega", "*", "b"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"omega", "*", "d"}], "-", "c"}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ek", "=", 
          RowBox[{"Sign", "[", "sk", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"nk", "=", 
          RowBox[{"Round", "[", 
           RowBox[{"Abs", "[", "sk", "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"pk", "=", 
          RowBox[{
           RowBox[{"ek", "*", "a"}], "+", 
           RowBox[{"nk", "*", "c"}]}]}], ";", 
         RowBox[{"a", "=", "c"}], ";", 
         RowBox[{"c", "=", "pk"}], ";", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"advance", " ", "p"}], ",", "q"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"qk", "=", 
          RowBox[{
           RowBox[{"ek", "*", "b"}], "+", 
           RowBox[{"nk", "*", "d"}]}]}], ";", 
         RowBox[{"b", "=", "d"}], ";", 
         RowBox[{"d", "=", "qk"}], ";", "\[IndentingNewLine]", 
         RowBox[{"denominators", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"denominators", ",", 
            RowBox[{"ek", "*", "nk"}]}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"update", " ", "lists"}], "*)"}], 
         RowBox[{"convergents", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"convergents", ",", 
            RowBox[{"pk", "/", "qk"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"sk", "\[Equal]", 
             RowBox[{"Round", "[", "sk", "]"}]}], "||", 
            RowBox[{"k", "\[Equal]", "max"}]}], ",", 
           RowBox[{"flag", "=", "False"}]}], "]"}]}]}], " ", 
       RowBox[{"(*", 
        RowBox[{"check", " ", "if", " ", "done"}], "*)"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"denominators", ",", "convergents", ",", 
        RowBox[{"(*", 
         RowBox[{"print", " ", "output"}], "*)"}], 
        RowBox[{"1.0", "*", "convergents"}]}], "}"}]}]}], "]"}], 
   "                               ", 
   RowBox[{"(*", 
    RowBox[{"decimal", " ", "approx"}], "*)"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734186747469514*^9, 3.7341867768535137`*^9}, {
   3.734186832679514*^9, 3.7341868689725137`*^9}, {3.7341869183235135`*^9, 
   3.7341870339355135`*^9}, {3.734524984452279*^9, 3.734524988610695*^9}, {
   3.734525160003832*^9, 3.734525225495381*^9}, 3.73452528759359*^9, {
   3.7345255170055285`*^9, 3.7345255680866365`*^9}, 3.734951957102542*^9, {
   3.7430728629832773`*^9, 3.743072924656444*^9}, {3.743073610108982*^9, 
   3.743073629556927*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"zcf", "[", 
  RowBox[{"Pi", ",", "3"}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{{3.734951394944332*^9, 3.7349514057994175`*^9}, 
   3.7349519571035423`*^9, {3.7430736449924707`*^9, 3.7430736606140327`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"3", ",", "7", ",", "16", ",", 
     RowBox[{"-", "294"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     FractionBox["22", "7"], ",", 
     FractionBox["355", "113"], ",", 
     FractionBox["104348", "33215"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "3.`", ",", "3.142857142857143`", ",", "3.1415929203539825`", ",", 
     "3.141592653921421`"}], "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.},
 CellChangeTimes->{
  3.734951408055643*^9, 3.7349519571045427`*^9, 3.7430729327832565`*^9, 
   3.7430730557485523`*^9, {3.7430736332973013`*^9, 3.743073661753146*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{" ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Code", " ", "19"}], ":", " ", 
     RowBox[{"The", " ", "Greedy", " ", "continued", " ", 
      RowBox[{"fraction", "."}]}]}], "*)"}]}],
  FontFamily->"Times New Roman",
  FontSize->16,
  FontWeight->"Bold"]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.},
 CellChangeTimes->{{3.734186747469514*^9, 3.7341867768535137`*^9}, {
   3.734186832679514*^9, 3.7341868689725137`*^9}, {3.7341869183235135`*^9, 
   3.7341870339355135`*^9}, {3.734524984452279*^9, 3.734524988610695*^9}, {
   3.734525160003832*^9, 3.734525225495381*^9}, {3.73452528759359*^9, 
   3.7345253237732077`*^9}, {3.7345254458174105`*^9, 3.73452546711054*^9}, 
   3.734952453241151*^9},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "function", " ", "accepts", " ", "a", " ", "real", " ", 
    "number", " ", "omega", " ", "and", " ", "a", " ", "positive"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "integer", " ", "max", " ", "and", " ", "uses", " ", "the", " ", "Greedy", 
    " ", "continued", " ", "fraction"}], "*)"}], "\n", 
  RowBox[{"(*", 
   RowBox[{"algorithm", " ", 
    RowBox[{"(", "G", ")"}], " ", "to", " ", "produce", " ", "a", " ", "list",
     " ", "of", " ", "partial", " ", "denominators", " ", "nk"}], "*)"}], 
  "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"and", " ", "convergents", " ", "Ck", " ", "for", " ", "0"}], 
    "\[LessEqual]", "k", "\[LessEqual]", 
    RowBox[{
     RowBox[{"max", ".", " ", "This"}], " ", "code", " ", "implements", " ", 
     "Propostion", " ", "IX", 
     RowBox[{".26", "."}]}]}], "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{"gcf", "[", 
    RowBox[{"omega_", ",", "max_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", "1"}], ",", 
       RowBox[{"b", "=", "0"}], ",", 
       RowBox[{"c", "=", 
        RowBox[{"Round", "[", "omega", "]"}]}], ",", 
       RowBox[{"d", "=", "1"}], ",", 
       RowBox[{"denominators", "=", 
        RowBox[{"{", "c", "}"}]}], ",", 
       RowBox[{"convergents", "=", 
        RowBox[{"{", "c", "}"}]}], ",", 
       RowBox[{"k", "=", "0"}], ",", "pk", ",", "qk", ",", "nk", ",", "sk", 
       ",", "ek", ",", 
       RowBox[{"flag", "=", "True"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"denominators", "=", 
       RowBox[{"{", "c", "}"}]}], ";", 
      RowBox[{"convergents", "=", 
       RowBox[{"{", "c", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"While", "[", 
       RowBox[{"flag", ",", 
        RowBox[{
         RowBox[{"k", "=", 
          RowBox[{"k", "+", "1"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"sk", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", "-", 
             RowBox[{"omega", "*", "b"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"omega", "*", "d"}], "-", "c"}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"ek", "=", 
          RowBox[{"Sign", "[", "sk", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"tsk", "=", 
          RowBox[{"Floor", "[", 
           RowBox[{"Abs", "[", "sk", "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"nk", "=", 
          RowBox[{"Ceiling", "[", 
           RowBox[{
            RowBox[{"Abs", "[", "sk", "]"}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"b", "+", 
               RowBox[{"ek", "*", "d", "*", "tsk"}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "*", "b"}], "+", 
               RowBox[{"ek", "*", "d", "*", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", "*", "tsk"}], "+", "1"}], ")"}]}]}], ")"}]}]}],
            "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"pk", "=", 
          RowBox[{
           RowBox[{"ek", "*", "a"}], "+", 
           RowBox[{"nk", "*", "c"}]}]}], ";", 
         RowBox[{"a", "=", "c"}], ";", 
         RowBox[{"c", "=", "pk"}], ";", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"advance", " ", "p"}], ",", "q"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{"qk", "=", 
          RowBox[{
           RowBox[{"ek", "*", "b"}], "+", 
           RowBox[{"nk", "*", "d"}]}]}], ";", 
         RowBox[{"b", "=", "d"}], ";", 
         RowBox[{"d", "=", "qk"}], ";", "\[IndentingNewLine]", 
         RowBox[{"denominators", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"denominators", ",", 
            RowBox[{"ek", "*", "nk"}]}], "]"}]}], ";", 
         RowBox[{"(*", 
          RowBox[{"update", " ", "lists"}], "*)"}], 
         RowBox[{"convergents", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"convergents", ",", 
            RowBox[{"pk", "/", "qk"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"sk", "\[Equal]", 
             RowBox[{"Round", "[", "sk", "]"}]}], "||", 
            RowBox[{"k", "\[Equal]", "max"}]}], ",", 
           RowBox[{"flag", "=", "False"}]}], "]"}]}]}], " ", 
       RowBox[{"(*", 
        RowBox[{"check", " ", "if", " ", "done"}], "*)"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"denominators", ",", "convergents", ",", 
        RowBox[{"(*", 
         RowBox[{"print", " ", "output"}], "*)"}], 
        RowBox[{"1.0", "*", "convergents"}]}], "}"}]}]}], "]"}], 
   "                               ", 
   RowBox[{"(*", 
    RowBox[{"decimal", " ", "approx"}], "*)"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.},
 CellChangeTimes->{{3.734186747469514*^9, 3.7341867768535137`*^9}, {
   3.734186832679514*^9, 3.7341868689725137`*^9}, {3.7341869183235135`*^9, 
   3.7341870339355135`*^9}, {3.734524984452279*^9, 3.734524988610695*^9}, {
   3.734525160003832*^9, 3.734525225495381*^9}, {3.73452528759359*^9, 
   3.7345253237732077`*^9}, 3.734525445818411*^9, {3.7347825456744404`*^9, 
   3.7347825629174404`*^9}, 3.734952453243151*^9, {3.7430736915221233`*^9, 
   3.743073723218292*^9}, {3.743092280069792*^9, 3.7430923067094555`*^9}, {
   3.7430923726790524`*^9, 3.743092399435727*^9}},
 FontColor->RGBColor[0, 0, 1]],

Cell[BoxData[
 RowBox[{"gcf", "[", 
  RowBox[{"EulerGamma", ",", "3"}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.},
 CellChangeTimes->{{3.734951991362968*^9, 3.734952023573189*^9}, 
   3.734952453243151*^9, {3.743073738584829*^9, 3.743073747010671*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "2"}], ",", "3", ",", 
     RowBox[{"-", "4"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     FractionBox["1", "2"], ",", 
     FractionBox["4", "7"], ",", 
     FractionBox["15", "26"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.`", ",", "0.5`", ",", "0.5714285714285714`", ",", 
     "0.5769230769230769`"}], "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.},
 CellChangeTimes->{
  3.734952025258357*^9, 3.734952453244151*^9, {3.7430737315021205`*^9, 
   3.7430737482777977`*^9}, 3.7430924166424475`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "20"}], ":", " ", 
     RowBox[{
      RowBox[{"The", " ", "mean"}], "-", 
      RowBox[{"value", " ", "rule", " ", "of", " ", "Algorithm", " ", 
       RowBox[{"G", "."}]}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox[
    StyleBox[
     RowBox[{"*", ")"}]],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734091571732602*^9, 3.734091675055602*^9}, {
   3.7340917981226025`*^9, 3.7340918272016025`*^9}, {3.7340918681576023`*^9, 
   3.734091897159602*^9}, {3.7340919939326024`*^9, 3.7340920244276023`*^9}, {
   3.7340920602596025`*^9, 3.7340921428426027`*^9}, 3.734092270751602*^9, 
   3.7340925320836024`*^9, {3.7345248783076653`*^9, 3.734524907811616*^9}, 
   3.734524947547589*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{
   StyleBox[
    StyleBox[
     RowBox[{"(", "*"}]],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   RowBox[{
   "This", " ", "code", " ", "is", " ", "useful", " ", "with", " ", "respect",
     " ", "to", " ", "the", " ", "proof", " ", "of", " ", "Proposition", " ", 
    "IX", 
    RowBox[{".26", "."}]}], "*)"}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734091571732602*^9, 3.734091675055602*^9}, {
   3.7340917981226025`*^9, 3.7340918272016025`*^9}, {3.7340918681576023`*^9, 
   3.734091897159602*^9}, {3.7340919939326024`*^9, 3.7340920244276023`*^9}, {
   3.7340920602596025`*^9, 3.7340921428426027`*^9}, 3.734092270751602*^9, 
   3.7340925320836024`*^9, {3.7345248783076653`*^9, 3.734524907811616*^9}, 
   3.734524947547589*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{" ", "\[IndentingNewLine]"}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734091571732602*^9, 3.734091675055602*^9}, {
   3.7340917981226025`*^9, 3.7340918272016025`*^9}, {3.7340918681576023`*^9, 
   3.734091897159602*^9}, {3.7340919939326024`*^9, 3.7340920244276023`*^9}, {
   3.7340920602596025`*^9, 3.7340921428426027`*^9}, 3.734092270751602*^9, 
   3.7340925320836024`*^9, {3.7345248783076653`*^9, 3.734524907811616*^9}, 
   3.734524947547589*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"meanG", "[", 
     RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "e_"}], "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"m", ",", "delta", ",", "f"}], "}"}], ",", "   ", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"e", " ", "is", " ", "1", " ", "or"}], " ", "-", "1"}], 
       "*)"}], "\[IndentingNewLine]", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "m_", "]"}], ":=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", " ", "*", "m"}], "+", "c"}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"b", "*", "m"}], "+", "d"}], ")"}]}]}], ";", 
       "\[IndentingNewLine]", " ", 
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"2", "*", 
           RowBox[{"f", "[", 
            RowBox[{"m", "+", 
             RowBox[{"e", "*", "delta"}]}], "]"}]}], "\[Equal]", 
          RowBox[{
           RowBox[{"f", "[", "m", "]"}], "+", 
           RowBox[{"f", "[", 
            RowBox[{"m", "+", "e"}], "]"}]}]}], ",", " ", "delta"}], 
        "]"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"meanG", "[", 
  RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "1"}], "]"}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734091571732602*^9, 3.734091675055602*^9}, {
   3.7340917981226025`*^9, 3.7340918272016025`*^9}, {3.7340918681576023`*^9, 
   3.734091897159602*^9}, {3.7340919939326024`*^9, 3.7340920244276023`*^9}, {
   3.7340920602596025`*^9, 3.7340921428426027`*^9}, 3.734092270751602*^9, {
   3.7340925320836024`*^9, 3.7340925583666024`*^9}, {3.734092823817602*^9, 
   3.7340928592886024`*^9}, {3.7340939682076025`*^9, 
   3.7340940019346027`*^9}, {3.7340940515716023`*^9, 
   3.7340940646356025`*^9}, {3.7340944058476024`*^9, 
   3.7340944108786025`*^9}, {3.7340944774776025`*^9, 
   3.7340944890076027`*^9}, {3.734095110529602*^9, 3.7340951284996023`*^9}, 
   3.7345249078126154`*^9, 3.734782682199441*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"delta", "\[Rule]", 
    FractionBox[
     RowBox[{"d", "+", 
      RowBox[{"b", " ", "m"}]}], 
     RowBox[{"b", "+", 
      RowBox[{"2", " ", "d"}], "+", 
      RowBox[{"2", " ", "b", " ", "m"}]}]]}], "}"}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7340925375036025`*^9, 3.7340925629576025`*^9}, 
   3.7340940028686028`*^9, {3.7340943220766025`*^9, 3.7340943245826025`*^9}, 
   3.7340943617966022`*^9, 3.7340944391816025`*^9, 3.7340944898986025`*^9, {
   3.7340951040126023`*^9, 3.734095146522602*^9}, {3.7345249078126154`*^9, 
   3.7345249163404684`*^9}, 3.7347827148824406`*^9}],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Executing", " ", "the", " ", "above", " ", "code", " ", "generates", " ",
      "the", " ", "solution", " ", "as", " ", "given", " ", "by", " ", "the", 
     " ", 
     RowBox[{"algorithm", ".", " ", "Furthermore"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{
    "for", " ", "the", " ", "other", " ", "case", " ", "in", " ", "the", " ", 
     "algorithm", " ", "we", " ", "have", " ", "the", " ", "following", " ", 
     RowBox[{"code", ":"}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"meanG", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", 
    RowBox[{"-", "1"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734091571732602*^9, 3.734091675055602*^9}, {
   3.7340917981226025`*^9, 3.7340918272016025`*^9}, {3.7340918681576023`*^9, 
   3.734091897159602*^9}, {3.7340919939326024`*^9, 3.7340920244276023`*^9}, {
   3.7340920602596025`*^9, 3.7340921428426027`*^9}, 3.734092270751602*^9, 
   3.7340925320836024`*^9, {3.7340925813426027`*^9, 3.7340927605956025`*^9}, {
   3.7340940132146025`*^9, 3.7340940229336023`*^9}, 3.734524907813616*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"delta", "\[Rule]", 
    FractionBox[
     RowBox[{"d", "+", 
      RowBox[{"b", " ", "m"}]}], 
     RowBox[{
      RowBox[{"-", "b"}], "+", 
      RowBox[{"2", " ", "d"}], "+", 
      RowBox[{"2", " ", "b", " ", "m"}]}]]}], "}"}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7340921468846025`*^9, {3.7340922716746025`*^9, 3.7340923488296022`*^9}, 
   3.7340924759316025`*^9, 3.7340927749906025`*^9, 3.7340940298266025`*^9, 
   3.734094494133602*^9, {3.7345249078156157`*^9, 3.734524919036738*^9}, 
   3.7347827200324407`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "21"}], ":", " ", 
      RowBox[{"Factoring", " ", "integers", " ", "via", " ", "continued", " ", 
       RowBox[{"fractions", "."}]}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[
     StyleBox[
      RowBox[{"*", ")"}]],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"]}],
   FontColor->RGBColor[1, 0.5, 0]], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343612449196525`*^9, 3.7343612707362337`*^9}, {
   3.7343613613722963`*^9, 3.7343614706992283`*^9}, {3.7345246092207594`*^9, 
   3.734524632085046*^9}, 3.7345247885976954`*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "For", "  ", "Proposition", " ", "IX", ".35", " ", "we", " ", "adapt", " ", 
   "the", " ", "command", " ", "rcf", " ", "from", " ", "Code", " ", "17", 
   " ", "so", " ", "as", " ", "also", " ", "to", " ", "the", " ", "lists", 
   " ", "of", "  ", "numerators", " ", "and", " ", "denominators", " ", "of", 
   " ", "the", " ", "convergents", " ", "of", " ", 
   RowBox[{"omega", ".", " ", "We"}], " ", "rename", " ", "this", " ", 
   "function", " ", 
   RowBox[{"Rcf", "."}]}], "*)"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343612449196525`*^9, 3.7343612707362337`*^9}, {
   3.7343613613722963`*^9, 3.7343614706992283`*^9}, {3.7345246092207594`*^9, 
   3.7345246477126083`*^9}, 3.7345247885996957`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Rcf", "[", 
    RowBox[{"omega_", ",", "max_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"a", "=", "1"}], ",", 
       RowBox[{"b", "=", "0"}], ",", 
       RowBox[{"c", "=", 
        RowBox[{"Floor", "[", "omega", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"d", "=", "1"}], ",", 
       RowBox[{"denominators", "=", 
        RowBox[{"{", "n0", "}"}]}], ",", 
       RowBox[{"convergents", "=", 
        RowBox[{"{", "n0", "}"}]}], ",", 
       RowBox[{"k", "=", "0"}], ",", "pk", ",", "qk", ",", "nk", ",", "sk", 
       ",", 
       RowBox[{"flag", "=", "True"}], ",", 
       RowBox[{"P", "=", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"Q", "=", 
        RowBox[{"{", "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"denominators", "=", 
       RowBox[{"{", "c", "}"}]}], ";", 
      RowBox[{"convergents", "=", 
       RowBox[{"{", "c", "}"}]}], ";", "\[IndentingNewLine]", "  ", 
      RowBox[{"While", "[", 
       RowBox[{"flag", ",", 
        RowBox[{
         RowBox[{"k", "=", 
          RowBox[{"k", "+", "1"}]}], ";", " ", 
         RowBox[{"sk", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"a", "-", 
             RowBox[{"omega", "*", "b"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"omega", "*", "d"}], "-", "c"}], ")"}]}]}], ";", 
         "\[IndentingNewLine]", "    ", 
         RowBox[{"nk", "=", 
          RowBox[{"Floor", "[", "sk", "]"}]}], ";", 
         RowBox[{"pk", "=", 
          RowBox[{"a", "+", 
           RowBox[{"nk", "*", "c"}]}]}], ";", 
         RowBox[{"a", "=", "c"}], ";", 
         RowBox[{"c", "=", "pk"}], ";", "  ", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"advance", " ", "p"}], ",", "q"}], "*)"}], 
         "\[IndentingNewLine]", "    ", 
         RowBox[{"qk", "=", 
          RowBox[{"b", "+", 
           RowBox[{"nk", "*", "d"}]}]}], ";", 
         RowBox[{"b", "=", "d"}], ";", 
         RowBox[{"d", "=", "qk"}], ";", "\[IndentingNewLine]", "    ", 
         RowBox[{"denominators", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"denominators", ",", "nk"}], "]"}]}], ";", "      ", 
         RowBox[{"(*", 
          RowBox[{"update", " ", "lists"}], "*)"}], "\[IndentingNewLine]", 
         "    ", 
         RowBox[{"convergents", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"convergents", ",", 
            RowBox[{"pk", "/", "qk"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         "    ", 
         RowBox[{"P", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"P", ",", "pk"}], "]"}]}], ";", " ", 
         RowBox[{"Q", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"Q", ",", " ", "qk"}], "]"}]}], ";", "\[IndentingNewLine]",
          "    ", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"nk", "\[Equal]", "sk"}], "||", 
            RowBox[{"k", "\[Equal]", "max"}]}], ",", 
           RowBox[{"flag", "=", "False"}]}], "]"}]}]}], 
       "                    ", 
       RowBox[{"(*", 
        RowBox[{"check", " ", "if", " ", "done"}], "*)"}], 
       "\[IndentingNewLine]", " ", "]"}], ";", 
      RowBox[{"(*", 
       RowBox[{"end", " ", "of", " ", "loop"}], "*)"}], "\[IndentingNewLine]",
       "  ", 
      RowBox[{"{", 
       RowBox[{
       "denominators", ",", "convergents", ",", " ", "P", ",", " ", "Q"}], 
       " ", "}"}]}]}], "]"}]}], "     ", 
  RowBox[{"(*", 
   RowBox[{"print", " ", "output"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"                                                    "}]}], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343601567568474`*^9, 3.73436026499467*^9}, {
   3.7343607134675126`*^9, 3.7343607162527914`*^9}, {3.7343625158047285`*^9, 
   3.734362541799328*^9}, 3.734524647714608*^9, 3.7345247886026955`*^9, {
   3.743073893179287*^9, 3.743073917872756*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rcf", "[", 
   RowBox[{
    RowBox[{"Sqrt", "[", "91", "]"}], ",", "5"}], "]"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Example", ".", " ", "Note"}], " ", "that", " ", "the", " ", 
    "last", " ", "two", " ", "lists", " ", "generated", " ", "by", " ", 
    "this", " ", "command", " ", "are", " ", "the", " ", "numerators", " ", 
    "and", " ", "denominators", " ", "of", " ", "the", " ", "convergents", 
    " ", "from", " ", "the", " ", "second", " ", 
    RowBox[{"list", "."}]}], "*)"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343602702051907`*^9, 3.7343602754737177`*^9}, {
   3.734360312269397*^9, 3.734360317094879*^9}, {3.7343614771408725`*^9, 
   3.734361542705428*^9}, {3.734362319330083*^9, 3.7343623415043*^9}, 
   3.7345246477156086`*^9, 3.734524788603696*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"9", ",", "1", ",", "1", ",", "5", ",", "1", ",", "5"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "10", ",", 
     FractionBox["19", "2"], ",", 
     FractionBox["105", "11"], ",", 
     FractionBox["124", "13"], ",", 
     FractionBox["725", "76"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "19", ",", "105", ",", "124", ",", "725"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "11", ",", "13", ",", "76"}], "}"}]}], 
  "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.734360276617832*^9, 3.734360318555025*^9, {3.73436074044921*^9, 
   3.73436075444561*^9}, 3.7343625617723246`*^9, {3.7345246477166085`*^9, 
   3.7345246640192385`*^9}, 3.7345247886046963`*^9, 3.7347829762364407`*^9, 
   3.7430739293509035`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qlist", "[", 
    RowBox[{"n_", ",", "m_"}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cs", "=", 
        RowBox[{"Rcf", "[", 
         RowBox[{
          RowBox[{"Sqrt", "[", "n", "]"}], ",", "m"}], "]"}]}], ",", 
       RowBox[{"Qs", "=", 
        RowBox[{"{", " ", "}"}]}], ",", "j", ",", "Q", ",", "s"}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Mod", "[", 
            RowBox[{"j", ",", "2"}], "]"}], "\[Equal]", "1"}], ",", 
          RowBox[{
           RowBox[{"s", "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Cs", "[", 
               RowBox[{"[", 
                RowBox[{"3", ",", "j"}], "]"}], "]"}], "^", "2"}], "-", 
             RowBox[{"n", "*", 
              RowBox[{
               RowBox[{"Cs", "[", 
                RowBox[{"[", 
                 RowBox[{"4", ",", "j"}], "]"}], "]"}], "^", "2"}]}]}]}], ";",
            "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Floor", "[", 
                RowBox[{"Sqrt", "[", "s", "]"}], "]"}], "^", "2"}], 
              "\[Equal]", "s"}], ",", 
             RowBox[{"Qs", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"Qs", ",", 
                RowBox[{"{", 
                 RowBox[{"j", ",", 
                  RowBox[{"Cs", "[", 
                   RowBox[{"[", 
                    RowBox[{"3", ",", "j"}], "]"}], "]"}], ",", "s"}], 
                 "}"}]}], "]"}]}]}], "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "m"}], "}"}]}], "]"}], ";", "Qs"}]}], 
    "]"}]}], ";"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.734360553739541*^9, 3.7343607689150567`*^9}, {
   3.734361091035266*^9, 3.7343610936975317`*^9}, 3.7345246477166085`*^9, 
   3.7345247886056957`*^9}],

Cell[BoxData[
 RowBox[{"Qlist", "[", 
  RowBox[{"91", ",", "5"}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343607929144564`*^9, 3.734360800382203*^9}, {
   3.734361058116974*^9, 3.7343610700711694`*^9}, 3.734361180866248*^9, 
   3.7345246477176085`*^9, 3.734524788606696*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "10", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "725", ",", "9"}], "}"}]}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{3.7343616078559427`*^9, 3.734524647718609*^9, 
  3.7345247886076965`*^9, 3.7347829837504406`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Observe", " ", "that", " ", "the", " ", 
     RowBox[{"Qlist", "[", 
      RowBox[{"91", ",", " ", "5"}], "]"}], " ", "produces", " ", "the", " ", 
     "list", " ", "as", " ", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", " ", 
         RowBox[{"p_", "1"}], ",", " ", 
         RowBox[{"Q_", "1"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"5", ",", " ", 
         RowBox[{"p_", "5"}], ",", " ", 
         RowBox[{"Q_", "5"}]}], "}"}]}], " ", "}"}]}], ",", " ", "namely", 
    ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", " ", "10", ",", " ", "9"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"5", ",", " ", "725", ",", " ", "9"}], "}"}]}], " ", "}"}], 
      ".", "\n", "That"}], " ", "is"}], ",", "  ", 
    RowBox[{
     RowBox[{"Q_", "1", " ", "and", " ", "Q_", "5", " ", "are", " ", 
      RowBox[{"squares", ".", " ", "With"}], " ", "Q_", "1"}], " ", "=", " ", 
     RowBox[{
      RowBox[{"1", " ", "and", " ", "p_", "1"}], " ", "=", " ", "10"}]}], ",",
     " ", 
    RowBox[{
     RowBox[{
      RowBox[{"then", " ", "either", " ", "p_", "1"}], "-", "3"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"7", " ", "or", " ", "p_", "1"}], "+", "3"}], "=", 
      RowBox[{
      "13", "  ", "should", " ", "have", " ", "a", " ", "factor", " ", "in", 
       " ", "common", " ", "with", " ", "91.", " ", "\[IndentingNewLine]", 
       "Indeed", " ", "they", " ", "both", " ", "do"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{"since", " ", "7", "*", "13"}], "=", "91."}]}], "  ", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343615980849657`*^9, 3.734361898728027*^9}, {
   3.734362023692522*^9, 3.73436214798595*^9}, {3.734362209879139*^9, 
   3.7343622780839586`*^9}, {3.734362388564006*^9, 3.7343623909942484`*^9}, 
   3.7343624292710757`*^9, 3.7345247886086965`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "22"}], ":", "  ", 
      RowBox[{"Window", " ", "radii", " ", "for", " ", "the", " ", 
       RowBox[{"cicada", "."}]}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[
     StyleBox[
      RowBox[{"*", ")"}]],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"]}], " "}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7343637144575815`*^9, 3.7343637264797835`*^9}, {
   3.7343637583559713`*^9, 3.734364258455976*^9}, {3.7343642957937098`*^9, 
   3.7343643358787174`*^9}, {3.734364416760805*^9, 3.734364460072136*^9}, {
   3.7343645076278906`*^9, 3.73436459502763*^9}, {3.7343652871418343`*^9, 
   3.734365287663886*^9}, 3.7343675730794053`*^9, {3.734368208757967*^9, 
   3.7343682484399347`*^9}, 3.7343682816962595`*^9, {3.734368313179408*^9, 
   3.7343683136694565`*^9}, {3.7343683454306326`*^9, 
   3.7343683461297026`*^9}, {3.7343684380559835`*^9, 3.73436843947628*^9}, {
   3.734524463539193*^9, 3.7345245654503827`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "following", " ", "code", " ", "produces", " ", "a", " ", 
      "table", " ", "much", " ", "like", " ", "Table", " ", "IX", 
      RowBox[{".2", ".", " ", "\[IndentingNewLine]", "The"}], " ", "list", "  ",
       "W0", " ", "contains", " ", "various", " ", "relative", " ", "angular",
       " ", "velocities", " ", "for", " ", "the", " ", 
      RowBox[{"Moon", "'"}], "s", " ", "phases", " ", "in", " ", 
      RowBox[{"moons", "/", "year"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
     "P1", " ", "is", " ", "a", " ", "list", " ", "of", " ", "the", " ", 
      "denominators", " ", "from", " ", 
      RowBox[{"W0", ".", " ", "The"}], " ", "output", " ", "for", "  ", 
      RowBox[{"moon", "[", "n", "]"}], "  ", "is", " ", "a", " ", "list", " ",
       "of", " ", "the", " ", "number", " ", "of", " ", "moons", " ", 
      "\[IndentingNewLine]", "which", " ", "occur", " ", "in", " ", "the", 
      " ", "years", " ", "from", " ", "year", " ", "1", " ", "to", " ", 
      "year", " ", 
      RowBox[{"P1", "[", 
       RowBox[{"[", "n", "]"}], "]"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "year", " ", "corresponding", " ", "to", " ", "item", "  ", 
      "n", " ", "in", " ", "the", " ", "list", " ", 
      RowBox[{"P1", ".", " ", "With"}], " ", "a", " ", "full", " ", "moon", 
      " ", "at", " ", "time", " ", "j"}], "=", "0"}], ",", 
    RowBox[{"the", " ", "function", " ", 
     RowBox[{"see", "[", "n", "]"}], " ", "computes", " ", "the", " ", 
     "difference", " ", "in", " ", "days", " ", "between", " ", "year", " ", 
     "j", " ", "and", " ", "the", " ", "full", " ", "moon", " ", "date", " ", 
     "nearest", " ", "to", " ", "year", "  ", "j"}], ",", 
    RowBox[{
    "for", " ", "all", "  ", "j", " ", "up", " ", "to", " ", "year", " ", 
     RowBox[{
      RowBox[{"P1", "[", 
       RowBox[{"[", "n", "]"}], "]"}], ".", " ", "The"}], " ", "function", 
     " ", 
     RowBox[{"nice", "[", "s", "]"}], "  ", "rounds", " ", "a", " ", "real", 
     " ", "number", " ", "to", " ", "the", " ", "nearest", " ", 
     RowBox[{"tenth", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"W0", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"12", "+", 
        RowBox[{"2", "/", "3"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"3", "/", "5"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"4", "/", "7"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"5", "/", "9"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"6", "/", "11"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"7", "/", "13"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"8", "/", "15"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"9", "/", "17"}]}], ",", 
       RowBox[{"12", "+", 
        RowBox[{"10", "/", "19"}]}]}], "}"}]}], ";", 
    RowBox[{"P1", "=", 
     RowBox[{"{", 
      RowBox[{
      "3", ",", "5", ",", "7", ",", "9", ",", "11", ",", "13", ",", "15", ",",
        "17", ",", "19"}], "}"}]}], ";", 
    RowBox[{
     RowBox[{"moon", "[", "n_", "]"}], ":=", 
     RowBox[{"Round", "[", 
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{"j", " ", "*", " ", 
         RowBox[{"W0", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", 
          RowBox[{"P1", "[", 
           RowBox[{"[", "n", "]"}], "]"}]}], "}"}]}], "]"}], " ", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"see", "[", "n_", "]"}], ":=", 
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"moon", "[", "n", "]"}], "[", 
            RowBox[{"[", "j", "]"}], "]"}], "/", 
           RowBox[{"W0", "[", 
            RowBox[{"[", "n", "]"}], "]"}]}], "-", "j"}], "]"}], "*", 
        "365.25"}], " ", ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"P1", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"nice", "[", "s_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Round", "[", 
       RowBox[{"10", "*", "s"}], "]"}], "/", "10."}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"nice", "[", 
       RowBox[{"see", "[", "j", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "5"}], "}"}]}], "]"}], "//", 
    "TableForm"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7343637144575815`*^9, 3.7343637264797835`*^9}, {
   3.7343637583559713`*^9, 3.734364258455976*^9}, {3.7343642957937098`*^9, 
   3.7343643358787174`*^9}, {3.734364416760805*^9, 3.734364460072136*^9}, {
   3.7343645076278906`*^9, 3.73436459502763*^9}, {3.7343652871418343`*^9, 
   3.734365287663886*^9}, 3.7343675730794053`*^9, {3.734368208757967*^9, 
   3.7343682484399347`*^9}, 3.7343682816962595`*^9, {3.734368313179408*^9, 
   3.7343683136694565`*^9}, {3.7343683454306326`*^9, 
   3.7343683461297026`*^9}, {3.7343684380559835`*^9, 3.73436843947628*^9}, {
   3.734524463539193*^9, 3.734524537179556*^9}, {3.7347830781964407`*^9, 
   3.7347831964484406`*^9}}],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {"9.600000000000001`", "9.600000000000001`", 
     "0.`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\
\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"11.600000000000001`", "5.800000000000001`", "5.800000000000001`", 
     "11.600000000000001`", 
     "0.`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\
\"\>"},
    {"12.5`", "4.2`", "8.3`", "8.3`", "4.2`", "12.5`", 
     "0.`", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"12.9`", "3.2`", "9.700000000000001`", "6.5`", "6.5`", 
     "9.700000000000001`", "3.2`", "12.9`", "0.`", "\<\"\"\>", "\<\"\"\>"},
    {"13.200000000000001`", "2.6`", "10.600000000000001`", 
     "5.300000000000001`", "7.9`", "7.9`", "5.300000000000001`", 
     "10.600000000000001`", "2.6`", "13.200000000000001`", "0.`"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  TableForm[{{9.600000000000001, 9.600000000000001, 0.}, {11.600000000000001`,
     5.800000000000001, 5.800000000000001, 11.600000000000001`, 0.}, {12.5, 
    4.2, 8.3, 8.3, 4.2, 12.5, 0.}, {12.9, 3.2, 9.700000000000001, 6.5, 6.5, 
    9.700000000000001, 3.2, 12.9, 0.}, {13.200000000000001`, 2.6, 
    10.600000000000001`, 5.300000000000001, 7.9, 7.9, 5.300000000000001, 
    10.600000000000001`, 2.6, 13.200000000000001`, 0.}}]]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7343643046425943`*^9, 3.7343643369398236`*^9, 3.7343644203811665`*^9, 
   3.7343652547395945`*^9, 3.734367574537551*^9, 3.7343682820942993`*^9, 
   3.734368314960586*^9, 3.7343683485589457`*^9, 3.7345245005758963`*^9, {
   3.7345245371805563`*^9, 3.734524541809019*^9}, 3.7347832026084404`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    StyleBox[
     RowBox[{
      RowBox[{"Code", " ", "23"}], ":", " ", 
      RowBox[{
      "Applying", " ", "the", " ", "litmus", " ", "test", " ", "of", " ", 
       "Proposition", " ", "X", 
       RowBox[{".3", "."}]}]}],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"], 
    StyleBox[
     StyleBox[
      RowBox[{"*", ")"}]],
     FontFamily->"Times New Roman",
     FontSize->16,
     FontWeight->"Bold"]}],
   FontColor->RGBColor[1, 0.5, 0]], " "}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7341727553335133`*^9, 3.734172794535514*^9}, {
   3.734172840325514*^9, 3.7341730463215137`*^9}, {3.7341730801025133`*^9, 
   3.7341732761625137`*^9}, {3.734173339738514*^9, 3.7341734035045137`*^9}, {
   3.734173477495514*^9, 3.7341736082615137`*^9}, {3.7341736395775137`*^9, 
   3.734173707476514*^9}, {3.7341737512955136`*^9, 3.734173850910514*^9}, {
   3.7341738953355136`*^9, 3.7341740627175136`*^9}, {3.7341741495195136`*^9, 
   3.7341742496645136`*^9}, {3.734174280490514*^9, 3.7341743137975135`*^9}, {
   3.734174368929514*^9, 3.734174376462514*^9}, {3.7341744240785136`*^9, 
   3.7341744371585135`*^9}, {3.7341745077585135`*^9, 
   3.7341745492015133`*^9}, {3.7341746643075137`*^9, 
   3.7341747371505136`*^9}, {3.734174769370514*^9, 3.7341748142705135`*^9}, 
   3.7341748767045135`*^9, {3.734175101068514*^9, 3.7341751061995134`*^9}, {
   3.7341752542885137`*^9, 3.7341752555555134`*^9}, {3.7341807248955135`*^9, 
   3.7341807527465134`*^9}, {3.734523587054553*^9, 3.734523599507798*^9}, 
   3.7345236795308*^9, 3.7345237113449807`*^9, 3.7345245810989475`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "following", " ", "code", " ", "will", " ", "generate", " ", 
     "a", " ", "list", " ", "of", " ", "prospective", " ", "years", " ", "at",
      " ", "which", " ", "a", " ", "transit", " ", "of", " ", "Venus", " ", 
     "may", " ", 
     RowBox[{"occur", ".", " ", "As"}], " ", "described", " ", "in", " ", 
     "Code", " ", "16"}], ",", " ", 
    RowBox[{
    "rather", " ", "than", " ", "input", " ", "arrays", " ", "as", "  ", 
     "lists", " ", "of", " ", "rows"}], ",", " ", 
    RowBox[{"we", " ", "input", " ", "them", " ", "as", " ", 
     RowBox[{"matrices", ".", " ", "The"}], " ", "Mathematica", " ", 
     "command", " ", 
     RowBox[{"Inverse", "[", "M", "]"}], " ", "returns", " ", "the", " ", 
     "inverse", " ", "matrix", " ", "of", " ", "the", " ", "square", " ", 
     "matrix", " ", 
     RowBox[{"M", ".", " ", "The"}], " ", "functions", " ", "V"}], ",", " ", 
    "EE", ",", " ", 
    RowBox[{
    "and", " ", "WW", " ", "respectively", " ", "give", " ", "the", " ", 
     "positions", " ", "of", " ", "Venus"}], ",", " ", "Earth", ",", " ", 
    RowBox[{
    "and", " ", "the", " ", "projection", " ", "of", " ", "Venus", " ", 
     "from", " ", "Earth", " ", "upon", " ", "the", " ", 
     "\[IndentingNewLine]", "screen", " ", "of", " ", "the", " ", 
     RowBox[{"Sun", "."}]}]}], " ", "*)"}], "\n", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xi", "=", 
     RowBox[{"3.39", "*", 
      RowBox[{"Pi", "/", "180"}]}]}], ";", "   ", 
    RowBox[{"(*", 
     RowBox[{"tilt", " ", "of", " ", 
      RowBox[{"Venus", "'"}], "s", " ", "orbital", " ", "plane", " ", "wrt", 
      " ", "the", " ", "Earth"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"omega1", "=", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"224.70", "/", "365.26"}], ")"}]}]}], ";", " ", 
    RowBox[{"lambda", "=", 
     RowBox[{"1", "/", 
      RowBox[{"omega1", "^", 
       RowBox[{"(", 
        RowBox[{"2", "/", "3"}], ")"}]}]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"distance", " ", "of", " ", "Venus", " ", "from", " ", "Sun"}], 
      ",", 
      RowBox[{"0.723", " ", "AU"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"V", "[", "t_", "]"}], ":=", 
     RowBox[{"lambda", " ", 
      RowBox[{
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"1", "0", "0"},
          {"0", 
           RowBox[{"Cos", "[", "xi", "]"}], 
           RowBox[{"-", 
            RowBox[{"Sin", "[", "xi", "]"}]}]},
          {"0", 
           RowBox[{"Sin", "[", "xi", "]"}], 
           RowBox[{"Cos", "[", "xi", "]"}]}
         }], "\[NoBreak]", ")"}], ".", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"2", "*", "Pi", "*", "omega1", "*", "t"}], "]"}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", "*", "Pi", "*", "omega1", "*", "t"}], "]"}], ",", 
         "0"}], "}"}]}]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Venus", " ", "position"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"EE", "[", "t_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", "0"}], "}"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Earth", " ", "position", " ", "at", " ", "time", " ", "t"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"W", "[", "t_", "]"}], ":=", 
     RowBox[{
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {"0", "1", "0", "0"},
         {"0", "0", "1", "0"}
        }], "\[NoBreak]", ")"}], ".", 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{"Cos", "[", 
           RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], 
          RowBox[{"Sin", "[", 
           RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], "0", "0"},
         {
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}]}], 
          RowBox[{"Cos", "[", 
           RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], "0", "0"},
         {"0", "0", "1", "0"},
         {"0", "0", "0", "1"}
        }], "\[NoBreak]", ")"}], ".", 
      RowBox[{"Inverse", "[", 
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"1", "0", "0", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], "-", 
            RowBox[{"lambda", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", "*", "Pi", "*", "omega1", "*", "t"}], "]"}]}]}]},
          {"0", "1", "0", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], "-", 
            RowBox[{"lambda", "*", 
             RowBox[{"Cos", "[", "xi", "]"}], 
             RowBox[{"Sin", "[", 
              RowBox[{"2", "*", "Pi", "*", "omega1", "*", "t"}], "]"}]}]}]},
          {"0", "0", "1", 
           RowBox[{"lambda", "*", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", "*", "Pi", "*", "omega1", "*", "t"}], "]"}]}]},
          {
           RowBox[{"Cos", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], 
           RowBox[{"Sin", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], "0", "0"}
         }], "\[NoBreak]", ")"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", 
        RowBox[{"Sin", "[", 
         RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", "0", ",", "0"}], 
       "}"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"norm", "[", "X_", "]"}], ":=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"X", ".", "X"}], "]"}]}], ";", 
    RowBox[{
     RowBox[{"SameSide", "[", "t_", "]"}], ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"V", "[", "t", "]"}], ".", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", "0"}], "}"}]}], 
        ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"EE", "[", "t", "]"}], ".", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", 
           RowBox[{"Sin", "[", 
            RowBox[{"2", "*", "Pi", "*", "t"}], "]"}], ",", "0"}], "}"}]}], 
        ")"}]}], ">", "0"}]}], ";", 
    RowBox[{"(*", 
     RowBox[{
     "Are", " ", "EE", " ", "and", " ", "V", " ", "on", " ", "same", " ", 
      "side", " ", "of", " ", "screen"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Near", "[", "t_", "]"}], ":=", 
     RowBox[{
      RowBox[{"SameSide", "[", "t", "]"}], "&&", 
      RowBox[{
       RowBox[{"norm", "[", 
        RowBox[{"W", "[", "t", "]"}], "]"}], "<", "0.05"}]}]}], ";", 
    RowBox[{"(*", 
     RowBox[{"Is", " ", "V", " ", "near", " ", "a", " ", "transit"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"FindTransit", "[", 
      RowBox[{"m_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"date", "=", 
          RowBox[{"{", "}"}]}], ",", "i"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Near", "[", "i", "]"}], ",", 
             RowBox[{"date", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"date", ",", "i"}], "]"}]}]}], "]"}], ";", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Near", "[", 
              RowBox[{"i", "+", "0.5"}], "]"}], ",", 
             RowBox[{"date", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"date", ",", 
                RowBox[{"i", "+", "0.5"}]}], "]"}]}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "m", ",", "n"}], "}"}]}], "]"}], ";", 
        "\[IndentingNewLine]", "date"}]}], "]"}]}], ";"}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"FindTransit", "[", 
    RowBox[{"0", ",", "1000"}], "]"}], " ", 
   RowBox[{"(*", 
    RowBox[{
    "Example", " ", "of", " ", "transit", " ", "dates", " ", "in", " ", 
     "this", " ", "time", " ", "interval"}], "*)"}], "\n"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7341727553335133`*^9, 3.734172794535514*^9}, {
   3.734172840325514*^9, 3.7341730463215137`*^9}, {3.7341730801025133`*^9, 
   3.7341732761625137`*^9}, {3.734173339738514*^9, 3.7341734035045137`*^9}, {
   3.734173477495514*^9, 3.7341736082615137`*^9}, {3.7341736395775137`*^9, 
   3.734173707476514*^9}, {3.7341737512955136`*^9, 3.734173850910514*^9}, {
   3.7341738953355136`*^9, 3.7341740627175136`*^9}, {3.7341741495195136`*^9, 
   3.7341742496645136`*^9}, {3.734174280490514*^9, 3.7341743137975135`*^9}, {
   3.734174368929514*^9, 3.734174376462514*^9}, {3.7341744240785136`*^9, 
   3.7341744371585135`*^9}, {3.7341745077585135`*^9, 
   3.7341745492015133`*^9}, {3.7341746643075137`*^9, 
   3.7341747371505136`*^9}, {3.734174769370514*^9, 3.7341748142705135`*^9}, 
   3.7341748767045135`*^9, {3.734175101068514*^9, 3.7341751061995134`*^9}, {
   3.7341752542885137`*^9, 3.7341752555555134`*^9}, {3.7341807248955135`*^9, 
   3.7341807527465134`*^9}, {3.734523587054553*^9, 3.734523599507798*^9}, 
   3.7345236795308*^9, 3.7345237113459806`*^9, {3.7345237653823843`*^9, 
   3.734523786920538*^9}, {3.734784007140441*^9, 3.7347840306704407`*^9}, {
   3.7347840837834406`*^9, 3.734784104708441*^9}, 3.734784169074441*^9, {
   3.741546099929881*^9, 3.7415461765308814`*^9}, {3.7416014274887705`*^9, 
   3.7416014668287706`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "113.5`", ",", "227", ",", "340.5`", ",", "462", ",", "575.5`", 
   ",", "689", ",", "802.5`", ",", "916"}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7341853955195136`*^9, {3.734523711346981*^9, 3.7345237361964655`*^9}, 
   3.7345237896468105`*^9, {3.7347841622234406`*^9, 3.7347841701714406`*^9}, 
   3.7347845290004406`*^9, 3.741601473721771*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   StyleBox[
    RowBox[{"(", "*"}]], 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "24"}], ":", " ", 
     RowBox[{
     "A", " ", "vector", " ", "calculus", " ", "approach", " ", "to", " ", 
      "eclipse", " ", 
      RowBox[{"dates", "."}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox[
    StyleBox[
     RowBox[{"*", ")"}]],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734344047689101*^9, 3.734344437764105*^9}, {
   3.734344480140342*^9, 3.7343444948628144`*^9}, 3.7343446013954663`*^9, {
   3.734345056346957*^9, 3.734345058258148*^9}, {3.7345233050663567`*^9, 
   3.7345233421770678`*^9}, 3.734523401363986*^9, 3.7345234349243417`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "The", " ", "following", " ", "code", " ", "generates", " ", "a", " ", 
    "list", " ", "of", " ", "eclipse", " ", "dates", " ", "in", " ", 
    "accordance", " ", "with", " ", "Proposition", " ", "XII", 
    RowBox[{".5", "."}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"xi", "=", 
    RowBox[{"5.14", " ", "*", 
     RowBox[{"Pi", "/", "180"}]}]}], ";", 
   RowBox[{"omega1", "=", "1.085196"}], ";", 
   RowBox[{"s1", "=", 
    RowBox[{"149.6", "*", 
     RowBox[{"10", "^", "6"}]}]}], ";", 
   RowBox[{"m1", "=", "384000"}], ";", 
   RowBox[{
    RowBox[{"test", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"s1", "*", "m1", "*", 
       RowBox[{"Sin", "[", "xi", "]"}], "*", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"2", "*", "Pi", "*", "omega1", "*", "n"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{"s1", "-", 
          RowBox[{"m1", "*", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"1", "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sin", "[", "xi", "]"}], "*", 
                RowBox[{"Sin", "[", 
                 RowBox[{"2", "*", "Pi", "*", "omega1", "*", "n"}], "]"}]}], 
               ")"}], "^", "2"}]}], "]"}]}]}], ")"}]}]}], "]"}], "<", 
     "9900"}]}], ";", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dates", "=", 
        RowBox[{"{", " ", "}"}]}], ",", "j"}], "}"}], ",", 
     "\[IndentingNewLine]", "  ", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"test", "[", "j", "]"}], ",", 
          RowBox[{"dates", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"dates", ",", "j"}], "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "0", ",", "250"}], "}"}]}], "]"}], ";", 
      "\[IndentingNewLine]", "  ", "dates"}]}], "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.734344047689101*^9, 3.734344437764105*^9}, {
   3.734344480140342*^9, 3.7343444948628144`*^9}, 3.7343446013954663`*^9, {
   3.734345056346957*^9, 3.734345058258148*^9}, {3.7345233050663567`*^9, 
   3.7345233421770678`*^9}, 3.734523401363986*^9, 3.7345234349253416`*^9, {
   3.7347847029764404`*^9, 3.7347847269064407`*^9}, {3.741602052819771*^9, 
   3.7416020575057707`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "6", ",", "12", ",", "18", ",", "23", ",", "24", ",", "29", ",", 
   "35", ",", "41", ",", "47", ",", "53", ",", "59", ",", "65", ",", "70", 
   ",", "76", ",", "82", ",", "88", ",", "94", ",", "100", ",", "106", ",", 
   "111", ",", "112", ",", "117", ",", "123", ",", "129", ",", "135", ",", 
   "141", ",", "147", ",", "153", ",", "158", ",", "159", ",", "164", ",", 
   "170", ",", "176", ",", "182", ",", "188", ",", "194", ",", "199", ",", 
   "200", ",", "205", ",", "211", ",", "217", ",", "223", ",", "229", ",", 
   "235", ",", "241", ",", "246", ",", "247"}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{
  3.7343444416934977`*^9, {3.7343444812354517`*^9, 3.734344503347663*^9}, {
   3.7345234349263415`*^9, 3.7345234633791866`*^9}, 3.7347847327484407`*^9, 
   3.741602062263771*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   StyleBox[
    RowBox[{"(", "*"}]], 
   StyleBox[
    RowBox[{
     RowBox[{"Code", " ", "25"}], ":", " ", 
     RowBox[{
     "A", " ", "number", " ", "theory", " ", "approach", " ", "to", " ", 
      "eclipse", " ", 
      RowBox[{"dates", "."}]}]}],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"], 
   StyleBox[
    StyleBox[
     RowBox[{"*", ")"}]],
    FontFamily->"Times New Roman",
    FontSize->16,
    FontWeight->"Bold"]}],
  FontColor->RGBColor[1, 0.5, 0]]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343450614724693`*^9, 3.734345461550473*^9}, 
   3.7345233601358633`*^9, {3.734523475643413*^9, 3.734523529406789*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "The", "  ", "following", " ", "code", "  ", "generates", " ", "a", " ", 
    "list", " ", "of", " ", "eclipse", " ", "dates", " ", "in", " ", 
    "accordance", " ", "with", " ", "Lemma", " ", "XII", 
    RowBox[{".8", "."}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"test2", "[", 
     RowBox[{"k_", ",", " ", "mu_", ",", " ", "eta_"}], "]"}], ":=", "   ", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "T", "}"}], ",", " ", 
      RowBox[{
       RowBox[{"T", "=", 
        RowBox[{"Floor", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"mu", "+", 
            RowBox[{"38", "*", "k"}]}], ")"}], "/", "223"}], "]"}]}], ";", 
       " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"T", " ", ">=", " ", 
          RowBox[{"Ceiling", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "mu"}], "+", 
              RowBox[{"38", "*", "k"}]}], ")"}], "/", "223"}], "]"}]}], " ", "&&",
          " ", 
         RowBox[{"T", " ", "<=", " ", 
          RowBox[{"Floor", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"eta", "+", 
              RowBox[{"61", "*", "k"}]}], ")"}], "/", "358"}], "]"}]}], " ", "&&",
          " ", 
         RowBox[{"T", " ", ">=", " ", 
          RowBox[{"Ceiling", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "eta"}], "+", 
              RowBox[{"61", "*", "k"}]}], ")"}], "/", "358"}], "]"}]}]}], 
        ")"}]}]}], "]"}]}], ";", 
   RowBox[{
    RowBox[{"eDates", "[", " ", 
     RowBox[{"mu_", ",", " ", "eta_"}], " ", "]"}], " ", ":=", " ", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"dates", "=", 
         RowBox[{"{", " ", "}"}]}], ",", " ", "j"}], "}"}], ",", " ", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"test2", "[", 
            RowBox[{"j", ",", " ", "mu", ",", " ", "eta"}], "]"}], ",", " ", 
           RowBox[{"dates", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"dates", ",", " ", "j"}], "]"}]}]}], "]"}], ",", "  ", 
         RowBox[{"{", 
          RowBox[{"j", ",", " ", "0", ",", " ", "250"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "   ", "dates"}]}], "]"}]}], ";"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7343450614724693`*^9, 3.734345461550473*^9}, 
   3.7345233601358633`*^9, {3.734523475643413*^9, 3.7345235294077888`*^9}, 
   3.7415463893488817`*^9, {3.7415468343988814`*^9, 3.7415468978908815`*^9}, {
   3.74160214907371*^9, 3.7416021662445755`*^9}, {3.7416022845108633`*^9, 
   3.7416023481573114`*^9}}],

Cell[BoxData[
 RowBox[{"eDates", "[", " ", 
  RowBox[{"21", ",", " ", "33"}], " ", "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.741546904002881*^9, 3.7415469145568814`*^9}, 
   3.741546946172881*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "6", ",", "12", ",", "18", ",", "23", ",", "24", ",", "29", ",", 
   "35", ",", "41", ",", "47", ",", "53", ",", "59", ",", "65", ",", "70", 
   ",", "76", ",", "82", ",", "88", ",", "94", ",", "100", ",", "106", ",", 
   "111", ",", "112", ",", "117", ",", "123", ",", "129", ",", "135", ",", 
   "141", ",", "147", ",", "153", ",", "158", ",", "159", ",", "164", ",", 
   "170", ",", "176", ",", "182", ",", "188", ",", "194", ",", "199", ",", 
   "200", ",", "205", ",", "211", ",", "217", ",", "223", ",", "229", ",", 
   "235", ",", "241", ",", "246", ",", "247"}], "}"}]], "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{
  3.7343454674660645`*^9, 3.7345235294107895`*^9, 3.734784905088441*^9, 
   3.741546394573881*^9, {3.7415469195868816`*^9, 3.741546925495881*^9}, 
   3.7416021781463346`*^9, 3.741602332349991*^9}]
}, Closed]]
},
WindowSize->{1264, 942},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (32-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 3991, 128, 91, "Input"],
Cell[CellGroupData[{
Cell[4574, 152, 970, 28, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[5547, 182, 10028, 242, 431, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[15612, 429, 839, 25, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[16454, 456, 1861, 44, 107, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[18318, 502, 317, 9, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[18638, 513, 1618, 40, 69, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[20259, 555, 205, 3, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[20467, 560, 984, 22, 107, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[21454, 584, 183, 3, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[21640, 589, 770, 20, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[22413, 611, 147, 2, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[22563, 615, 907, 22, 52, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[23473, 639, 175, 3, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[23651, 644, 653, 17, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[24307, 663, 274, 8, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[24584, 673, 260, 6, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[24847, 681, 299, 9, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[25149, 692, 808, 20, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[25960, 714, 153, 2, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[26150, 721, 1174, 28, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[27327, 751, 1118, 20, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[28448, 773, 3774, 92, 221, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[32225, 867, 281, 5, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[32509, 874, 2330, 54, 145, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[34842, 930, 177, 3, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[35056, 938, 548, 16, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[35607, 956, 697, 13, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[36307, 971, 1574, 38, 145, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[37884, 1011, 336, 8, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[38223, 1021, 179, 3, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[38405, 1026, 934, 16, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[39342, 1044, 3134, 72, 164, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[42479, 1118, 707, 18, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[43189, 1138, 655, 17, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[43847, 1157, 3537, 77, 278, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[47387, 1236, 149, 2, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[47573, 1243, 766, 21, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[48342, 1266, 938, 19, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[49283, 1287, 264, 7, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[49550, 1296, 565, 13, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[50152, 1314, 766, 22, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[50921, 1338, 1609, 34, 126, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[52533, 1374, 176588, 2897, 351, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[229158, 4276, 820, 24, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[229981, 4302, 2619, 74, 183, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[232603, 4378, 297, 6, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}]
}, Closed]],
Cell[CellGroupData[{
Cell[232937, 4389, 973, 20, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[233913, 4411, 10644, 270, 658, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[244560, 4683, 691, 18, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[245254, 4703, 291, 6, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[245548, 4711, 619, 15, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[246170, 4728, 226, 5, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[246399, 4735, 690, 16, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[247092, 4753, 224, 5, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[247353, 4763, 949, 25, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[248305, 4790, 3295, 78, 221, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[251603, 4870, 726, 19, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[252366, 4894, 688, 20, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[253057, 4916, 570, 11, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[253630, 4929, 3329, 89, 164, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[256962, 5020, 2034, 46, 240, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[259033, 5071, 832, 23, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[259868, 5096, 3164, 72, 145, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[263035, 5170, 238, 5, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[263276, 5177, 399, 10, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}]
}, Closed]],
Cell[CellGroupData[{
Cell[263712, 5192, 687, 21, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[264402, 5215, 1003, 22, 69, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[265408, 5239, 1586, 38, 69, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[266997, 5279, 13070, 226, 172, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[280104, 5510, 955, 22, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[281062, 5534, 5620, 140, 335, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[286685, 5676, 717, 15, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[287405, 5693, 823, 19, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[288265, 5717, 786, 19, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[289054, 5738, 2249, 54, 88, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[291306, 5794, 6248, 188, 240, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[297557, 5984, 886, 18, 69, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[298446, 6004, 557, 9, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[299006, 6015, 1214, 31, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[300223, 6048, 5180, 99, 229, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[305406, 6149, 1855, 39, 107, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[307264, 6190, 15044, 264, 359, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[322345, 6459, 1542, 32, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[323890, 6493, 2942, 52, 164, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[326835, 6547, 4588, 126, 164, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[331426, 6675, 11465, 205, 345, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[342928, 6885, 1717, 39, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[344648, 6926, 8644, 224, 354, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[353295, 7152, 301, 5, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[353599, 7159, 710, 15, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[354346, 7179, 1184, 25, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[355533, 7206, 3230, 68, 163, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[358766, 7276, 5993, 159, 313, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[364762, 7437, 999, 14, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[365764, 7453, 787, 12, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[366554, 7467, 28538, 530, 169, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}]
}, Closed]],
Cell[CellGroupData[{
Cell[395129, 8002, 1210, 25, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[396342, 8029, 5128, 117, 335, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[401473, 8148, 544, 12, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[402020, 8162, 677, 17, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[402734, 8184, 893, 21, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[403630, 8207, 4631, 111, 297, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[408264, 8320, 281, 5, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}],
Cell[408548, 8327, 689, 18, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10002.}]
}, Closed]],
Cell[CellGroupData[{
Cell[409274, 8350, 784, 18, 28, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.}],
Cell[410061, 8370, 5598, 137, 335, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.}],
Cell[415662, 8509, 281, 5, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.}],
Cell[415946, 8516, 658, 19, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10003.}]
}, Closed]],
Cell[CellGroupData[{
Cell[416641, 8540, 984, 26, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[417628, 8568, 884, 21, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[418515, 8591, 564, 10, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[419082, 8603, 2148, 51, 126, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[421233, 8656, 692, 15, 48, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[421928, 8673, 1223, 24, 107, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[423154, 8699, 635, 16, 48, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[423826, 8720, 775, 22, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[424604, 8744, 797, 14, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[425404, 8760, 4053, 102, 259, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[429460, 8864, 870, 17, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[430333, 8883, 878, 22, 46, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[431214, 8907, 2117, 59, 88, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[433334, 8968, 329, 6, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[433666, 8976, 366, 9, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[434035, 8987, 2083, 51, 88, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[436155, 9043, 1190, 28, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[437348, 9073, 5430, 130, 278, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[442781, 9205, 2065, 38, 97, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[444883, 9248, 1703, 36, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[446589, 9286, 9916, 242, 511, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[456508, 9530, 456, 9, 30, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[457001, 9544, 896, 26, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[457900, 9572, 2505, 65, 202, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[460408, 9639, 894, 15, 50, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[461339, 9659, 744, 24, 24, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[462086, 9685, 2871, 76, 126, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[464960, 9763, 248, 5, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[465211, 9770, 912, 15, 50, "Output",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}]
}, Closed]]
}
]
*)

